GNU Image Manipulation Program
GNU Image Manipulation Program
Preface
Preface
GIMP User Manual Authors and Contributors
Section 1, “GIMP User Manual Authors and Contributors”
Getting Started
Part I, “Getting Started”
Introduction
Chapter 1, Introduction
Welcome to GIMP
Section 1, “Welcome to GIMP”
Authors
Section 1.1, “Authors”
The GIMP Help system
Section 1.2, “The GIMP Help system”
Features and Capabilities
Section 1.3, “Features and Capabilities”
What's New in GIMP 2.8?
Section 2, “What's New in GIMP 2.8? ”
The new look of the single window mode
Figure 1.1, “The new look of the single window mode”
The new image workflow
Figure 1.2, “The new image workflow”
The new image bar
Figure 1.3, “The new image bar”
Multi column docks
Figure 1.4, “Multi column docks”
Resource tags
Figure 1.5, “Resource tags”
Math size entries
Figure 1.6, “Math size entries”
The new Lock Pixels option
Figure 1.7, “The new Lock Pixels option”
Cage Transform
Figure 1.8, “Cage Transform”
Improved text tool
Figure 1.9, “Improved text tool”
New layer groups
Figure 1.10, “New layer groups”
Rotating brushes
Figure 1.11, “Rotating brushes”
GEGL operation
Figure 1.12, “GEGL operation”
Progress indicator
Figure 1.13, “Progress indicator”
Fire up the GIMP
Chapter 2, Fire up the GIMP
Running GIMP
Section 1, “Running GIMP”
Known Platforms
Section 1.1, “Known Platforms”
Language
Section 1.2, “Language”
Command Line Arguments
Section 1.3, “Command Line Arguments”
Starting GIMP the first time
Section 2, “Starting GIMP the first time”
Finally . . .
Section 2.1, “Finally . . . ”
First Steps with Wilber
Chapter 3, First Steps with Wilber
Basic Concepts
Section 1, “Basic Concepts”
Wilber, the GIMP mascot
Figure 3.1, “Wilber, the GIMP mascot”
???TITLE???
Channels
Main Windows
Section 2, “Main Windows”
???TITLE???
Section 2, “Main Windows”
???TITLE???
Multi-Window Mode
A screenshot illustrating the multi-window mode.
Figure 3.2, “ A screenshot illustrating the multi-window mode. ”
???TITLE???
Single Window Mode
A screenshot illustrating the single-window mode.
Figure 3.3, “ A screenshot illustrating the single-window mode. ”
The Toolbox
Section 2.1, “The Toolbox”
Screenshot of the Toolbox
Figure 3.4, “Screenshot of the Toolbox”
Image Window
Section 2.2, “Image Window”
The Image Window in Multi-Window Mode
Figure 3.5, “The Image Window in Multi-Window Mode”
The Image Area in Single-Window Mode
Figure 3.6, “The Image Area in Single-Window Mode”
???TITLE???
3
???TITLE???
4
???TITLE???
5
???TITLE???
8
???TITLE???
9
???TITLE???
11
???TITLE???
13
???TITLE???
14
Dialogs and Docking
Section 2.3, “Dialogs and Docking”
Organizing Dialogs
Section 2.3.1, “Organizing Dialogs”
Integrating a new dialog in a dialog group
Figure 3.7, “Integrating a new dialog in a dialog group”
Anchoring a dialog to a dock border
Figure 3.8, “Anchoring a dialog to a dock border”
Tab Menu
Section 2.3.2, “Tab Menu”
A dialog in a dock, with the Tab menu button highlighted.
Figure 3.9, “A dialog in a dock, with the Tab menu button highlighted.”
The Tab menu of the Layers dialog.
Figure 3.10, “The Tab menu of the Layers dialog.”
???TITLE???
Add Tab
“Add tab” sub-menu
Figure 3.11, ““Add tab” sub-menu”
???TITLE???
Close Tab
???TITLE???
Detach Tab
???TITLE???
Lock Tab to Dock
???TITLE???
Preview Size
Preview Size submenu of a Tab menu.
Figure 3.12, “Preview Size submenu of a Tab menu.”
???TITLE???
Tab Style
Tab Style submenu of a Tab menu.
Figure 3.13, “Tab Style submenu of a Tab menu.”
???TITLE???
View as List; View as Grid
???TITLE???
View as Grid
The list search field.
Figure 3.14, “The list search field.”
???TITLE???
Show Button Bar
Button Bar on the Brushes dialog.
Figure 3.15, “Button Bar on the Brushes dialog.”
A dock with an Image Menu highlighted.
Figure 3.16, “A dock with an Image Menu highlighted.”
Undoing
Section 3, “Undoing”
Things That Cannot be Undone
Section 3.1, “Things That Cannot be Undone”
Common Tasks
Section 4, “Common Tasks”
Intention
Section 4.1, “Intention”
Change the Size of an Image for the screen
Section 4.2, “Change the Size of an Image for the screen”
Example Image for Scaling
Figure 3.17, “Example Image for Scaling”
GIMP Used for Image Scaling
Figure 3.18, “GIMP Used for Image Scaling”
Dialog for Image Scaling in Pixels
Figure 3.19, “Dialog for Image Scaling in Pixels”
Change the Size of an Image for print
Section 4.3, “Change the Size of an Image for print”
Dialog for Setting Print Size
Figure 3.20, “Dialog for Setting Print Size”
Compressing Images
Section 4.4, “Compressing Images”
Example Image for JPEG Saving
Figure 3.21, “Example Image for JPEG Saving”
“Save As” Dialog
Figure 3.22, ““Save As” Dialog”
“Save as JPEG” dialog with poor quality.
Figure 3.23, ““Save as JPEG” dialog with poor quality.”
Dialog for Image Saving as JPEG
Figure 3.24, “Dialog for Image Saving as JPEG”
Example for High JPEG Compression
Figure 3.25, “Example for High JPEG Compression”
Example for Moderate JPEG Compression
Figure 3.26, “Example for Moderate JPEG Compression”
Crop An Image
Section 4.5, “Crop An Image”
Example Image for Cropping
Figure 3.27, “Example Image for Cropping”
Select a Region to Crop
Figure 3.28, “Select a Region to Crop”
Dialog for Cropping
Figure 3.29, “Dialog for Cropping”
Find Info About Your Image
Section 4.6, “Find Info About Your Image”
Finding Info
Figure 3.30, “Finding Info”
“Image Properties” Dialog
Figure 3.31, ““Image Properties” Dialog”
Change the Mode
Section 4.7, “Change the Mode”
Dialog for changing the mode
Figure 3.32, “Dialog for changing the mode”
Dialog “Change to Indexed Colors”
Figure 3.33, “Dialog “Change to Indexed Colors” ”
Add Alpha Channel
Figure 3.34, “Add Alpha Channel”
Flip An Image
Section 4.8, “Flip An Image”
Dialog “Flip an Image”
Figure 3.35, “Dialog “Flip an Image” ”
Example Image to Flip
Figure 3.36, “Example Image to Flip”
Rotate An Image
Section 4.9, “Rotate An Image”
Menu for “Rotate An Image”
Figure 3.37, “Menu for “Rotate An Image” ”
Example for “Rotate An Image”
Figure 3.38, “Example for “Rotate An Image” ”
Separating an Object From Its Background
Section 4.10, “Separating an Object From Its Background”
Object with Background
Figure 3.39, “Object with Background”
Free Select Tool
Figure 3.40, “Free Select Tool”
Intelligent Scissors Select Tool
Figure 3.41, “Intelligent Scissors Select Tool”
Foreground Select Tool
Figure 3.42, “Foreground Select Tool”
Result of Adding a Plain Color Background
Figure 3.43, “Result of Adding a Plain Color Background”
Result of Adding a Transparent Background
Figure 3.44, “Result of Adding a Transparent Background”
Result of Desaturating the Background
Figure 3.45, “Result of Desaturating the Background”
How to Draw Straight Lines
Section 5, “How to Draw Straight Lines”
Intention
Section 5.1, “Intention”
Example of straight lines
Figure 3.46, “Example of straight lines”
Introducing the Shift-key
Figure 3.47, “Introducing the Shift-key”
New image
Figure 3.48, “New image”
Paint tools in the toolbox
Figure 3.49, “Paint tools in the toolbox”
Starting point
Figure 3.50, “Starting point”
Drawing the line
Figure 3.51, “Drawing the line”
Final Image
Figure 3.52, “Final Image”
Examples
Section 5.2, “Examples”
Examples I
Figure 3.53, “Examples I”
Examples II
Figure 3.54, “Examples II”
Example III
Figure 3.55, “Example III”
Getting Unstuck
Chapter 4, Getting Unstuck
Getting Unstuck
Section 1, “Getting Unstuck”
Stuck!
Section 1.1, “Stuck!”
Common Causes of GIMP Non-Responsiveness
Section 1.2, “Common Causes of GIMP Non-Responsiveness”
There is a floating selection
Section 1.2.1, “There is a floating selection”
Layers dialog showing a floating selection.
Figure 4.1, “ Layers dialog showing a floating selection. ”
The selection is hidden
Section 1.2.2, “The selection is hidden”
Unstuck show selection menu
Figure 4.2, “Unstuck show selection menu”
You are acting outside of the selection
Section 1.2.3, “You are acting outside of the selection”
Unstuck select all
Figure 4.3, “Unstuck select all”
The active drawable is not visible
Section 1.2.4, “The active drawable is not visible”
Unstuck layer invisibility
Figure 4.4, “Unstuck layer invisibility”
The active drawable is transparent
Section 1.2.5, “The active drawable is transparent”
Unstuck layer transparency
Figure 4.5, “Unstuck layer transparency”
You are trying to act outside the layer
Section 1.2.6, “You are trying to act outside the layer”
The image is in indexed color mode.
Section 1.2.7, “The image is in indexed color mode.”
How do I Become a GIMP Wizard?
Part II, “ How do I Become a GIMP Wizard? ”
Getting Images into GIMP
Chapter 5, Getting Images into GIMP
Image Types
Section 1, “Image Types”
Components of the RGB and CMY Color Model
Figure 5.1, “Components of the RGB and CMY Color Model”
Example of an image in RGB and Grayscale mode
Figure 5.2, “Example of an image in RGB and Grayscale mode”
Example of an image with alpha channel
Figure 5.3, “Example of an image with alpha channel”
Creating new Files
Section 2, “Creating new Files”
Opening Files
Section 3, “Opening Files”
Open File
Section 3.1, “Open File”
The “Open Image” dialog
Figure 5.4, “The “Open Image” dialog”
Open Location
Section 3.2, “Open Location”
The “Open Location” dialog
Figure 5.5, “The “Open Location” dialog”
Open Recent
Section 3.3, “Open Recent”
Using External Programs
Section 3.4, “Using External Programs”
File Manager
Section 3.5, “File Manager”
Drag and Drop
Section 3.6, “Drag and Drop”
Copy and Paste
Section 3.7, “Copy and Paste”
Image Browser
Section 3.8, “Image Browser”
Getting Images out of GIMP
Chapter 6, Getting Images out of GIMP
Files
Section 1, “Files”
Save / Export Images
Section 1.1, “Save / Export Images”
File Formats
Section 1.2, “File Formats”
Closing warning
Figure 6.1, “Closing warning”
Export Image as GIF
Section 1.2.1, “Export Image as GIF”
???TITLE???
GIF
The GIF Export dialog
Figure 6.2, “The GIF Export dialog”
Export Image as JPEG
Section 1.2.2, “Export Image as JPEG”
???TITLE???
JPEG
The JPEG Export dialog
Figure 6.3, “The JPEG Export dialog”
Export Image as PNG
Section 1.2.3, “Export Image as PNG”
???TITLE???
PNG
???TITLE???
PNG
The “Export Image as PNG” dialog
Figure 6.4, “The “Export Image as PNG” dialog”
Export Image as TIFF
Section 1.2.4, “Export Image as TIFF”
The TIFF Export dialog
Figure 6.5, “The TIFF Export dialog”
Export Image as MNG
Section 1.2.5, “Export Image as MNG”
Export MNG File Dialog
Figure 6.6, “Export MNG File Dialog”
Preparing your Images for the Web
Section 2, “Preparing your Images for the Web”
Images with an Optimal Size/Quality Ratio
Section 2.1, “Images with an Optimal Size/Quality Ratio”
The Wilber image opened in RGBA mode
Figure 6.7, “The Wilber image opened in RGBA mode”
Reducing the File Size Even More
Section 2.2, “Reducing the File Size Even More”
The indexed image
Figure 6.8, “The indexed image”
Saving Images with Transparency
Section 2.3, “Saving Images with Transparency”
The Wilber image opened in RGBA mode
Figure 6.9, “The Wilber image opened in RGBA mode”
The Wilber image with transparency
Figure 6.10, “The Wilber image with transparency”
Painting with GIMP
Chapter 7, Painting with GIMP
The Selection
Section 1, “The Selection”
How would you isolate the tree?
Figure 7.1, “How would you isolate the tree?”
Selection shown as usual with dashed line.
Figure 7.2, “Selection shown as usual with dashed line.”
Same selection in QuickMask mode.
Figure 7.3, “Same selection in QuickMask mode.”
Same selection in QuickMask mode after feathering.
Figure 7.4, “Same selection in QuickMask mode after feathering.”
Feathering
Section 1.1, “Feathering”
Making a Selection Partially Transparent
Section 1.2, “Making a Selection Partially Transparent”
Creating and Using Selections
Section 2, “Creating and Using Selections”
Moving a Selection
Section 2.1, “Moving a Selection”
Moving rectangular and elliptical selections
Section 2.1.1, “Moving rectangular and elliptical selections”
Moving selection outline
Figure 7.5, “Moving selection outline”
Moving a selection and its content, emptying the original place
Figure 7.6, “ Moving a selection and its content, emptying the original place ”
Moving a selection and its content without emptying the original place
Figure 7.7, “ Moving a selection and its content without emptying the original place ”
Moving the other selections
Section 2.1.2, “Moving the other selections”
Other method
Section 2.1.3, “Other method”
Adding or subtracting selections
Section 2.2, “Adding or subtracting selections”
Enlarging a rectangular selection with the Lasso
Figure 7.8, “Enlarging a rectangular selection with the Lasso”
The QuickMask
Section 3, “The QuickMask”
Image with QuickMask enabled
Figure 7.9, “Image with QuickMask enabled”
Overview
Section 3.1, “Overview”
Properties
Section 3.2, “Properties”
Using QuickMask Mode
Section 4, “Using QuickMask Mode”
Paths
Section 5, “

Paths ”
???TITLE???
Paths
Illustration of four different path creating
Figure 7.10, “Illustration of four different path creating”
Path Creation
Section 5.1, “Path Creation”
Appearance of a path while it is manipulated
Figure 7.11, “Appearance of a path while it is manipulated”
Path Properties
Section 5.2, “Path Properties”
Paths and Selections
Section 5.3, “Paths and Selections”
Transforming Paths
Section 5.4, “Transforming Paths”
Stroking a Path
Section 5.5, “Stroking a Path”
Stroking paths
Figure 7.12, “Stroking paths”
The Stroke Path dialog
Figure 7.13, “The Stroke Path dialog”
Paths and Text
Section 5.6, “Paths and Text”
Text converted to a path
Figure 7.14, “Text converted to a path”
Paths and SVG files
Section 5.7, “Paths and SVG files”
Brushes
Section 6, “Brushes”
Brush strokes example
Figure 7.15, “Brush strokes example”
Selection to Brush after Copy or Cut
Figure 7.16, “Selection to Brush after Copy or Cut”
Adding New Brushes
Section 7, “Adding New Brushes”
???TITLE???
???TITLE???
Save a `.gbr` brush
Figure 7.17, “ Save a `.gbr` brush ”
The GIH Dialog Box
Section 8, “The GIH Dialog Box”
The dialog to describe the animated brush
Figure 7.18, “The dialog to describe the animated brush”
Here is the result by stroking an elliptical selection with the brush:
Figure 7.19, “ Here is the result by stroking an elliptical selection with the brush: ”
Varying brush size
Section 9, “Varying brush size”
How to vary the height of a brush
Section 9.1, “How to vary the height of a brush”
The Scale slider
Figure 7.20, “The Scale slider”
Creating a brush quickly
Section 9.2, “Creating a brush quickly”
Selection becomes a brush after copying
Figure 7.21, “Selection becomes a brush after copying”
Steps to create a brush
Figure 7.22, “Steps to create a brush”
Gradients
Section 10, “Gradients”
Some examples of GIMP gradients.
Figure 7.23, “Some examples of GIMP gradients. ”
How to use rapidly a gradient in a selection
Figure 7.24, “How to use rapidly a gradient in a selection”
How to use rapidly a gradient with a drawing tool
Figure 7.25, “How to use rapidly a gradient with a drawing tool”
Gradient usage
Figure 7.26, “Gradient usage”
Patterns
Section 11, “Patterns”
Pattern usage
Figure 7.27, “Pattern usage”
The checked box for use a pattern
Figure 7.28, “The checked box for use a pattern”
Pattern script examples
Figure 7.29, “Pattern script examples”
How to create new patterns
Figure 7.30, “How to create new patterns”
Palettes
Section 12, “Palettes”
The Palettes dialog
Figure 7.31, “The Palettes dialog”
The Palette Editor
Figure 7.32, “The Palette Editor”
Colormap
Section 12.1, “Colormap”
The Colormap dialog
Figure 7.33, “The Colormap dialog”
Colormap dialog (1) and Palette dialog (2)
Figure 7.34, “Colormap dialog (1) and Palette dialog (2)”
Presets
Section 13, “Presets”
Drawing Simple Objects
Section 14, “Drawing Simple Objects”
Drawing a Straight Line
Section 14.1, “Drawing a Straight Line”
A new image
Figure 7.35, “A new image”
The start of the straight line
Figure 7.36, “The start of the straight line”
The helpline
Figure 7.37, “The helpline”
The line after the second click
Figure 7.38, “The line after the second click”
Creating a Basic Shape
Section 14.2, “Creating a Basic Shape”
Creating a rectangular selection
Figure 7.39, “Creating a rectangular selection”
Rectangular selection filled with foreground color
Figure 7.40, “Rectangular selection filled with foreground color”
Combining Images
Chapter 8, Combining Images
Introduction to Layers
Section 1, “Introduction to Layers”
Layer Properties
Section 1.1, “Layer Properties”
Example for Alpha channel
Example for Alpha channel
Alpha channel example: Basic image
Figure 8.1, “Alpha channel example: Basic image”
Alpha channel example: One transparent layer
Figure 8.2, “Alpha channel example: One transparent layer”
Alpha channel example: Two transparent layers
Figure 8.3, “Alpha channel example: Two transparent layers”
Alpha channel example: Three transparent layers
Figure 8.4, “Alpha channel example: Three transparent layers”
Alpha channel example: Alpha channel added to the Background
Figure 8.5, “ Alpha channel example: Alpha channel added to the Background ”
Layer Dialog
Figure 8.6, “Layer Dialog”
Lock Alpha channel
Figure 8.7, “Lock Alpha channel”
Layer Modes
Section 2, “Layer Modes”
Images (masks) for layer mode examples
Figure 8.8, “Images (masks) for layer mode examples”
Images (backgrounds) for layer mode examples
Figure 8.9, “Images (backgrounds) for layer mode examples”
Example
Equation 8.1, “Example”
Example for layer mode “Normal”
Figure 8.10, “Example for layer mode “Normal””
Equation for layer mode “Normal”
Equation 8.2, “Equation for layer mode “Normal””
Example for layer mode “Dissolve”
Figure 8.11, “Example for layer mode “Dissolve””
Enlarged screenshots
Figure 8.12, “Enlarged screenshots”
???TITLE???
Multiply
Example for layer mode “Multiply”
Figure 8.13, “Example for layer mode “Multiply””
Equation for layer mode “Multiply”
Equation 8.3, “Equation for layer mode “Multiply””
Example for layer mode “Divide”
Figure 8.14, “Example for layer mode “Divide””
Equation for layer mode “Divide”
Equation 8.4, “Equation for layer mode “Divide””
Example for layer mode “Screen”
Figure 8.15, “Example for layer mode “Screen””
Equation for layer mode “Screen”
Equation 8.5, “Equation for layer mode “Screen””
???TITLE???
Overlay
Example for layer mode “Overlay”
Figure 8.16, “Example for layer mode “Overlay””
???TITLE???
???
Equation for layer mode “Overlay”
Equation 8.6, “Equation for layer mode “Overlay””
Example for layer mode “Dodge”
Figure 8.17, “Example for layer mode “Dodge””
Equation for layer mode “Dodge”
Equation 8.7, “Equation for layer mode “Dodge””
Example for layer mode “Burn”
Figure 8.18, “Example for layer mode “Burn””
Equation for layer mode “Burn”
Equation 8.8, “Equation for layer mode “Burn””
Example for layer mode “Hard light”
Figure 8.19, “Example for layer mode “Hard light””
Equation for layer mode “Hard light”, M > 128
Equation 8.9, “ Equation for layer mode “Hard light”, M > 128 ”
Equation for layer mode “Hard light”, M ≤ 128
Equation 8.10, “ Equation for layer mode “Hard light”, M ≤ 128 ”
Example for layer mode “Soft light”
Figure 8.20, “Example for layer mode “Soft light””
Equation for layer mode “Screen”
Equation 8.11, “Equation for layer mode “Screen””
Equation for layer mode “Soft light”
Equation 8.12, “Equation for layer mode “Soft light””
Example for layer mode “Grain extract”
Figure 8.21, “Example for layer mode “Grain extract””
Equation for layer mode “Grain extract”
Equation 8.13, “Equation for layer mode “Grain extract””
Example for layer mode “Grain merge”
Figure 8.22, “Example for layer mode “Grain merge””
Equation for layer mode “Grain merge”
Equation 8.14, “Equation for layer mode “Grain merge””
???TITLE???
Difference
Example for layer mode “Difference”
Figure 8.23, “Example for layer mode “Difference””
Equation for layer mode “Difference”
Equation 8.15, “Equation for layer mode “Difference””
Example for layer mode “Addition”
Figure 8.24, “Example for layer mode “Addition””
Equation for layer mode “Addition”
Equation 8.16, “Equation for layer mode “Addition””
Example for layer mode “Subtract”
Figure 8.25, “Example for layer mode “Subtract””
Equation for layer mode “Subtraction”
Equation 8.17, “Equation for layer mode “Subtraction””
Example for layer mode “Darken only”
Figure 8.26, “Example for layer mode “Darken only””
Equation for layer mode “Darken only”
Equation 8.18, “Equation for layer mode “Darken only””
Example for layer mode “Lighten only”
Figure 8.27, “Example for layer mode “Lighten only””
Equation for layer mode “Lighten only”
Equation 8.19, “Equation for layer mode “Lighten only””
Example for layer mode “Hue”
Figure 8.28, “Example for layer mode “Hue””
Example for layer mode “Saturation”
Figure 8.29, “Example for layer mode “Saturation””
Example for layer mode “Color”
Figure 8.30, “Example for layer mode “Color””
Example for layer mode “Value”
Figure 8.31, “Example for layer mode “Value””
Multi layer example
Figure 8.32, “Multi layer example”
Creating New Layers
Section 3, “Creating New Layers”
Layer Groups
Section 4, “Layer Groups”
Layer Mode in or out Layer Group
Figure 8.33, “Layer Mode in or out Layer Group”
Text Management
Chapter 9, Text Management
Text Management
Section 1, “Text Management”
Example of a text item
Figure 9.1, “Example of a text item”
Warning lose modifications
Figure 9.2, “Warning lose modifications”
Text Editing Context Menu
Figure 9.3, “Text Editing Context Menu”
???TITLE???
???TITLE???
The Text along Path command among text commands in the Layer menu
Figure 9.4, “ The Text along Path command among text commands in the Layer menu ”
“Text along Path” example
Figure 9.5, ““Text along Path” example”
???TITLE???
Text Tool Box
Section 2, “Text Tool Box”
Text Tool Box
Figure 9.6, “Text Tool Box”
Text Tool Box Context menu
Section 2.1, “Text Tool Box Context menu”
Text
Section 3, “Text”
Embellishing Text
Section 3.1, “Embellishing Text”
Fancy text
Figure 9.7, “Fancy text”
Adding Fonts
Section 3.2, “Adding Fonts”
Font Problems
Section 3.3, “Font Problems”
Enhancing Photographs
Chapter 10, Enhancing Photographs
Working with Digital Camera Photos
Section 1, “Working with Digital Camera Photos”
Introduction
Section 1.1, “Introduction”
Improving Composition
Section 1.2, “Improving Composition”
Rotating an Image
Section 1.2.1, “Rotating an Image”
Cropping
Section 1.2.2, “Cropping”
Improving Colors
Section 1.3, “Improving Colors”
Automated Tools
Section 1.3.1, “Automated Tools”
Exposure Problems
Section 1.3.2, “Exposure Problems”
Adjusting Hue and Saturation
Section 1.3.3, “Adjusting Hue and Saturation”
Adjusting Sharpness
Section 1.4, “Adjusting Sharpness”
Unblurring
Section 1.4.1, “Unblurring”
Reducing Graininess
Section 1.4.2, “Reducing Graininess”
Softening
Section 1.4.3, “Softening”
Removing Unwanted Objects from an Image
Section 1.5, “Removing Unwanted Objects from an Image”
Despeckling
Section 1.5.1, “Despeckling”
Garbage Removal
Section 1.5.2, “Garbage Removal”
Removing Red-eye
Section 1.5.3, “Removing Red-eye”
Saving Your Results
Section 1.6, “Saving Your Results”
Files
Section 1.6.1, “Files”
Printing Your Photos
Section 1.6.2, “Printing Your Photos”
EXIF Data
Section 1.6.3, “EXIF Data”
Color Management with GIMP
Chapter 11, Color Management with GIMP
Color Management in GIMP
Section 1, “Color Management in GIMP”
Image Processing Workflow
Figure 11.1, “Image Processing Workflow”
Problems of a non Color Managed Workflow
Section 1.1, “Problems of a non Color Managed Workflow”
Introduction to a Color Managed Workflow
Section 1.2, “Introduction to a Color Managed Workflow”
Input
Section 1.2.1, “Input”
Applying the ICC-profile
Figure 11.2, “Applying the ICC-profile”
Display
Section 1.2.2, “Display”
Display Calibration and Profiling
Section 1.2.2.1, “Display Calibration and Profiling”
Print Simulation
Section 1.2.3, “Print Simulation”
Enrich my GIMP
Chapter 12, Enrich my GIMP
Preferences Dialog
Section 1, “Preferences Dialog”
Introduction
Section 1.1, “Introduction”
List of preference pages
Figure 12.1, “List of preference pages”
Environment
Section 1.2, “Environment”
Environment Preferences
Figure 12.2, “Environment Preferences”
Options
Section 1.2.1, “Options”
Interface
Section 1.3, “Interface”
Assorted Interface Preferences
Figure 12.3, “Assorted Interface Preferences”
???TITLE???
Keyboard Shortcuts
Theme
Section 1.4, “Theme”
Theme Preference
Figure 12.4, “Theme Preference”
Help System
Section 1.5, “Help System”
Help System Preferences
Figure 12.5, “Help System Preferences”
Options
Section 1.5.1, “Options”
Tool Options
Section 1.6, “Tool Options”
Tool Options Preferences
Figure 12.6, “Tool Options Preferences”
Options
Section 1.6.1, “Options”
Toolbox
Section 1.7, “Toolbox”
Toolbox Preferences
Figure 12.7, “Toolbox Preferences”
Options
Section 1.7.1, “Options”
Default Toolbox appearance
Figure 12.8, “Default Toolbox appearance”
Tools configuration
Tools configuration
Default Image Preferences
Section 1.8, “Default Image Preferences”
???TITLE???
Section 1.8, “Default Image Preferences”
Default New Image Preferences
Figure 12.9, “Default New Image Preferences”
Default Image Grid
Section 1.9, “Default Image Grid”
Default Grid Preferences
Figure 12.10, “Default Grid Preferences”
Image Windows
Section 1.10, “Image Windows”
General Image Window Preference
Figure 12.11, “General Image Window Preference”
Options
Section 1.10.1, “Options”
Image Window Appearance
Section 1.11, “Image Window Appearance”
Image Window Appearance Defaults
Figure 12.12, “Image Window Appearance Defaults”
Image Window Title and Statusbar
Section 1.12, “Image Window Title and Statusbar”
Image Window Title and Statusbar formats
Figure 12.13, “Image Window Title and Statusbar formats”
Choosing a Format
Section 1.12.1, “Choosing a Format”
Display
Section 1.13, “Display”
Display Preferences
Figure 12.14, “Display Preferences”
Options
Section 1.13.1, “Options”
The Calibration dialog
Figure 12.15, “The Calibration dialog”
???TITLE???
Calibration
Color Management
Section 1.14, “Color Management”
Color Management Preferences
Figure 12.16, “Color Management Preferences”
Options
Section 1.14.1, “Options”
Input Devices
Section 1.15, “Input Devices”
Input devices preferences
Figure 12.17, “Input devices preferences”
Preferences for a tablet
Figure 12.18, “Preferences for a tablet”
Input Controllers
Section 1.16, “Input Controllers”
Input controllers preferences
Figure 12.19, “Input controllers preferences”
Main Mouse Wheel
Figure 12.20, “Main Mouse Wheel”
Select Controller Event Action
Figure 12.21, “Select Controller Event Action”
Main Keyboard
Figure 12.22, “Main Keyboard”
Window Management
Section 1.17, “Window Management”
Window Management Preferences
Figure 12.23, “Window Management Preferences”
Options
Section 1.17.1, “Options”
Utility window title bar
Figure 12.24, “Utility window title bar”
Folders
Section 1.18, “Folders”
Basic Folder Preferences
Figure 12.25, “Basic Folder Preferences”
Data Folders
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
???TITLE???
Section 1.19, “Data Folders”
Preferences: Brush Folders
Figure 12.26, “Preferences: Brush Folders”
Grids and Guides
Section 2, “Grids and Guides”
Image used for examples below
Figure 12.27, “Image used for examples below”
The Image Grid
Section 2.1, “The Image Grid”
Image with default grid
Figure 12.28, “Image with default grid”
A different grid style
Figure 12.29, “A different grid style”
Guides
Section 2.2, “Guides”
Image with four guides
Figure 12.30, “Image with four guides”
Rendering a Grid
Section 3, “Rendering a Grid”
How to Set Your Tile Cache
Section 4, “How to Set Your Tile Cache”
Creating Shortcuts to Menu Functions
Section 5, “Creating Shortcuts to Menu Functions”
Configure Keyboard Shortcuts
Figure 12.31, “Configure Keyboard Shortcuts”
Customize Splash-Screen
Section 6, “Customize Splash-Screen”
Scripting
Chapter 13, Scripting
Plugins
Section 1, “Plugins”
Introduction
Section 1.1, “Introduction”
Using Plugins
Section 1.2, “Using Plugins”
Installing New Plugins
Section 1.3, “Installing New Plugins”
Linux / Unix-sytem like systems
Section 1.3.1, “Linux / Unix-sytem like systems”
Windows
Section 1.3.2, “Windows”
Apple Mac OS X
Section 1.3.3, “Apple Mac OS X”
Writing Plugins
Section 1.4, “Writing Plugins”
Using Script-Fu Scripts
Section 2, “Using Script-Fu Scripts”
Script-Fu?
Section 2.1, “Script-Fu? ”
Installing Script-Fus
Section 2.2, “Installing Script-Fus”
Do's and Don'ts
Section 2.3, “Do's and Don'ts”
Different Kinds Of Script-Fus
Section 2.4, “Different Kinds Of Script-Fus”
Script-Fus by category
Figure 13.1, “Script-Fus by category”
Where find Image-dependent scripts
Figure 13.2, “Where find Image-dependent scripts”
Standalone Scripts
Section 2.5, “Standalone Scripts”
Image-Dependent Scripts
Section 2.6, “Image-Dependent Scripts”
A Script-Fu Tutorial
Section 3, “A Script-Fu Tutorial”
Getting Acquainted With Scheme
Section 3.1, “Getting Acquainted With Scheme”
Let's Start Scheme'ing
Section 3.1.1, “Let's Start Scheme'ing”
Examples Of Prefix, Infix, And Postfix Notations
Section 3.1.2, “Examples Of Prefix, Infix, And Postfix Notations”
Practicing In Scheme
Section 3.1.3, “Practicing In Scheme”
The Script-Fu Console Window
Section 3.1.4, “The Script-Fu Console Window”
Use Script-Fu Console.
Figure 13.3, “Use Script-Fu Console.”
Watch Out For Extra Parentheses
Section 3.1.5, “Watch Out For Extra Parentheses”
Make Sure You Have The Proper Spacing, Too
Section 3.1.6, “Make Sure You Have The Proper Spacing, Too”
Variables And Functions
Section 3.2, “Variables And Functions”
Declaring Variables
Section 3.2.1, “Declaring Variables”
What Is A Local Variable?
Section 3.2.2, “What Is A Local Variable?”
The General Syntax Of `let*`
Section 3.2.3, “The General Syntax Of `let*`”
White Space
Section 3.2.4, “White Space”
Assigning A New Value To A Variable
Section 3.2.5, “Assigning A New Value To A Variable”
Functions
Section 3.2.6, “Functions”
Lists, Lists And More Lists
Section 3.3, “Lists, Lists And More Lists”
Defining A List
Section 3.3.1, “Defining A List”
How To Think Of Lists
Section 3.3.2, “How To Think Of Lists”
Creating Lists Through Concatenation (The Cons Function)
Section 3.3.3, “Creating Lists Through Concatenation (The Cons Function)”
Defining A List Using The `list` Function
Section 3.3.4, “Defining A List Using The `list` Function”
Accessing Values In A List
Section 3.3.5, “Accessing Values In A List”
The `car` Function
Section 3.3.6, “The `car` Function”
The `cdr` function
Section 3.3.7, “The `cdr` function”
Accessing Other Elements In A List
Section 3.3.8, “Accessing Other Elements In A List”
Your First Script-Fu Script
Section 3.4, “Your First Script-Fu Script”
Creating A Text Box Script
Section 3.4.1, “Creating A Text Box Script”
Editing And Storing Your Scripts
Section 3.4.2, “Editing And Storing Your Scripts”
The Bare Essentials
Section 3.4.3, “The Bare Essentials”
Naming Conventions
Section 3.4.4, “Naming Conventions”
Registering The Function
Section 3.4.5, “Registering The Function”
Steps For Registering The Script
Section 3.4.6, “Steps For Registering The Script”
The menu of our script.
Figure 13.4, “The menu of our script.”
Registering The Script's Parameters
Section 3.4.7, “Registering The Script's Parameters”
The Script-Fu parameter API
Section 3.4.8, “ The Script-Fu parameter API ”
Giving Our Script Some Guts
Section 3.5, “Giving Our Script Some Guts”
Creating A New Image
Section 3.5.1, “Creating A New Image”
Adding A New Layer To The Image
Section 3.5.2, “Adding A New Layer To The Image”
Adding The Text
Section 3.5.3, “Adding The Text”
Clearing The Dirty Flag
Section 3.5.4, “Clearing The Dirty Flag”
Extending The Text Box Script
Section 3.6, “Extending The Text Box Script”
Handling Undo Correctly
Section 3.6.1, “Handling Undo Correctly”
Extending The Script A Little More
Section 3.6.2, “Extending The Script A Little More”
Modifying The Parameters And The Registration Function
Section 3.6.3, “ Modifying The Parameters And The Registration Function ”
Adding The New Code
Section 3.6.4, “Adding The New Code”
Your script and its working
Section 3.7, “Your script and its working”
What you write
Section 3.7.1, “What you write”
What you obtain
Section 3.7.2, “What you obtain”
And the result on the screen.
Figure 13.5, “And the result on the screen.”
Function Reference
Part III, “Function Reference”
Tools
Chapter 14, Tools
The Toolbox
Section 1, “The Toolbox”
Introduction
Section 1.1, “Introduction”
Tool Icons
Section 1.2, “Tool Icons”
The Tool Icons in the Toolbox
Figure 14.1, “The Tool Icons in the Toolbox”
Color and Indicator Area
Section 1.3, “Color and Indicator Area”
Color and Indicator Area in the Toolbox
Figure 14.2, “Color and Indicator Area in the Toolbox”
Color Area
Section 1.3.1, “Color Area”
Active Colors in the Toolbox
Figure 14.3, “Active Colors in the Toolbox”
???TITLE???
Default colors
???TITLE???
Swap FG/BG colors
Tools Indicator Area
Section 1.3.2, “Tools Indicator Area”
Active Brush, Pattern and Gradient in the Toolbox
Figure 14.4, “Active Brush, Pattern and Gradient in the Toolbox”
Active Image Area
Section 1.3.3, “Active Image Area”
Active Image in the Toolbox
Figure 14.5, “Active Image in the Toolbox”
Tool Options
Section 1.4, “Tool Options”
Tool Options Dialog
Figure 14.6, “Tool Options Dialog”
The new sliders of tool options dialogs
Figure 14.7, “The new sliders of tool options dialogs”
Selection Tools
Section 2, “Selection Tools”
The Selection tools
Figure 14.8, “The Selection tools”
Common Features
Section 2.1, “Common Features”
Key modifiers (Defaults)
Section 2.1.1, “Key modifiers (Defaults)”
Options
Section 2.1.2, “Options”
Common options of selection tools
Figure 14.9, “Common options of selection tools”
Rectangle Selection
Section 2.2, “Rectangle Selection”
Rectangle Select icon in the Toolbox
Figure 14.10, “Rectangle Select icon in the Toolbox”
Activating the tool
Section 2.2.1, “Activating the tool”
Key modifiers
Section 2.2.2, “Key modifiers”
Tool manipulation
Section 2.2.3, “Tool manipulation”
Example of Rectangle Selection.
Figure 14.11, “Example of Rectangle Selection.”
Sensitive selection areas
Figure 14.12, “Sensitive selection areas”
Tool Options
Section 2.2.4, “Tool Options”
Tool Options for the Rectangle Select tool
Figure 14.13, “Tool Options for the Rectangle Select tool”
???TITLE???
Guides
Ellipse Selection
Section 2.3, “Ellipse Selection”
Ellipse Select icon in the Toolbox
Figure 14.14, “Ellipse Select icon in the Toolbox”
Activating the tool
Section 2.3.1, “Activating the tool”
Key modifiers
Section 2.3.2, “Key modifiers”
Tool handling
Section 2.3.3, “Tool handling”
Example of Ellipse Selection.
Figure 14.15, “Example of Ellipse Selection. ”
Options
Section 2.3.4, “Options”
Tool Options for the Ellipse Select tool
Figure 14.16, “Tool Options for the Ellipse Select tool”
Free Selection (Lasso)
Section 2.4, “Free Selection (Lasso)”
Free Selection icon in the Toolbox
Figure 14.17, “Free Selection icon in the Toolbox”
Mixing free hand segments and polygonal segments
Figure 14.18, “Mixing free hand segments and polygonal segments”
Activating the tool
Section 2.4.1, “Activating the tool”
Key modifiers
Section 2.4.2, “Key modifiers”
Tool handling
Section 2.4.3, “Tool handling”
Rough selection with the Free Selection tool.
Figure 14.19, “Rough selection with the Free Selection tool. ”
Options
Section 2.4.4, “Options”
Tool Options for the Lasso tool
Figure 14.20, “Tool Options for the Lasso tool”
Fuzzy selection (Magic wand)
Section 2.5, “Fuzzy selection (Magic wand)”
Magic Wand tool icon in the Toolbox
Figure 14.21, “Magic Wand tool icon in the Toolbox”
Activating the tool
Section 2.5.1, “Activating the tool”
Key modifiers (Defaults)
Section 2.5.2, “Key modifiers (Defaults)”
Tool handling
Section 2.5.3, “Tool handling”
Using Magic Wand tool: selected pixels are contiguous
Figure 14.22, “ Using Magic Wand tool: selected pixels are contiguous ”
Options
Section 2.5.4, “Options”
Tool Options for the Magic Wand tool
Figure 14.23, “Tool Options for the Magic Wand tool”
Select By Color
Section 2.6, “Select By Color”
Select by Color tool icon in the Toolbox
Figure 14.24, “Select by Color tool icon in the Toolbox”
Activating the tool
Section 2.6.1, “Activating the tool”
Key modifiers (Defaults)
Section 2.6.2, “Key modifiers (Defaults)”
Handling tool
Section 2.6.3, “Handling tool”
Using Select by Color tool: selected pixels are not only contiguous
Figure 14.25, “ Using Select by Color tool: selected pixels are not only contiguous ”
Options
Section 2.6.4, “Options”
Tool Options for the Select by Color tool
Figure 14.26, “Tool Options for the Select by Color tool”
Intelligent Scissors
Section 2.7, “Intelligent Scissors”
Intelligent Scissors tool icon in the Toolbox
Figure 14.27, “Intelligent Scissors tool icon in the Toolbox”
Activating the tool
Section 2.7.1, “Activating the tool”
Key modifiers
Section 2.7.2, “Key modifiers”
Tool handling
Section 2.7.3, “Tool handling”
Using Intelligent Scissors
Figure 14.28, “Using Intelligent Scissors”
Options
Section 2.7.4, “Options”
Tool Options for the Intelligent Scissors
Figure 14.29, “Tool Options for the Intelligent Scissors”
Foreground Select
Section 2.8, “Foreground Select”
The “Foreground Select” tool in the Toolbox
Figure 14.30, “The “Foreground Select” tool in the Toolbox”
Directions for use
Section 2.8.1, “Directions for use”
The foreground is roughly selected
Figure 14.31, “The foreground is roughly selected”
The line drawn on the foreground
Figure 14.32, “The line drawn on the foreground”
The area which will be selected
Figure 14.33, “The area which will be selected”
Foreground is selected
Figure 14.34, “Foreground is selected”
Activating the Tool
Section 2.8.2, “Activating the Tool”
Key modifiers (Defaults)
Section 2.8.3, “Key modifiers (Defaults)”
Options
Section 2.8.4, “Options”
“Foreground Select” tool options
Figure 14.35, ““Foreground Select” tool options”
“Contiguous” option effect
Figure 14.36, ““Contiguous” option effect”
Paint Tools
Section 3, “Paint Tools”
The Paint Tools (Tools menu)
Figure 14.37, “The Paint Tools (Tools menu)”
Common Features
Section 3.1, “Common Features”
The Paint Tools (Tools Box)
Figure 14.38, “The Paint Tools (Tools Box)”
Key modifiers
Section 3.1.1, “Key modifiers”
Tool Options
Section 3.1.2, “Tool Options”
Tool options shared by paint tools
Figure 14.39, “Tool options shared by paint tools”
???TITLE???
Painting Modes
???TITLE???
Brush Dynamics
The Brush Dynamics in the Tool Options Dialog
Figure 14.40, “The Brush Dynamics in the Tool Options Dialog ”
“Jitter” example
Figure 14.41, ““Jitter” example”
“Smooth Stroke” example
Figure 14.42, ““Smooth Stroke” example”
Paint Mode Examples
Section 3.1.3, “Paint Mode Examples”
Dissolve mode example
Figure 14.43, “Dissolve mode example”
Painting in Dissolve mode
Figure 14.44, “Painting in Dissolve mode”
Example for layer mode “Behind”
Figure 14.45, “Example for layer mode “Behind””
Painting in “Behind” mode
Figure 14.46, “Painting in “Behind” mode”
Example for layer mode “Color erase”
Figure 14.47, “Example for layer mode “Color erase””
Painting in “Color Erase” mode
Figure 14.48, “Painting in “Color Erase” mode”
Further Information
Section 3.1.4, “Further Information”
Dynamics
Section 3.2, “Dynamics”
Dynamics in Tool Options
Figure 14.49, “Dynamics in Tool Options ”
The Paint Dynamics Selection Dialog
Section 3.2.1, “The Paint Dynamics Selection Dialog”
The Paint Dynamics Selection Dialog
Figure 14.50, “The Paint Dynamics Selection Dialog”
Editing Paint Dynamics
Section 3.2.2, “Editing Paint Dynamics”
Editing Paint Dynamics
Figure 14.51, “Editing Paint Dynamics”
The Paint Dynamics Matrix
Section 3.2.3, “The Paint Dynamics Matrix”
Customizing the Dynamics
Section 3.2.4, “Customizing the Dynamics”
Customizing the Dynamics
Figure 14.52, “Customizing the Dynamics”
The Fine Tuning Curve
Figure 14.53, “The Fine Tuning Curve”
Dynamics Examples
Section 3.2.5, “Dynamics Examples”
Dynamics Options
Figure 14.54, “Dynamics Options”
Dynamics Options
Section 3.2.6, “Dynamics Options”
Dynamics Options
Figure 14.55, “Dynamics Options”
Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient.
Figure 14.56, “ Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient. ”
Brush Tools (Pencil, Paintbrush, Airbrush)
Section 3.3, “Brush Tools (Pencil, Paintbrush, Airbrush)”
Painting example
Figure 14.57, “Painting example”
Key modifiers
Section 3.3.1, “Key modifiers”
Bucket Fill
Section 3.4, “Bucket Fill”
Toolbox Fill
Figure 14.58, “Toolbox Fill”
Activating the tool
Section 3.4.1, “Activating the tool”
Key modifiers (Defaults)
Section 3.4.2, “Key modifiers (Defaults)”
Options
Section 3.4.3, “Options”
“Bucket Fill” tool options
Figure 14.59, ““Bucket Fill” tool options”
Example for “Fill By”
Figure 14.60, “Example for “Fill By””
Fill a feathered selection
Section 3.4.4, “Fill a feathered selection”
Example for “Fill a feathered Selection”
Figure 14.61, “Example for “Fill a feathered Selection””
Blend
Section 3.5, “Blend”
The Blend tool in Toolbox
Figure 14.62, “The Blend tool in Toolbox”
Activating the Tool
Section 3.5.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.5.2, “Key modifiers (Defaults)”
Options
Section 3.5.3, “Options”
“Blend” tool options
Figure 14.63, ““Blend” tool options”
“Blend” tool: Offset example
Figure 14.64, ““Blend” tool: Offset example”
Examples of gradient shapes
Figure 14.65, “Examples of gradient shapes”
Square-shaped gradient examples
Figure 14.66, “Square-shaped gradient examples”
Conical gradient examples
Figure 14.67, “Conical gradient examples”
Spiral gradient examples
Figure 14.68, “Spiral gradient examples”
Pencil
Section 3.6, “Pencil”
Pencil tool
Figure 14.69, “Pencil tool”
Activating the Tool
Section 3.6.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.6.2, “Key modifiers (Defaults)”
Options
Section 3.6.3, “Options”
“Pencil” Tool options
Figure 14.70, ““Pencil” Tool options”
Paintbrush
Section 3.7, “Paintbrush”
Paintbrush
Figure 14.71, “Paintbrush”
Activating the Tool
Section 3.7.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.7.2, “Key modifiers (Defaults)”
Options
Section 3.7.3, “Options”
Paintbrush tool options
Figure 14.72, “Paintbrush tool options”
Eraser
Section 3.8, “Eraser”
Eraser tool icon in the Toolbox
Figure 14.73, “Eraser tool icon in the Toolbox”
Eraser and Alpha channel
Figure 14.74, “Eraser and Alpha channel”
Activating the tool
Section 3.8.1, “Activating the tool”
Key modifiers
Section 3.8.2, “Key modifiers”
Tool Options
Section 3.8.3, “Tool Options”
Tool Options for the Eraser tool
Figure 14.75, “Tool Options for the Eraser tool”
Tip
Tip
Airbrush
Section 3.9, “Airbrush”
The Airbrush tool in Toolbox
Figure 14.76, “The Airbrush tool in Toolbox”
Activating the Tool
Section 3.9.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.9.2, “Key modifiers (Defaults)”
Options
Section 3.9.3, “Options”
Airbrush options
Figure 14.77, “Airbrush options”
Ink
Section 3.10, “Ink”
The “Ink” tool in Toolbox
Figure 14.78, “The “Ink” tool in Toolbox”
Activating the Tool
Section 3.10.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.10.2, “Key modifiers (Defaults)”
Options
Section 3.10.3, “Options”
Ink Tool options
Figure 14.79, “Ink Tool options”
Clone
Section 3.11, “Clone”
Clone tool icon in the Toolbox
Figure 14.80, “Clone tool icon in the Toolbox”
Activating the tool
Section 3.11.1, “Activating the tool”
Key modifiers (default)
Section 3.11.2, “Key modifiers (default)”
Options
Section 3.11.3, “Options”
Tool Options for the Clone tool
Figure 14.81, “Tool Options for the Clone tool”
Original images for clone alignment
Figure 14.82, “Original images for clone alignment”
“None” clone alignment
Figure 14.83, ““None” clone alignment”
“Aligned” clone alignment
Figure 14.84, ““Aligned” clone alignment”
“Registered” clone alignment
Figure 14.85, ““Registered” clone alignment”
“Fixed” clone alignment
Figure 14.86, ““Fixed” clone alignment”
Further Information
Section 3.11.4, “Further Information”
Heal
Section 3.12, “Heal”
The “Heal tool” in the Toolbox
Figure 14.87, “The “Heal tool” in the Toolbox”
Activating the Tool
Section 3.12.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.12.2, “Key modifiers (Defaults)”
Options
Section 3.12.3, “Options”
Heal Tool options
Figure 14.88, “Heal Tool options”
Healing is not cloning
Section 3.12.4, “Healing is not cloning”
Comparing “Clone” and “Heal”
Figure 14.89, “Comparing “Clone” and “Heal””
Perspective Clone
Section 3.13, “Perspective Clone”
The “Perspective Clone” tool in the Toolbox
Figure 14.90, “The “Perspective Clone” tool in the Toolbox”
Activating the Tool
Section 3.13.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.13.2, “Key modifiers (Defaults)”
Options
Section 3.13.3, “Options”
Perspective Clone tool options
Figure 14.91, “Perspective Clone tool options”
Example
Section 3.13.4, “Example”
“Perspective Clone” example
Figure 14.92, ““Perspective Clone” example”
Blur/Sharpen
Section 3.14, “Blur/Sharpen”
Blur/Sharpen tool icon in the Toolbox
Figure 14.93, “Blur/Sharpen tool icon in the Toolbox”
Activating the Tool
Section 3.14.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.14.2, “Key modifiers (Defaults)”
Options
Section 3.14.3, “Options”
Tool Options for the Blur/Sharpen tool
Figure 14.94, “Tool Options for the Blur/Sharpen tool”
Smudge
Section 3.15, “Smudge”
Smudge tool
Figure 14.95, “Smudge tool”
Activating the Tool
Section 3.15.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.15.2, “Key modifiers (Defaults)”
Options
Section 3.15.3, “Options”
The Smudge tool in Toolbox
Figure 14.96, “The Smudge tool in Toolbox”
Dodge/Burn
Section 3.16, “Dodge/Burn”
Dodge tool
Figure 14.97, “Dodge tool”
Activating the Tool
Section 3.16.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.16.2, “Key modifiers (Defaults)”
Options
Section 3.16.3, “Options”
“Dodge/Burn” tool options
Figure 14.98, ““Dodge/Burn” tool options”
Transform Tools
Section 4, “Transform Tools”
An overview of the transform tools
Figure 14.99, “An overview of the transform tools”
Common Features
Section 4.1, “Common Features”
Tool Options
Section 4.1.1, “Tool Options”
Common options of transform tools
Figure 14.100, “Common options of transform tools”
???TITLE???
Interpolation
Original image for examples
Figure 14.101, “Original image for examples”
Example for Clip
Figure 14.102, “Example for Clip”
Example for Crop to result
Figure 14.103, “Example for Crop to result”
Example for Crop with aspect
Figure 14.104, “Example for Crop with aspect”
???TITLE???
Guides
Transforming Paths
Section 4.1.2, “Transforming Paths”
Rotating paths
Figure 14.105, “Rotating paths”
Align
Section 4.2, “Align”
The Align tool in the toolbox
Figure 14.106, “The Align tool in the toolbox”
Activating the Tool
Section 4.2.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.2.2, “Key modifiers (Defaults)”
Tool Options
Section 4.2.3, “Tool Options”
Tool Options for the Align tool
Figure 14.107, “Tool Options for the Align tool”
Example for the “Align” command
Section 4.2.4, “Example for the “Align” command”
Base image
Figure 14.108, “Base image”
Red layer selected
Figure 14.109, “Red layer selected”
Red layer aligned
Figure 14.110, “Red layer aligned”
Distribute with offset
Figure 14.111, “Distribute with offset”
Align using rubber-band box
Figure 14.112, “Align using rubber-band box”
Move
Section 4.3, “Move”
The Move tool in Toolbox
Figure 14.113, “The Move tool in Toolbox”
Activating the Tool
Section 4.3.1, “Activating the Tool”
Options
Section 4.3.2, “Options”
Move Tool options
Figure 14.114, “Move Tool options”
Summary of Move tool actions
Section 4.3.3, “Summary of Move tool actions”
Crop
Section 4.4, “Crop”
Crop tool
Figure 14.115, “Crop tool”
Activating the Tool
Section 4.4.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.4.2, “Key modifiers (Defaults)”
Tool Options
Section 4.4.3, “Tool Options”
Tool Options for the “Crop” tool
Figure 14.116, “Tool Options for the “Crop” tool”
Example for “Allow Growing”
Figure 14.117, “Example for “Allow Growing””
Example for “Autoshrink”
Figure 14.118, “Example for “Autoshrink””
Rotate
Section 4.5, “Rotate”
The Rotate tool in Toolbox
Figure 14.119, “The Rotate tool in Toolbox”
Overview
Section 4.5.1, “Overview”
Activating the Tool
Section 4.5.2, “Activating the Tool”
Key modifiers (Defaults)
Section 4.5.3, “Key modifiers (Defaults)”
Options
Section 4.5.4, “Options”
Rotation tool options
Figure 14.120, “Rotation tool options”
The Rotation Information window
Section 4.5.5, “The Rotation Information window”
The Rotation Information dialog window
Figure 14.121, “The Rotation Information dialog window”
The rotating center
Figure 14.122, “The rotating center”
Scale
Section 4.6, “Scale”
The Scale tool in Toolbox
Figure 14.123, “The Scale tool in Toolbox”
Overview
Section 4.6.1, “Overview”
Activating the Tool
Section 4.6.2, “Activating the Tool”
Key modifiers (Defaults)
Section 4.6.3, “Key modifiers (Defaults)”
Tool Options
Section 4.6.4, “Tool Options”
Tool options for the Scale tool
Figure 14.124, “Tool options for the Scale tool”
The Scaling Information dialog window
Section 4.6.5, “The Scaling Information dialog window”
The Scaling Information dialog window
Figure 14.125, “The Scaling Information dialog window”
Shear
Section 4.7, “Shear”
The Shear tool in Toolbox
Figure 14.126, “The Shear tool in Toolbox”
Shear example
Figure 14.127, “Shear example”
Activating the Tool
Section 4.7.1, “Activating the Tool”
Options
Section 4.7.2, “Options”
Shear tool options
Figure 14.128, “Shear tool options”
Shearing Information
Section 4.7.3, “Shearing Information”
Shearing Information window
Figure 14.129, “Shearing Information window”
Perspective
Section 4.8, “Perspective”
Perspective tool
Figure 14.130, “Perspective tool”
Activating the Tool
Section 4.8.1, “Activating the Tool”
Options
Section 4.8.2, “Options”
“Perspective” tool options
Figure 14.131, ““Perspective” tool options”
The information window for perspective transformation
Section 4.8.3, “ The information window for perspective transformation ”
The information window of the “Perspective” tool
Figure 14.132, “ The information window of the “Perspective” tool ”
Flip
Section 4.9, “Flip”
Flip tool
Figure 14.133, “Flip tool”
Activating the Tool
Section 4.9.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.9.2, “Key modifiers (Defaults)”
Options
Section 4.9.3, “Options”
“Flip Tool” Options
Figure 14.134, ““Flip Tool” Options”
The Cage Tool
Section 4.10, “The Cage Tool”
The Cage Tool in the Toolbox
Figure 14.135, “The Cage Tool in the Toolbox”
Activating the Tool
Section 4.10.1, “ Activating the Tool ”
Tool Options
Section 4.10.2, “Tool Options”
Cage Tool options
Figure 14.136, “Cage Tool options”
Example for the “Cage” tool
Section 4.10.3, “Example for the “Cage” tool”
Cage Tool example
Figure 14.137, “Cage Tool example”
Color Tools
Section 5, “Color Tools”
Overview
Section 5.1, “Overview”
The Color tools in the Tools menu
Figure 14.138, “The Color tools in the Tools menu”
The Color tools in the Colors menu
Figure 14.139, “The Color tools in the Colors menu”
Color Tool Presets
Section 5.1.1, “Color Tool Presets”
Color Balance
Section 5.2, “Color Balance”
Activating the Tool
Section 5.2.1, “Activating the Tool”
Options
Section 5.2.2, “Options”
Color Balance options
Figure 14.140, “Color Balance options”
Preset Menu
Figure 14.141, “Preset Menu”
Manage saved Settings Dialog
Figure 14.142, “Manage saved Settings Dialog”
Hue-Saturation
Section 5.3, “Hue-Saturation”
Activating the Tool
Section 5.3.1, “Activating the Tool”
Options
Section 5.3.2, “Options”
Hue-Saturation tool options
Figure 14.143, “Hue-Saturation tool options”
Preset Menu
Figure 14.144, “Preset Menu”
Manage saved Settings Dialog
Figure 14.145, “Manage saved Settings Dialog”
Example for the “Overlap” option
Figure 14.146, “ Example for the “Overlap” option ”
Colorize
Section 5.4, “Colorize”
Activating tool
Section 5.4.1, “Activating tool”
Options
Section 5.4.2, “Options”
Colorize options
Figure 14.147, “Colorize options”
Preset Menu
Figure 14.148, “Preset Menu”
Manage saved Settings Dialog
Figure 14.149, “Manage saved Settings Dialog”
Brightness-Contrast
Section 5.5, “Brightness-Contrast”
Activating the Tool
Section 5.5.1, “Activating the Tool”
Options
Section 5.5.2, “Options”
Brightness-Contrast options dialog
Figure 14.150, “Brightness-Contrast options dialog”
Preset Menu
Figure 14.151, “Preset Menu”
Manage saved Settings Dialog
Figure 14.152, “Manage saved Settings Dialog”
Threshold
Section 5.6, “Threshold”
Activating the Tool
Section 5.6.1, “Activating the Tool”
Options
Section 5.6.2, “Options”
Threshold tool options
Figure 14.153, “Threshold tool options”
Preset Menu
Figure 14.154, “Preset Menu”
Manage saved Settings Dialog
Figure 14.155, “Manage saved Settings Dialog”
Using Threshold and Quick Mask to create a selection mask
Section 5.6.3, “Using Threshold and Quick Mask to create a selection mask”
The original image, the decompose image and its Layer Dialog
Figure 14.156, “ The original image, the decompose image and its Layer Dialog ”
The selected layer after threshold fit
Figure 14.157, “The selected layer after threshold fit”
The mask
Figure 14.158, “The mask”
The result
Figure 14.159, “The result”
Levels
Section 5.7, “Levels”
Activating the Tool
Section 5.7.1, “Activating the Tool”
Options
Section 5.7.2, “Options”
Level tool options
Figure 14.160, “Level tool options”
Preset Menu
Figure 14.161, “Preset Menu”
Manage saved Settings Dialog
Figure 14.162, “Manage saved Settings Dialog”
Example for Levels eye-droppers
Figure 14.163, “Example for Levels eye-droppers”
Tool Options dialog
Section 5.7.3, “Tool Options dialog”
“Levels” tool options
Figure 14.164, ““Levels” tool options”
Actual practice
Section 5.7.4, “Actual practice”
A very under-exposed image
Figure 14.165, “A very under-exposed image”
Setting the white point
Figure 14.166, “Setting the white point”
Setting the balance between Shadows and Highlights
Figure 14.167, “Setting the balance between Shadows and Highlights”
Curves
Section 5.8, “Curves”
Activating the Tool
Section 5.8.1, “Activating the Tool”
“Adjust Color Curves” options
Section 5.8.2, ““Adjust Color Curves” options”
The “Adjust Color Curves” dialog
Figure 14.168, “The “Adjust Color Curves” dialog”
Preset Menu
Figure 14.169, “Preset Menu”
Manage saved Settings Dialog
Figure 14.170, “Manage saved Settings Dialog”
Using the “Curves” tool
Section 5.8.3, “Using the “Curves” tool”
Summary and basic shapes
Section 5.8.3.1, “Summary and basic shapes”
Making the curve more horizontal
Figure 14.171, “Making the curve more horizontal”
Making the curve more vertical
Figure 14.172, “Making the curve more vertical”
Practical cases
Section 5.8.3.2, “Practical cases”
Posterize
Section 5.9, “Posterize”
Activating the Tool
Section 5.9.1, “Activating the Tool”
Options
Section 5.9.2, “Options”
Posterize tool options
Figure 14.173, “Posterize tool options”
Example
Section 5.9.3, “Example”
Example for the “Posterize” tool
Figure 14.174, “Example for the “Posterize” tool”
Desaturate
Section 5.10, “Desaturate”
Activating the Command
Section 5.10.1, “Activating the Command”
Options
Section 5.10.2, “Options”
The “Desaturate” option dialog
Figure 14.175, “The “Desaturate” option dialog”
???TITLE???
Luminosity
Comparing the three options
Figure 14.176, “Comparing the three options”
Other
Section 6, “Other”
Overview
Section 6.1, “Overview”
Other Tools in the Tools Menu
Figure 14.177, “Other Tools in the Tools Menu”
Paths
Section 6.2, “Paths”
Paths tool
Figure 14.178, “Paths tool”
Activating the Tool
Section 6.2.1, “Activating the Tool”
Key modifiers (Defaults)
Section 6.2.2, “Key modifiers (Defaults)”
Options
Section 6.2.3, “Options”
“Path” tool options
Figure 14.179, ““Path” tool options”
Color Picker
Section 6.3, “Color Picker”
The Color Picker in the toolbox (eye dropper icon)
Figure 14.180, “The Color Picker in the toolbox (eye dropper icon)”
Activating the Tool
Section 6.3.1, “Activating the Tool”
Key modifiers (Defaults)
Section 6.3.2, “Key modifiers (Defaults)”
Options
Section 6.3.3, “Options”
Color Picker Options
Figure 14.181, “Color Picker Options”
Color Picker Info Window
Figure 14.182, “Color Picker Info Window”
Zoom
Section 6.4, “Zoom”
The “Zoom” tool in Toolbox
Figure 14.183, “The “Zoom” tool in Toolbox”
Activating the Tool
Section 6.4.1, “Activating the Tool”
Key modifiers (Defaults)
Section 6.4.2, “Key modifiers (Defaults)”
Options
Section 6.4.3, “Options”
Zoom tool options
Figure 14.184, “Zoom tool options”
Zoom menu
Section 6.4.4, “Zoom menu”
Measure
Section 6.5, “Measure”
Measure tool
Figure 14.185, “Measure tool”
Status Bar
Section 6.5.1, “Status Bar”
Activating the Tool
Section 6.5.2, “Activating the Tool”
Key modifiers (Defaults)
Section 6.5.3, “Key modifiers (Defaults)”
Options
Section 6.5.4, “Options”
“Measure” tool options
Figure 14.186, ““Measure” tool options”
Measuring surfaces
Section 6.5.5, “Measuring surfaces”
Text
Section 6.6, “Text”
The Text tool in Toolbox
Figure 14.187, “The Text tool in Toolbox”
Activating the Tool
Section 6.6.1, “Activating the Tool”
Options
Section 6.6.2, “Options”
Text tool options
Figure 14.188, “Text tool options”
The Text tool context menu
Section 6.6.3, “The Text tool context menu”
The Text along Path command among text commands in the Layer menu
Figure 14.189, “ The Text along Path command among text commands in the Layer menu ”
“Text along Path” example
Figure 14.190, ““Text along Path” example”
Text Editor
Section 6.6.4, “Text Editor”
The Text Editor
Figure 14.191, “The Text Editor”
Entering Unicode characters
Figure 14.192, “Entering Unicode characters”
GEGL Operation
Section 6.7, “GEGL Operation”
GEGL Operation tool
Figure 14.193, “GEGL Operation tool”
Activating the Tool
Section 6.7.1, “Activating the Tool”
Options
Section 6.7.2, “Options”
GEGL Operation tool options
Figure 14.194, “GEGL Operation tool options”
“Operation Settings” example
Figure 14.195, ““Operation Settings” example”
Dialogs
Chapter 15, Dialogs
Dialog Introduction
Section 1, “Dialog Introduction”
Image Structure Related Dialogs
Section 2, “Image Structure Related Dialogs”
Layers Dialog
Section 2.1, “Layers Dialog”
Layers Dialog
Figure 15.1, “Layers Dialog”
An image with layers
Figure 15.2, “An image with layers”
Activating the dialog
Section 2.1.1, “Activating the dialog”
Using the Layer dialog
Section 2.1.2, “Using the Layer dialog”
???TITLE???
Layer attributes
???TITLE???
Visible layer
???TITLE???
Linked layers
???TITLE???
Layers characteristics
???TITLE???
Mode
???TITLE???
Opacity
???TITLE???
Lock
Example for Locking Alpha Channel
Figure 15.3, “Example for Locking Alpha Channel”
???TITLE???
New layer
Layer masks
Section 2.1.3, “Layer masks”
“Add mask” dialog
Figure 15.4, ““Add mask” dialog”
A layer with layer mask
Figure 15.5, “A layer with layer mask”
Painting the layer mask
Figure 15.6, “Painting the layer mask”
Channels Dialog
Section 2.2, “Channels Dialog”
The Channels dialog
Figure 15.7, “The Channels dialog”
Representation of an image with channels
Figure 15.8, “Representation of an image with channels”
Activating the Dialog
Section 2.2.1, “Activating the Dialog”
Using the Channel dialog
Section 2.2.2, “Using the Channel dialog”
Overview
Section 2.2.2.1, “Overview”
Channel attributes
Section 2.2.2.2, “Channel attributes”
???TITLE???
Section 2.2.2.2, “Channel attributes”
Managing channels
Section 2.2.2.3, “Managing channels”
???TITLE???
Edit Channel Attributes
???TITLE???
New Channel
???TITLE???
Raise Channel
???TITLE???
Lower Channel
???TITLE???
Duplicate Channel
???TITLE???
Channel to Selection
???TITLE???
Add to Selection
???TITLE???
Subtract from Selection
???TITLE???
Intersect with Selection
???TITLE???
Delete Channel
Channels Context Menu
Section 2.2.2.4, “Channels Context Menu”
Channel Context Menu
Figure 15.9, “Channel Context Menu”
Selection masks
Section 2.2.3, “Selection masks”
???TITLE???
Selection masks
A selection composed out of channels.
Figure 15.10, “A selection composed out of channels.”
Using Selection Masks
Section 2.2.3.1, “Using Selection Masks”
Quick Mask
Section 2.2.4, “Quick Mask”
Dialog Quick Mask
Figure 15.11, “Dialog Quick Mask”
Activating the dialog
Section 2.2.4.1, “Activating the dialog”
Creating a Quick Mask
Section 2.2.4.2, “Creating a Quick Mask”
Using Quick Mask with a gradient
Section 2.2.4.3, “Using Quick Mask with a gradient”
Usage
Section 2.2.4.4, “Usage”
Paths Dialog
Section 2.3, “Paths Dialog”
The “Paths” dialog
Figure 15.12, “The “Paths” dialog”
Activating the dialog
Section 2.3.1, “Activating the dialog”
Using the Paths dialog
Section 2.3.2, “Using the Paths dialog”
Buttons
Section 2.3.3, “Buttons”
The “Paths” context menu
Section 2.3.4, “The “Paths” context menu”
The “Paths” context menu
Figure 15.13, “The “Paths” context menu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Colormap Dialog
Section 2.4, “Colormap Dialog”
An indexed image with 6 colors and its Colormap dialog
Figure 15.14, “An indexed image with 6 colors and its Colormap dialog”
Activating the dialog
Section 2.4.1, “Activating the dialog”
Colormaps and Indexed Images
Section 2.4.2, “Colormaps and Indexed Images”
Using the Colormap dialog
Section 2.4.3, “Using the Colormap dialog”
???TITLE???
???TITLE???
The Colormap context menu
Section 2.4.4, “The Colormap context menu”
The Colormap context menu
Figure 15.15, “The Colormap context menu”
Histogram dialog
Section 2.5, “Histogram dialog”
The Histogram dialog
Figure 15.16, “The Histogram dialog”
Activating the dialog
Section 2.5.1, “Activating the dialog”
About Histograms
Section 2.5.2, “About Histograms”
Using the Histogram dialog
Section 2.5.3, “Using the Histogram dialog”
Channel options for an RGB layer with alpha channel
Figure 15.17, “ Channel options for an RGB layer with alpha channel ”
Combined histograms of R, G, and B channels.
Figure 15.18, “ Combined histograms of R, G, and B channels. ”
The histogram shown at the top, changed to logarithmic mode.
Figure 15.19, “ The histogram shown at the top, changed to logarithmic mode. ”
Dialog aspect after range fixing.
Figure 15.20, “Dialog aspect after range fixing.”
Navigation Dialog
Section 2.6, “Navigation Dialog”
Navigation Dialog
Figure 15.21, “Navigation Dialog”
Activating the dialog
Section 2.6.1, “Activating the dialog”
Using the Navigation Dialog
Section 2.6.2, “Using the Navigation Dialog”
Undo History Dialog
Section 2.7, “Undo History Dialog”
The Undo History dialog
Figure 15.22, “The Undo History dialog”
Activating the dialog
Section 2.7.1, “Activating the dialog”
Using the Undo History dialog
Section 2.7.2, “Using the Undo History dialog”
Image-content Related Dialogs
Section 3, “Image-content Related Dialogs”
FG/BG Color Dialog
Section 3.1, “FG/BG Color Dialog”
The FG/BG Color dialog
Figure 15.23, “The FG/BG Color dialog”
Activating the Dialog
Section 3.1.1, “Activating the Dialog”
Using the “FG/BG color” dialog
Section 3.1.2, “Using the “FG/BG color” dialog”
???TITLE???
GIMP Selector
???TITLE???
CMYK
CMYK
Figure 15.24, “CMYK”
???TITLE???
Triangle
The triangle selector
Figure 15.25, “The triangle selector”
???TITLE???
Watercolor
Watercolor Color Selector
Figure 15.26, “Watercolor Color Selector”
???TITLE???
Palette
Palette Color Selector
Figure 15.27, “Palette Color Selector”
???TITLE???
Scales
The Scales selector
Figure 15.28, “The Scales selector”
???TITLE???
Color picker
???TITLE???
HTML Notation
CSS keywords example
Figure 15.29, “CSS keywords example”
The HTML Notation context menu
Figure 15.30, “The HTML Notation context menu”
Brushes Dialog
Section 3.2, “Brushes Dialog”
The Brushes dialog
Figure 15.31, “The Brushes dialog”
Activating the Dialog
Section 3.2.1, “Activating the Dialog”
Using the “Brushes” dialog
Section 3.2.2, “Using the “Brushes” dialog”
Grid/List mode
Section 3.2.2.1, “Grid/List mode”
Grid/List view
Figure 15.32, “Grid/List view”
Brush previews
Section 3.2.2.2, “Brush previews”
The “Brushes” dialog
Figure 15.33, “The “Brushes” dialog”
Tagging
Section 3.2.2.3, “Tagging”
Buttons at the bottom
Section 3.2.2.4, “Buttons at the bottom”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The “Brushes” context menu
Section 3.2.2.5, “The “Brushes” context menu”
The “Brushes” context menu
Figure 15.34, “The “Brushes” context menu”
Brush Editor
Section 3.2.3, “Brush Editor”
The “Brushes” Editor dialog
Figure 15.35, “The “Brushes” Editor dialog”
The Clipboard Brush
Section 3.2.4, “The Clipboard Brush”
A new “Clipboard Brush”
Figure 15.36, “A new “Clipboard Brush””
Patterns Dialog
Section 3.3, “Patterns Dialog”
Activating the dialog
Section 3.3.1, “Activating the dialog”
Using the pattern dialog
Section 3.3.2, “Using the pattern dialog”
The Patterns dialog
Figure 15.37, “The Patterns dialog”
???TITLE???
???TITLE???
???TITLE???
Tagging
Section 3.3.3, “Tagging”
The Pattern context menu
Section 3.3.4, “The Pattern context menu”
The Clipboard pattern
Section 3.3.5, “The Clipboard pattern”
A new “Clipboard Pattern”
Figure 15.38, “A new “Clipboard Pattern””
Gradients Dialog
Section 3.4, “Gradients Dialog”
The screenshot illustrates the Gradients dialog
Figure 15.39, “The screenshot illustrates the Gradients dialog”
Activating the Dialog
Section 3.4.1, “Activating the Dialog”
Using the “Gradients” dialog
Section 3.4.2, “Using the “Gradients” dialog”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The Gradients Menu
Figure 15.40, “The Gradients Menu”
???TITLE???
Save as POV-Ray...
???TITLE???
Copy Gradient Location
???TITLE???
Custom Gradient...
???TITLE???
Save as CSS
Tagging
Section 3.4.2.1, “Tagging”
The Gradient Editor
Section 3.4.3, “The Gradient Editor”
???TITLE???
Section 3.4.3, “The Gradient Editor”
The gradient editor
Figure 15.41, “The gradient editor”
How to Activate the Gradient Editor
Section 3.4.3.1, “How to Activate the Gradient Editor”
Display
Section 3.4.3.2, “Display”
???TITLE???
???TITLE???
???TITLE???
The Gradient Editor pop-up Menu
Section 3.4.3.3, “The Gradient Editor pop-up Menu”
The Gradient Editor pop-up menu
Figure 15.42, “The Gradient Editor pop-up menu”
The Left/Right color type sub-menu
Figure 15.43, “The Left/Right color type sub-menu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The “Load Color From” submenu
Figure 15.44, “The “Load Color From” submenu”
???TITLE???
???TITLE???
???TITLE???
The Blending Function submenu
Figure 15.45, “The Blending Function submenu”
???TITLE???
The Coloring Type submenu
Figure 15.46, “The Coloring Type submenu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Using example for the Gradient Editor
Section 3.4.3.4, “Using example for the Gradient Editor”
New gradient
Figure 15.47, “New gradient”
Gradient with three segments
Figure 15.48, “Gradient with three segments”
First segment colored
Figure 15.49, “First segment colored”
Palettes Dialog
Section 3.5, “Palettes Dialog”
Activating the dialog
Section 3.5.1, “Activating the dialog”
Using the Palettes dialog
Section 3.5.2, “Using the Palettes dialog”
The “Palettes” dialog
Figure 15.50, “The “Palettes” dialog”
???TITLE???
???TITLE???
???TITLE???
New Palette
The “Palettes” pop-menu
Section 3.5.3, “The “Palettes” pop-menu”
The “Palettes” pop-menu
Figure 15.51, “The “Palettes” pop-menu”
???TITLE???
Edit Palette
???TITLE???
New Palette
???TITLE???
Import Palette
The Import Palette dialog
Figure 15.52, “The Import Palette dialog”
???TITLE???
Duplicate Palette
???TITLE???
Merge Palettes
???TITLE???
Copy Palette Location
???TITLE???
Delete Palette
???TITLE???
Refresh Palettes
???TITLE???
Offset Palette...
The “Offset Palette”dialog
Figure 15.53, “The “Offset Palette”dialog”
“Offset Palette” examples
Figure 15.54, ““Offset Palette” examples”
???TITLE???
Palette to gradient
???TITLE???
Palette to Repeating Gradient
“Palette to repeating gradient” examples
Figure 15.55, “ “Palette to repeating gradient” examples ”
???TITLE???
Sort Palette...
The “Sort Palette”dialog
Figure 15.56, “The “Sort Palette”dialog”
Palette Editor
Section 3.5.4, “Palette Editor”
The Palette Editor
Figure 15.57, “The Palette Editor”
How to Activate the Palette Editor
Section 3.5.4.1, “How to Activate the Palette Editor”
Using the Palette Editor
Section 3.5.4.2, “Using the Palette Editor”
The Palette Editor pop-menu
Section 3.5.5, “The Palette Editor pop-menu”
The Palette Editor pop-menu
Figure 15.58, “The Palette Editor pop-menu”
???TITLE???
Edit Color
???TITLE???
New Color from FG; New Color from BG
???TITLE???
Delete Color
???TITLE???
Zoom Out
???TITLE???
Zoom In
???TITLE???
Zoom All
???TITLE???
Edit Active Palette
Tagging
Section 3.6, “Tagging”
Tagging
Figure 15.59, “Tagging”
Example
Figure 15.60, “Example”
Fonts Dialog
Section 3.7, “Fonts Dialog”
The Fonts dialog
Figure 15.61, “The Fonts dialog”
Activating the Dialog
Section 3.7.1, “Activating the Dialog”
Using the Fonts dialog
Section 3.7.2, “Using the Fonts dialog”
The Fonts dialog
Figure 15.62, “The Fonts dialog”
???TITLE???
Refresh font list
Image Management Related Dialogs
Section 4, “Image Management Related Dialogs”
Buffers Dialog
Section 4.1, “Buffers Dialog”
The Buffers dialog (as a list)
Figure 15.63, “The Buffers dialog (as a list)”
Activating the Dialog
Section 4.1.1, “Activating the Dialog”
Using the Buffers dialog
Section 4.1.2, “Using the Buffers dialog”
The Buffers Menu
Figure 15.64, “The Buffers Menu”
The Buffers dialog (Grid View)
Figure 15.65, “The Buffers dialog (Grid View)”
Buttons at the bottom
Section 4.1.2.1, “Buttons at the bottom”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Context menu
Section 4.1.2.2, “Context menu”
The “Buffers” context menu
Figure 15.66, “The “Buffers” context menu”
Images Dialog
Section 4.2, “Images Dialog”
The Images dialog
Figure 15.67, “The Images dialog”
Activating the dialog
Section 4.2.1, “Activating the dialog”
Using the Images dialog
Section 4.2.2, “Using the Images dialog”
Document History Dialog
Section 4.3, “Document History Dialog”
Document History dialog
Figure 15.68, “Document History dialog”
Activating the Dialog
Section 4.3.1, “Activating the Dialog”
Using the Document History dialog
Section 4.3.2, “Using the Document History dialog”
Templates Dialog
Section 4.4, “Templates Dialog”
The Templates dialog
Figure 15.69, “The Templates dialog”
Activating the dialog
Section 4.4.1, “Activating the dialog”
Using the Templates dialog
Section 4.4.2, “Using the Templates dialog”
Grid/List modes
Section 4.4.2.1, “Grid/List modes”
Buttons at the bottom
Section 4.4.2.2, “Buttons at the bottom”
Edit Template
Section 4.4.3, “Edit Template”
The Edit Template dialog
Figure 15.70, “The Edit Template dialog”
The “Advanced Options” dialog
Figure 15.71, “The “Advanced Options” dialog”
Misc. Dialogs
Section 5, “Misc. Dialogs”
Tool Presets Dialog
Section 5.1, “Tool Presets Dialog”
The Tool Presets Dialog
Figure 15.72, “The Tool Presets Dialog”
Activating the Dialog
Section 5.1.1, “Activating the Dialog”
Using the Tool Presets Dialog
Section 5.1.2, “Using the Tool Presets Dialog”
The Tool Presets Dialog Context Menu
Section 5.1.3, “The Tool Presets Dialog Context Menu”
Tool Preset Editor
Section 5.2, “Tool Preset Editor”
The Tool Preset Editor
Figure 15.73, “The Tool Preset Editor”
Activating the Dialog
Section 5.2.1, “Activating the Dialog”
Using the Tool Preset Editor
Section 5.2.2, “Using the Tool Preset Editor”
Device Status Dialog
Section 5.3, “Device Status Dialog”
The “Device Status” Dialog
Figure 15.74, “The “Device Status” Dialog”
Activating the Dialog
Section 5.3.1, “Activating the Dialog”
Error Console
Section 5.4, “Error Console”
Activating the Dialog
Section 5.4.1, “Activating the Dialog”
The “Error Console” Dialog
Section 5.4.2, “The “Error Console” Dialog”
“Error Console” Dialog window
Figure 15.75, ““Error Console” Dialog window”
“Save Error Log to file” Dialog window
Figure 15.76, “ “Save Error Log to file” Dialog window ”
Save File
Section 5.5, “Save File”
Save Image Dialog
Figure 15.77, “Save Image Dialog”
Activate the Dialog
Section 5.5.1, “Activate the Dialog”
The Save Image Dialog
Section 5.5.2, “The Save Image Dialog”
Export File
Section 5.6, “Export File”
Export Image Dialog
Figure 15.78, “Export Image Dialog”
The Export Image Dialog
Section 5.6.1, “The Export Image Dialog”
Exporting
Section 5.6.2, “Exporting”
Sample Points Dialog
Section 5.7, “Sample Points Dialog”
Activating the dialog
Section 5.7.1, “Activating the dialog”
Using sample points
Section 5.7.2, “Using sample points”
The “Sample Point” menu
Figure 15.79, “The “Sample Point” menu”
“Sample Points” dialog description
Section 5.7.3, ““Sample Points” dialog description”
Sample points dialog
Figure 15.80, “Sample points dialog”
Pointer Dialog
Section 5.8, “Pointer Dialog”
Pointer dialog
Figure 15.81, “Pointer dialog”
Activating the dialog
Section 5.8.1, “Activating the dialog”
“Pointer” dialog options
Section 5.8.2, ““Pointer” dialog options”
Menus
Chapter 16, Menus
Introduction to Menus
Section 1, “Introduction to Menus”
The Image Menu Bar
Section 1.1, “The Image Menu Bar”
Context Menus
Section 1.2, “Context Menus”
Tear-off menus
Section 1.3, “Tear-off menus”
The “windows” submenu and its tear-off submenu
Figure 16.1, “ The “windows” submenu and its tear-off submenu ”
Tab menus
Section 1.4, “Tab menus”
A dockable dialog.
Figure 16.2, “A dockable dialog.”
The “File” Menu
Section 2, “The “File” Menu”
Overview
Section 2.1, “Overview”
The File menu
Figure 16.3, “The File menu”
New
Section 2.2, “New”
Activate the command
Section 2.2.1, “Activate the command”
Basic Options
Section 2.2.2, “Basic Options”
The “New Image” dialog
Figure 16.4, “The “New Image” dialog”
The “Template” dialog
Figure 16.5, “The “Template” dialog”
Advanced Options
Section 2.2.3, “Advanced Options”
New Image dialog (Advanced Options)
Figure 16.6, “New Image dialog (Advanced Options)”
Create
Section 2.3, “Create”
The “Create” submenu
Figure 16.7, “The “Create” submenu”
Activate the Submenu
Section 2.3.1, “Activate the Submenu”
From Clipboard
Section 2.3.2, “From Clipboard”
From Web page
Section 2.3.3, “From Web page”
Screenshot
Section 2.3.4, “Screenshot”
The “Screenshot” window
Figure 16.8, “The “Screenshot” window”
Image capture devices
Section 2.3.5, “Image capture devices”
Scanner and Camera
Figure 16.9, “Scanner and Camera”
Buttons, Logos, Patterns, Web Page Themes
Section 2.3.6, “Buttons, Logos, Patterns, Web Page Themes”
New brush from text...
Section 2.3.7, “New brush from text...”
Open
Section 2.4, “Open”
Activate Dialog
Section 2.4.1, “Activate Dialog”
File browsing
Section 2.4.2, “File browsing”
Open Dialog
Figure 16.10, “Open Dialog”
Open as Layers
Section 2.5, “Open as Layers”
Activate Command
Section 2.5.1, “Activate Command”
Open Location
Section 2.6, “Open Location”
Activate Command
Section 2.6.1, “Activate Command”
Description of the dialog window
Section 2.6.2, “Description of the dialog window”
The “Open Location” dialog window
Figure 16.11, “The “Open Location” dialog window”
Open Recent
Section 2.7, “Open Recent”
Activate Command
Section 2.7.1, “Activate Command”
Save
Section 2.8, “Save”
???TITLE???
Section 2.8, “Save”
???TITLE???
Section 2.8, “Save”
Save as
Section 2.9, “Save as”
Activating the Command
Section 2.9.1, “Activating the Command”
The “Save Image” dialog
Section 2.9.2, “The “Save Image” dialog”
The “Save Image” dialog
Figure 16.12, “The “Save Image” dialog”
Save a Copy
Section 2.10, “Save a Copy”
Activate Command
Section 2.10.1, “Activate Command”
Revert
Section 2.11, “Revert”
Activate Command
Section 2.11.1, “Activate Command”
Export
Section 2.12, “Export”
Export As...
Section 2.13, “Export As...”
Activating the Command
Section 2.13.1, “Activating the Command”
Create Template
Section 2.14, “Create Template”
Activating the Command
Section 2.14.1, “Activating the Command”
Print
Section 2.15, “Print”
The “Print” dialog
Figure 16.13, “The “Print” dialog”
Activate Command
Section 2.15.1, “Activate Command”
Close
Section 2.16, “Close”
???TITLE???
Section 2.16, “Close”
Activating the Command
Section 2.16.1, “Activating the Command”
Close all
Section 2.17, “Close all”
Activate the Command
Section 2.17.1, “Activate the Command”
Quit
Section 2.18, “Quit”
???TITLE???
Section 2.18, “Quit”
Activate Command
Section 2.18.1, “Activate Command”
The “Edit” Menu
Section 3, “The “Edit” Menu”
“Edit” Menu Entries
Section 3.1, ““Edit” Menu Entries”
Contents of the Edit Menu
Figure 16.14, “Contents of the Edit Menu”
Undo
Section 3.2, “Undo”
Activate the Command
Section 3.2.1, “Activate the Command”
Redo
Section 3.3, “Redo”
Activating the Command
Section 3.3.1, “Activating the Command”
Fade
Section 3.4, “Fade”
Activate the command
Section 3.4.1, “Activate the command”
Options
Section 3.4.2, “Options”
The “Fade” dialog
Figure 16.15, “The “Fade” dialog”
Undo History
Section 3.5, “Undo History”
Activating the Command
Section 3.5.1, “Activating the Command”
Cut
Section 3.6, “Cut”
Activate the Command
Section 3.6.1, “Activate the Command”
Copy
Section 3.7, “Copy”
Activate the Command
Section 3.7.1, “Activate the Command”
Copy Visible
Section 3.8, “Copy Visible”
Activating the Command
Section 3.8.1, “Activating the Command”
Paste
Section 3.9, “Paste”
Activate the Command
Section 3.9.1, “Activate the Command”
Paste Into
Section 3.10, “Paste Into”
Activate the Command
Section 3.10.1, “Activate the Command”
Paste as
Section 3.11, “Paste as”
The “Paste as” sub-menu
Figure 16.16, “The “Paste as” sub-menu”
Paste as New Image
Section 3.11.1, “Paste as New Image”
Activate the Command
Section 3.11.1.1, “Activate the Command”
Paste as New Layer
Section 3.11.2, “Paste as New Layer”
Activate the Command
Section 3.11.2.1, “Activate the Command”
Paste as New Brush
Section 3.11.3, “Paste as New Brush”
Options
Section 3.11.3.1, “Options”
The “New Brush”dialog
Figure 16.17, “The “New Brush”dialog”
Activate the Command
Section 3.11.3.2, “Activate the Command”
Paste as New Pattern
Section 3.11.4, “Paste as New Pattern”
Options
Section 3.11.4.1, “Options”
The “New Pattern”dialog
Figure 16.18, “The “New Pattern”dialog”
Activate the Command
Section 3.11.4.2, “Activate the Command”
Buffer
Section 3.12, “Buffer”
The “Buffer” submenu of the “Edit” menu
Figure 16.19, “ The “Buffer” submenu of the “Edit” menu ”
Activate the Submenu
Section 3.12.1, “Activate the Submenu”
Sub-menu entries
Section 3.12.2, “Sub-menu entries”
Clear
Section 3.13, “Clear”
Activate the Command
Section 3.13.1, “Activate the Command”
Fill with FG Color
Section 3.14, “Fill with FG Color”
Activate the Command
Section 3.14.1, “Activate the Command”
Fill with BG Color
Section 3.15, “Fill with BG Color”
Activate the Command
Section 3.15.1, “Activate the Command”
Fill with Pattern
Section 3.16, “Fill with Pattern”
Activate the Command
Section 3.16.1, “Activate the Command”
Stroke Selection
Section 3.17, “Stroke Selection”
Activate the Command
Section 3.17.1, “Activate the Command”
The “Stroke Selection” dialog
Section 3.17.2, “The “Stroke Selection” dialog”
Stroke Path
Section 3.18, “Stroke Path”
Activating the Command
Section 3.18.1, “Activating the Command”
Description of the Dialog Window
Section 3.18.2, “Description of the Dialog Window”
The “Choose Stroke Style” dialog window
Figure 16.20, “The “Choose Stroke Style” dialog window”
Example of miter limit
Figure 16.21, “Example of miter limit”
The “Preferences” Command
Section 3.19, “The “Preferences” Command”
Activate Command
Section 3.19.1, “Activate Command”
Keyboard Shortcuts
Section 3.20, “Keyboard Shortcuts”
Activate the Command
Section 3.20.1, “Activate the Command”
Modules
Section 3.21, “Modules”
Activating the Command
Section 3.21.1, “Activating the Command”
Description of the “Module Manager” Dialog
Section 3.21.2, “Description of the “Module Manager” Dialog”
The “Module Manager” dialog window
Figure 16.22, “The “Module Manager” dialog window”
Loaded modules example: Color selector modules
Figure 16.23, “Loaded modules example: Color selector modules”
Units
Section 3.22, “Units”
Activate the Command
Section 3.22.1, “Activate the Command”
Description of the “Unit Editor” dialog window
Section 3.22.2, “Description of the “Unit Editor” dialog window”
The “Unit Editor” dialog window
Figure 16.24, “The “Unit Editor” dialog window”
Defining New Units
Section 3.22.3, “Defining New Units”
The “New Unit” dialog
Figure 16.25, “The “New Unit” dialog”
The “Select” Menu
Section 4, “The “Select” Menu”
Introduction to the “Select” Menu
Section 4.1, “Introduction to the “Select” Menu”
The Contents of the “Select” menu
Figure 16.26, “The Contents of the “Select” menu”
Select All
Section 4.2, “Select All”
Activate the Command
Section 4.2.1, “Activate the Command”
None
Section 4.3, “None”
Activating the Command
Section 4.3.1, “Activating the Command”
Invert
Section 4.4, “Invert”
Activate the Command
Section 4.4.1, “Activate the Command”
Float
Section 4.5, “Float”
Activate the Command
Section 4.5.1, “Activate the Command”
Creating a Floating Selection Automatically
Section 4.5.2, “Creating a Floating Selection Automatically”
Anchor a Floating Selection
Section 4.5.3, “Anchor a Floating Selection”
By Color
Section 4.6, “By Color”
Activating the Command
Section 4.6.1, “Activating the Command”
From Path
Section 4.7, “From Path”
???TITLE???
Section 4.7, “From Path”
Activating the Command
Section 4.7.1, “Activating the Command”
Selection Editor
Section 4.8, “Selection Editor”
Activating the Command
Section 4.8.1, “Activating the Command”
Description of the “Selection Editor” dialog window
Section 4.8.2, “ Description of the “Selection Editor” dialog window ”
The “Selection Editor” dialog window
Figure 16.27, “The “Selection Editor” dialog window”
Example of clicking in the “Selection Editor” display window
Figure 16.28, “ Example of clicking in the “Selection Editor” display window ”
The “Selection to Path Advanced Settings” dialog
Section 4.8.3, “ The “Selection to Path Advanced Settings” dialog ”
The “Advanced Settings” dialog window
Figure 16.29, “The “Advanced Settings” dialog window”
Feather
Section 4.9, “Feather”
Activating the Command
Section 4.9.1, “Activating the Command”
Description of the “Feather Selection” dialog window
Section 4.9.2, “ Description of the “Feather Selection” dialog window ”
The “Feather Selection” dialog
Figure 16.30, “The “Feather Selection” dialog”
Sharpen
Section 4.10, “Sharpen”
Activating the Command
Section 4.10.1, “Activating the Command”
Shrink
Section 4.11, “Shrink”
Activating the Command
Section 4.11.1, “Activating the Command”
Description of the “Shrink” dialog
Section 4.11.2, “Description of the “Shrink” dialog”
The “Shrink Selection” dialog
Figure 16.31, “The “Shrink Selection” dialog”
Grow
Section 4.12, “Grow”
Activating the Command
Section 4.12.1, “Activating the Command”
Description of the “Grow Selection” dialog
Section 4.12.2, “Description of the “Grow Selection” dialog”
The “Grow Selection” dialog window
Figure 16.32, “The “Grow Selection” dialog window”
A Peculiarity of Rectangular Selections
Section 4.12.3, “A Peculiarity of Rectangular Selections”
Why growing a rectangular selection results in rounded corners
Figure 16.33, “ Why growing a rectangular selection results in rounded corners ”
Border
Section 4.13, “Border”
Example of creating a border from a selection
Figure 16.34, “Example of creating a border from a selection”
Activating the Command
Section 4.13.1, “Activating the Command”
Description of the “Border” dialog window
Section 4.13.2, “Description of the “Border” dialog window”
The “Border” dialog window
Figure 16.35, “The “Border” dialog window”
Select border with and without “Lock to image edges”
Figure 16.36, “ Select border with and without “Lock to image edges” ”
Distort
Section 4.14, “Distort”
Example of using Distort on a selection
Figure 16.37, “Example of using Distort on a selection”
Activating the Command
Section 4.14.1, “Activating the Command”
Description of the “Distort” Dialog Window
Section 4.14.2, “ Description of the “Distort” Dialog Window ”
The “Distort” dialog
Figure 16.38, “ The “Distort” dialog ”
Rounded Rectangle
Section 4.15, “Rounded Rectangle”
Example of using Rounded rectangle on a selection
Figure 16.39, “Example of using Rounded rectangle on a selection”
Activating the Command
Section 4.15.1, “Activating the Command”
Description of the “Rounded Rectangle” Dialog Window
Section 4.15.2, “ Description of the “Rounded Rectangle” Dialog Window ”
The “Rounded Rectangle” dialog
Figure 16.40, “The “Rounded Rectangle” dialog”
Toggle QuickMask
Section 4.16, “Toggle QuickMask”
Activate Dialog
Section 4.16.1, “Activate Dialog”
Save to Channel
Section 4.17, “Save to Channel”
Activate the Command
Section 4.17.1, “Activate the Command”
To Path
Section 4.18, “To Path”
Activating the Command
Section 4.18.1, “Activating the Command”
The “View” Menu
Section 5, “The “View” Menu”
Introduction to the “View” Menu
Section 5.1, “Introduction to the “View” Menu”
Contents of the View menu
Figure 16.41, “Contents of the View menu”
New View
Section 5.2, “New View”
Activating the Command
Section 5.2.1, “Activating the Command”
Dot for Dot
Section 5.3, “Dot for Dot”
Activating the Command
Section 5.3.1, “Activating the Command”
Zoom
Section 5.4, “Zoom”
The “Zoom” submenu of the “View” menu
Figure 16.42, “ The “Zoom” submenu of the “View” menu ”
Activate the Submenu
Section 5.4.1, “Activate the Submenu”
Contents of the “Zoom” submenu
Section 5.4.2, “Contents of the “Zoom” submenu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Fit Image in Window
???TITLE???
Fit Image to Window
???TITLE???
???TITLE???
Shrink Wrap
Section 5.5, “Shrink Wrap”
Activating the Command
Section 5.5.1, “Activating the Command”
Full Screen
Section 5.6, “Full Screen”
Activating the Command
Section 5.6.1, “Activating the Command”
Navigation Window
Section 5.7, “Navigation Window”
Activating the Command
Section 5.7.1, “Activating the Command”
Display Filters
Section 5.8, “Display Filters”
Activating the Command
Section 5.8.1, “Activating the Command”
Description of the “Display Filters” Dialog
Section 5.8.2, “Description of the “Display Filters” Dialog”
The “Configure Color Display Filters” dialog
Figure 16.43, “ The “Configure Color Display Filters” dialog ”
Color Deficient Vision
Section 5.8.3, “Color Deficient Vision”
Description of the “Color Deficient Vision” dialog
Figure 16.44, “ Description of the “Color Deficient Vision” dialog ”
Options
Section 5.8.3.1, “Options”
Examples
Section 5.8.3.2, “Examples”
Example of protanopia
Figure 16.45, “Example of protanopia”
Examples of the three types of vision deficiencies in one image
Figure 16.46, “ Examples of the three types of vision deficiencies in one image ”
Gamma
Section 5.8.4, “Gamma”
The “Gamma” dialog
Figure 16.47, “The “Gamma” dialog”
Contrast
Section 5.8.5, “Contrast”
The “Contrast” dialog
Figure 16.48, “The “Contrast” dialog”
Options
Section 5.8.5.1, “Options”
Color Management
Section 5.8.6, “Color Management”
The “Color Management” dialog
Figure 16.49, “The “Color Management” dialog”
Options
Section 5.8.6.1, “Options”
Color Proof
Section 5.8.7, “Color Proof”
The “Color Proof” dialog
Figure 16.50, “The “Color Proof” dialog”
The “Color Proof” options
Section 5.8.7.1, “The “Color Proof” options”
Show Selection
Section 5.9, “Show Selection”
Activating the Command
Section 5.9.1, “Activating the Command”
Show Layer Boundary
Section 5.10, “Show Layer Boundary”
Activating the Command
Section 5.10.1, “Activating the Command”
Show Guides
Section 5.11, “Show Guides”
Activating the Command
Section 5.11.1, “Activating the Command”
Show Grid
Section 5.12, “Show Grid”
Activating the Command
Section 5.12.1, “Activating the Command”
Show Sample Points
Section 5.13, “Show Sample Points”
Activating the Command
Section 5.13.1, “Activating the Command”
Snap to Guides
Section 5.14, “Snap to Guides”
Activating the Command
Section 5.14.1, “Activating the Command”
Snap to Grid
Section 5.15, “Snap to Grid”
Activating the Command
Section 5.15.1, “Activating the Command”
Snap to Canvas
Section 5.16, “Snap to Canvas”
Activating the Command
Section 5.16.1, “Activating the Command”
Snap to Active Path
Section 5.17, “Snap to Active Path”
Activating the Command
Section 5.17.1, “Activating the Command”
Padding Color
Section 5.18, “Padding Color”
Contents of the “Padding Color” submenu
Figure 16.51, “Contents of the “Padding Color” submenu”
Activating the submenu
Section 5.18.1, “Activating the submenu”
“Padding Color” Options
Section 5.18.2, ““Padding Color” Options”
Show Menubar
Section 5.19, “Show Menubar”
Activating the Command
Section 5.19.1, “Activating the Command”
Show Rulers
Section 5.20, “Show Rulers”
Activating the Command
Section 5.20.1, “Activating the Command”
Show Scrollbars
Section 5.21, “Show Scrollbars”
Activating the Command
Section 5.21.1, “Activating the Command”
Show Statusbar
Section 5.22, “Show Statusbar”
Activating the Command
Section 5.22.1, “Activating the Command”
The “Image” Menu
Section 6, “The “Image” Menu”
Overview
Section 6.1, “Overview”
The Contents of the “Image” Menu
Figure 16.52, “The Contents of the “Image” Menu”
Duplicate
Section 6.2, “Duplicate”
Activating the Command
Section 6.2.1, “Activating the Command”
Mode
Section 6.3, “Mode”
The “Mode” submenu of the “Image” menu
Figure 16.53, “ The “Mode” submenu of the “Image” menu ”
Activating the Submenu
Section 6.3.1, “Activating the Submenu”
The Contents of the “Mode” Submenu
Section 6.3.2, “The Contents of the “Mode” Submenu”
RGB mode
Section 6.4, “RGB mode”
Activating the command
Section 6.4.1, “Activating the command”
Grayscale mode
Section 6.5, “Grayscale mode”
Activating the Command
Section 6.5.1, “Activating the Command”
Indexed mode
Section 6.6, “Indexed mode”
Activating the Command
Section 6.6.1, “Activating the Command”
The “Convert Image to Indexed Colors” dialog
Section 6.6.2, “The “Convert Image to Indexed Colors” dialog”
The “Convert Image to Indexed Colors” dialog
Figure 16.54, “The “Convert Image to Indexed Colors” dialog”
Example: full color, with no dithering
Figure 16.55, “Example: full color, with no dithering”
Example: four colors, with no dithering
Figure 16.56, “Example: four colors, with no dithering”
Example: Floyd-Steinberg (normal)
Figure 16.57, “Example: Floyd-Steinberg (normal)”
Example: Floyd-Steinberg (reduced color bleeding)
Figure 16.58, “Example: Floyd-Steinberg (reduced color bleeding)”
Transform
Section 6.7, “Transform”
The “Transform” submenu of the “Image” menu
Figure 16.59, “ The “Transform” submenu of the “Image” menu ”
Activating the Submenu
Section 6.7.1, “Activating the Submenu”
The Contents of the “Transform” Submenu
Section 6.7.2, “The Contents of the “Transform” Submenu”
Flip Horizontally; Flip Vertically
Section 6.8, “Flip Horizontally; Flip Vertically”
???TITLE???
Section 6.8, “Flip Horizontally; Flip Vertically”
Activate the Commands
Section 6.8.1, “Activate the Commands”
Rotation
Section 6.9, “Rotation”
???TITLE???
Section 6.9, “Rotation”
???TITLE???
Section 6.9, “Rotation”
Activate the Commands
Section 6.9.1, “Activate the Commands”
Guillotine
Section 6.10, “Guillotine”
Activate the Command
Section 6.10.1, “Activate the Command”
Canvas Size
Section 6.11, “Canvas Size”
Activating the Command
Section 6.11.1, “Activating the Command”
Description of the “Canvas Size” dialog
Section 6.11.2, “Description of the “Canvas Size” dialog”
The “Canvas Size” dialog
Figure 16.60, “The “Canvas Size” dialog”
The Resize layers list
Figure 16.61, “The Resize layers list”
Example
Section 6.11.3, “Example”
Original image
Figure 16.62, “Original image”
Canvas enlarged (layers unchanged)
Figure 16.63, “Canvas enlarged (layers unchanged)”
Canvas enlarged (all layers changed)
Figure 16.64, “Canvas enlarged (all layers changed)”
What's Canvas Size useful for?
Section 6.11.4, “What's Canvas Size useful for?”
Resizing canvas
Figure 16.65, “Resizing canvas”
Cropped image
Figure 16.66, “Cropped image”
Fit Canvas to Layers
Section 6.12, “Fit Canvas to Layers”
Activate the command
Section 6.12.1, “Activate the command”
Fit Canvas to Selection
Section 6.13, “Fit Canvas to Selection”
Activate the command
Section 6.13.1, “Activate the command”
Print Size
Section 6.14, “Print Size”
Activating the Dialog
Section 6.14.1, “Activating the Dialog”
Options in the “Print Size” Dialog
Section 6.14.2, “Options in the “Print Size” Dialog”
The “Print Size” dialog
Figure 16.67, “The “Print Size” dialog”
Scale Image
Section 6.15, “Scale Image”
???TITLE???
Section 6.15, “Scale Image”
Activate the Command
Section 6.15.1, “Activate the Command”
The “Scale Image” Dialog
Section 6.15.2, “The “Scale Image” Dialog”
The “Scale Image” dialog
Figure 16.68, “The “Scale Image” dialog”
Crop to Selection
Section 6.16, “Crop to Selection”
Activate the command
Section 6.16.1, “Activate the command”
Autocrop Image
Section 6.17, “Autocrop Image”
Activate the Command
Section 6.17.1, “Activate the Command”
Example
Section 6.17.2, “Example”
“Autocrop” example
Figure 16.69, ““Autocrop” example”
Zealous Crop
Section 6.18, “Zealous Crop”
Example
Section 6.18.1, “Example”
“Zealous Crop” Example
Figure 16.70, ““Zealous Crop” Example”
Activate the Command
Section 6.18.2, “Activate the Command”
Merge Visible Layers
Section 6.19, “Merge Visible Layers”
Activate the Command
Section 6.19.1, “Activate the Command”
Description of the “Layers merge Options” Dialog
Section 6.19.2, “ Description of the “Layers merge Options” Dialog ”
The “Layers Merge Options” Dialog
Figure 16.71, “The “Layers Merge Options” Dialog”
“Merge visible layers” example
Figure 16.72, ““Merge visible layers” example”
Flatten Image
Section 6.20, “Flatten Image”
Activate the Command
Section 6.20.1, “Activate the Command”
Align Visible Layers
Section 6.21, “Align Visible Layers”
Example image for layer alignment
Figure 16.73, “Example image for layer alignment”
Activate the Command
Section 6.21.1, “Activate the Command”
The “Not enough layers” message
Figure 16.74, “The “Not enough layers” message”
Description of the “Align Visible Layers” dialog
Section 6.21.2, “ Description of the “Align Visible Layers” dialog ”
The “Align Visible Layers” dialog
Figure 16.75, “The “Align Visible Layers” dialog”
Horizontal “Collect” alignment (on the edge of the canvas)
Figure 16.76, “ Horizontal “Collect” alignment (on the edge of the canvas) ”
Horizontal “Collect” alignment (on the bottom layer)
Figure 16.77, “ Horizontal “Collect” alignment (on the bottom layer) ”
Horizontal “Fill” alignment (canvas)
Figure 16.78, “ Horizontal “Fill” alignment (canvas) ”
Horizontal “Fill” alignment (bottom layer)
Figure 16.79, “ Horizontal “Fill” alignment (bottom layer) ”
Vertical “Fill” alignment (bottom layer)
Figure 16.80, “ Vertical “Fill” alignment (bottom layer) ”
Guides
Section 6.22, “Guides”
The “Guides” options of the “Image” submenu
Figure 16.81, “ The “Guides” options of the “Image” submenu ”
Activating the Submenu
Section 6.22.1, “Activating the Submenu”
The Contents of the “Guides” Submenu
Section 6.22.2, “The Contents of the “Guides” Submenu”
New Guide
Section 6.23, “New Guide”
Activate the Command
Section 6.23.1, “Activate the Command”
“New Guide” Options
Section 6.23.2, ““New Guide” Options”
The “New Guide” Dialog
Figure 16.82, “The “New Guide” Dialog”
New Guide (by Percent)
Section 6.24, “New Guide (by Percent)”
Activate the Command
Section 6.24.1, “Activate the Command”
“New Guide (by Percent)” Options
Section 6.24.2, ““New Guide (by Percent)” Options”
The “New Guide (by Percent)” Dialog
Figure 16.83, “The “New Guide (by Percent)” Dialog”
New Guides from Selection
Section 6.25, “New Guides from Selection”
Activating the Command
Section 6.25.1, “Activating the Command”
Remove all guides
Section 6.26, “Remove all guides”
Activate the Command
Section 6.26.1, “Activate the Command”
Configure Grid
Section 6.27, “Configure Grid”
???TITLE???
Section 6.27, “Configure Grid”
Activating the Command
Section 6.27.1, “Activating the Command”
Description of the “Configure Grid” dialog
Section 6.27.2, “ Description of the “Configure Grid” dialog ”
The “Configure grid” dialog
Figure 16.84, “The “Configure grid” dialog”
Image Properties
Section 6.28, “Image Properties”
Activate the Command
Section 6.28.1, “Activate the Command”
Options
Section 6.28.2, “Options”
“Properties” tab
Section 6.28.2.1, ““Properties” tab”
“Properties” tab
Figure 16.85, ““Properties” tab”
“Color profile” tab
Section 6.28.2.2, ““Color profile” tab”
“Color profile” tab
Figure 16.86, ““Color profile” tab”
“Comments” tab
Section 6.28.2.3, ““Comments” tab”
“Comments” tab
Figure 16.87, ““Comments” tab”
The “Layer” Menu
Section 7, “The “Layer” Menu”
Introduction to the “Layer” Menu
Section 7.1, “Introduction to the “Layer” Menu”
The Contents of the “Layer” Menu
Figure 16.88, “The Contents of the “Layer” Menu”
The Contents of the “Layer” local pop-menu
Figure 16.89, “The Contents of the “Layer” local pop-menu”
New Layer
Section 7.2, “New Layer”
Activating the Command
Section 7.2.1, “Activating the Command”
Description of the “New Layer” Dialog
Section 7.2.2, “Description of the “New Layer” Dialog”
The “New Layer” dialog
Figure 16.90, “The “New Layer” dialog”
New Layer Group
Section 7.3, “New Layer Group”
Activating the Command
Section 7.3.1, “Activating the Command”
New From Visible
Section 7.4, “New From Visible”
Activating the Command
Section 7.4.1, “Activating the Command”
Duplicate layer
Section 7.5, “Duplicate layer”
Activate the Command
Section 7.5.1, “Activate the Command”
Anchor layer
Section 7.6, “Anchor layer”
Activate the Command
Section 7.6.1, “Activate the Command”
Alternative Ways of Anchoring a Floating Selection
Section 7.6.2, “Alternative Ways of Anchoring a Floating Selection”
Merge Down
Section 7.7, “Merge Down”
Activating the Command
Section 7.7.1, “Activating the Command”
Delete Layer
Section 7.8, “Delete Layer”
Activate the Command
Section 7.8.1, “Activate the Command”
The Text Commands of the Layer Menu
Section 7.9, “The Text Commands of the Layer Menu”
Text commands in the Layer menu
Figure 16.91, “Text commands in the Layer menu”
The Text Commands
Section 7.9.1, “The Text Commands”
???TITLE???
Text along Path
???TITLE???
Text to Selection
???TITLE???
Add to Selection
???TITLE???
Subtract from Selection
???TITLE???
Intersect with Selection
Discard Text Information
Section 7.10, “Discard Text Information”
The Discard Text command among text commands in the Layer menu
Figure 16.92, “ The Discard Text command among text commands in the Layer menu ”
Activating the Command
Section 7.10.1, “Activating the Command”
“Stack” Submenu
Section 7.11, ““Stack” Submenu”
The “Stack” submenu
Figure 16.93, “The “Stack” submenu”
Activating the Submenu
Section 7.11.1, “Activating the Submenu”
The Contents of the “Stack” Submenu
Section 7.11.2, “The Contents of the “Stack” Submenu”
Select Previous Layer
Section 7.12, “Select Previous Layer”
Activating the Command
Section 7.12.1, “Activating the Command”
Select Next Layer
Section 7.13, “Select Next Layer”
Activating the Command
Section 7.13.1, “Activating the Command”
Select Top Layer
Section 7.14, “Select Top Layer”
Activating the Command
Section 7.14.1, “Activating the Command”
Select Bottom Layer
Section 7.15, “Select Bottom Layer”
Activate the Command
Section 7.15.1, “Activate the Command”
Raise Layer
Section 7.16, “Raise Layer”
Activating the Command
Section 7.16.1, “Activating the Command”
Lower Layer
Section 7.17, “Lower Layer”
Activating the Command
Section 7.17.1, “Activating the Command”
Layer to Top
Section 7.18, “Layer to Top”
Activating the Command
Section 7.18.1, “Activating the Command”
Layer to Bottom
Section 7.19, “Layer to Bottom”
Activating the Command
Section 7.19.1, “Activating the Command”
The “Reverse Layer Order” command
Section 7.20, “The “Reverse Layer Order” command”
Activating the command
Section 7.20.1, “Activating the command”
The “Mask” Submenu
Section 7.21, “The “Mask” Submenu”
The “Mask” submenu of the “Layer” menu
Figure 16.94, “ The “Mask” submenu of the “Layer” menu ”
Activating the Submenu
Section 7.21.1, “Activating the Submenu”
The Contents of the “Mask” Submenu
Section 7.21.2, “The Contents of the “Mask” Submenu”
Add Layer Mask
Section 7.22, “Add Layer Mask”
Activating the Command
Section 7.22.1, “Activating the Command”
Description of the “Add Layer Mask” Dialog
Section 7.22.2, “Description of the “Add Layer Mask” Dialog”
The “Add Layer Mask” dialog
Figure 16.95, “The “Add Layer Mask” dialog”
Apply Layer Mask
Section 7.23, “ Apply Layer Mask ”
Activating the Command
Section 7.23.1, “ Activating the Command ”
Delete Layer Mask
Section 7.24, “Delete Layer Mask”
Activating the Command
Section 7.24.1, “Activating the Command”
Show Layer Mask
Section 7.25, “Show Layer Mask”
Activating the Command
Section 7.25.1, “Activating the Command”
Edit Layer Mask
Section 7.26, “Edit Layer Mask”
Activating the Command
Section 7.26.1, “Activating the Command”
Disable Layer Mask
Section 7.27, “Disable Layer Mask”
Activating the Command
Section 7.27.1, “Activating the Command”
Mask to Selection
Section 7.28, “Mask to Selection”
Activating the Command
Section 7.28.1, “Activating the Command”
Illustration of “Layer Mask to Selection”
Section 7.28.2, “Illustration of “Layer Mask to Selection””
Illustration of “Layer Mask to Selection”
Figure 16.96, “Illustration of “Layer Mask to Selection””
Add Layer Mask to Selection
Section 7.29, “Add Layer Mask to Selection”
Activating the Command
Section 7.29.1, “Activating the Command”
Illustration of Add Layer Mask to Selection
Section 7.29.2, “Illustration of Add Layer Mask to Selection”
Illustration of Add Layer Mask to Selection
Figure 16.97, “Illustration of Add Layer Mask to Selection”
Subtract Layer Mask from Selection
Section 7.30, “Subtract Layer Mask from Selection”
Activating the Command
Section 7.30.1, “Activating the Command”
Illustration of Subtract Layer Mask from Selection
Section 7.30.2, “Illustration of Subtract Layer Mask from Selection”
Illustration of Subtract Layer Mask from Selection
Figure 16.98, “Illustration of Subtract Layer Mask from Selection”
Intersect Layer Mask with Selection
Section 7.31, “Intersect Layer Mask with Selection”
Activating the Command
Section 7.31.1, “Activating the Command”
Illustration of Intersecting the Layer Mask with the Selection
Section 7.31.2, “ Illustration of Intersecting the Layer Mask with the Selection ”
Illustration of Intersecting the Layer Mask with the Selection
Figure 16.99, “ Illustration of Intersecting the Layer Mask with the Selection ”
The “Transparency” Submenu of the “Layer” menu
Section 7.32, “ The “Transparency” Submenu of the “Layer” menu ”
The “Transparency” submenu of the “Layer” menu
Figure 16.100, “ The “Transparency” submenu of the “Layer” menu ”
Activating the Submenu
Section 7.32.1, “Activating the Submenu”
The Contents of the “Transparency” Submenu
Section 7.32.2, “The Contents of the “Transparency” Submenu”
Add Alpha Channel
Section 7.33, “Add Alpha Channel”
Activate the Command
Section 7.33.1, “Activate the Command”
Remove Alpha Channel
Section 7.34, “Remove Alpha Channel”
Activate the Command
Section 7.34.1, “Activate the Command”
Color to Alpha
Section 7.35, “Color to Alpha”
Semi-flatten
Section 7.36, “Semi-flatten”
Activate the Command
Section 7.36.1, “Activate the Command”
Threshold Alpha
Section 7.37, “Threshold Alpha”
Activating the Command
Section 7.37.1, “Activating the Command”
Description of the Dialog Window
Section 7.37.2, “Description of the Dialog Window”
The only one option of the “Threshold Alpha” dialog
Figure 16.101, “ The only one option of the “Threshold Alpha” dialog ”
Threshold Alpha example
Figure 16.102, “Threshold Alpha example”
Alpha to Selection
Section 7.38, “Alpha to Selection”
Activate the Command
Section 7.38.1, “Activate the Command”
Example
Section 7.38.2, “Example”
Applying “Alpha to Selection”
Figure 16.103, “Applying “Alpha to Selection””
Add Alpha channel to Selection
Section 7.39, “Add Alpha channel to Selection”
Activate the Command
Section 7.39.1, “Activate the Command”
Example
Section 7.39.2, “Example”
Applying “Add to Selection”
Figure 16.104, “Applying “Add to Selection””
Subtract from Selection
Section 7.40, “Subtract from Selection”
Activate the Command
Section 7.40.1, “Activate the Command”
Example
Section 7.40.2, “Example”
Applying “Subtract from Selection”
Figure 16.105, “ Applying “Subtract from Selection” ”
Intersect Alpha channel with Selection
Section 7.41, “Intersect Alpha channel with Selection”
Activate the Command
Section 7.41.1, “Activate the Command”
Example
Section 7.41.2, “Example”
Applying “Intersect with Selection”
Figure 16.106, “Applying “Intersect with Selection””
The “Transform” Submenu
Section 7.42, “The “Transform” Submenu”
The “Transform” Submenu of the “Layer” menu
Figure 16.107, “ The “Transform” Submenu of the “Layer” menu ”
Activating the Submenu
Section 7.42.1, “Activating the Submenu”
The Contents of the “Transform” Submenu
Section 7.42.2, “The Contents of the “Transform” Submenu”
Flip Horizontally
Section 7.43, “Flip Horizontally”
Activating the Command
Section 7.43.1, “Activating the Command”
Example
Section 7.43.2, “Example”
Applying “Flip Layer Horizontally”
Figure 16.108, “Applying “Flip Layer Horizontally””
Flip Vertically
Section 7.44, “Flip Vertically”
Activating the Command
Section 7.44.1, “Activating the Command”
Example
Section 7.44.2, “Example”
Applying “Flip Layer Vertically”
Figure 16.109, “Applying “Flip Layer Vertically””
Rotate 90° clockwise
Section 7.45, “Rotate 90° clockwise”
Activating the Command
Section 7.45.1, “Activating the Command”
Example
Section 7.45.2, “Example”
Applying “Rotate 90° clockwise”
Figure 16.110, “Applying “Rotate 90° clockwise””
Rotate 90° counter-clockwise
Section 7.46, “Rotate 90° counter-clockwise”
Activating the Command
Section 7.46.1, “Activating the Command”
Example
Section 7.46.2, “Example”
Applying “Rotate 90° counter-clockwise”
Figure 16.111, “Applying “Rotate 90° counter-clockwise””
Rotate 180°
Section 7.47, “Rotate 180°”
Activating the Command
Section 7.47.1, “Activating the Command”
Example
Section 7.47.2, “Example”
Applying “Rotate 180°”
Figure 16.112, “Applying “Rotate 180°””
Arbitrary Rotation
Section 7.48, “Arbitrary Rotation”
Activating the Command
Section 7.48.1, “Activating the Command”
Example
Section 7.48.2, “Example”
Applying “Rotate Arbitrary”
Figure 16.113, “Applying “Rotate Arbitrary””
Offset
Section 7.49, “Offset”
Activating the Command
Section 7.49.1, “Activating the Command”
Using the “Offset” Command
Section 7.49.2, “Using the “Offset” Command”
The “Offset” dialog
Figure 16.114, “The “Offset” dialog”
Example
Section 7.49.3, “Example”
Using “Offset” together with “Edge Behaviors”
Figure 16.115, “Using “Offset” together with “Edge Behaviors””
Layer Boundary Size
Section 7.50, “Layer Boundary Size”
Activating the Command
Section 7.50.1, “Activating the Command”
Description of the “Layer Boundary Size” dialog
Section 7.50.2, “ Description of the “Layer Boundary Size” dialog ”
The “Layer Boundary Size” Dialog
Figure 16.116, “The “Layer Boundary Size” Dialog”
Layer to Image Size
Section 7.51, “Layer to Image Size”
Activating the Command
Section 7.51.1, “Activating the Command”
Scale Layer
Section 7.52, “Scale Layer”
Activating the Command
Section 7.52.1, “Activating the Command”
Description of the “Scale Layer” Dialog
Section 7.52.2, “Description of the “Scale Layer” Dialog”
The “Scale Layer” dialog
Figure 16.117, “The “Scale Layer” dialog”
Crop to Selection
Section 7.53, “Crop to Selection”
Activating the Command
Section 7.53.1, “Activating the Command”
Example
Section 7.53.2, “Example”
Applying “Crop to Selection”
Figure 16.118, “Applying “Crop to Selection””
Autocrop Layer
Section 7.54, “Autocrop Layer”
Activating the Command
Section 7.54.1, “Activating the Command”
Example
Section 7.54.2, “Example”
Example
Figure 16.119, “Example”
The “Colors” Menu
Section 8, “The “Colors” Menu”
Introduction to the “Colors” Menu
Section 8.1, “Introduction to the “Colors” Menu”
Contents of the “Colors” Menu
Figure 16.120, “Contents of the “Colors” Menu”
Colors Tools
Section 8.2, “Colors Tools”
Invert
Section 8.3, “Invert”
Activate the Command
Section 8.3.1, “Activate the Command”
Example
Section 8.3.2, “Example”
Applying “Invert colors”
Figure 16.121, “Applying “Invert colors””
Value Invert
Section 8.4, “Value Invert”
Overview
Section 8.4.1, “Overview”
Example for the “Value invert” filter
Figure 16.122, “Example for the “Value invert” filter”
Example of using this filter twice
Figure 16.123, “Example of using this filter twice”
Activate the filter
Section 8.4.2, “Activate the filter”
Use GEGL
Section 8.5, “Use GEGL”
Activating the option
Section 8.5.1, “Activating the option”
The “Auto” Submenu
Section 8.6, “The “Auto” Submenu”
The “Colors/Auto” submenu
Figure 16.124, “The “Colors/Auto” submenu”
Activate submenu
Section 8.6.1, “Activate submenu”
Automatic Color-Stretching
Section 8.6.2, “Automatic Color-Stretching”
The original layer and its histograms
Figure 16.125, “The original layer and its histograms”
The Equalize command
Figure 16.126, “ The Equalize command ”
The White Balance command
Figure 16.127, “ The White Balance command ”
The Color Enhance command
Figure 16.128, “ The Color Enhance command ”
The Normalize command
Figure 16.129, “ The Normalize command ”
The Stretch Contrast command
Figure 16.130, “ The Stretch Contrast command ”
The Stretch HSV command
Figure 16.131, “ The Stretch HSV command ”
Equalize
Section 8.7, “Equalize”
Activate the Command
Section 8.7.1, “Activate the Command”
“Equalize” example
Section 8.7.2, ““Equalize” example”
Original image
Figure 16.132, “Original image”
Image after the command
Figure 16.133, “Image after the command”
White Balance
Section 8.8, “White Balance”
Activate the Command
Section 8.8.1, “Activate the Command”
“White Balance” example
Section 8.8.2, ““White Balance” example”
Original image
Figure 16.134, “Original image”
Image after the command
Figure 16.135, “Image after the command”
Color Enhance
Section 8.9, “Color Enhance”
Activate the command
Section 8.9.1, “Activate the command”
“Color Enhance” example
Section 8.9.2, ““Color Enhance” example”
“Color Enhance” example (Original image)
Figure 16.136, ““Color Enhance” example (Original image)”
“Color Enhance” example (Image after the command)
Figure 16.137, “ “Color Enhance” example (Image after the command) ”
Normalize
Section 8.10, “Normalize”
Activate the Command
Section 8.10.1, “Activate the Command”
“Normalize”Example
Section 8.10.2, ““Normalize”Example”
Original image
Figure 16.138, “Original image”
Image after the command
Figure 16.139, “Image after the command”
Stretch Contrast
Section 8.11, “Stretch Contrast”
Activate the Command
Section 8.11.1, “Activate the Command”
“Stretch Contrast” Example
Section 8.11.2, ““Stretch Contrast” Example”
Original image
Figure 16.140, “Original image”
Image after the command
Figure 16.141, “Image after the command”
Stretch HSV
Section 8.12, “Stretch HSV”
Activate the Command
Section 8.12.1, “Activate the Command”
“Stretch HSV” example
Section 8.12.2, ““Stretch HSV” example”
Original image
Figure 16.142, “Original image”
Image after the command
Figure 16.143, “Image after the command”
The “Components” Submenu
Section 8.13, “The “Components” Submenu”
The “Components” submenu
Figure 16.144, “The “Components” submenu”
Activating the command
Section 8.13.1, “Activating the command”
Channel Mixer
Section 8.14, “Channel Mixer”
Overview
Section 8.14.1, “Overview”
Example for the “Channel Mixer” filter
Figure 16.145, “Example for the “Channel Mixer” filter”
Activate the command
Section 8.14.2, “Activate the command”
Options
Section 8.14.3, “Options”
“Channel Mixer” command options
Figure 16.146, ““Channel Mixer” command options”
Buttons
Section 8.14.4, “Buttons”
How does Channel Mixer work?
Section 8.14.5, “How does Channel Mixer work? ”
The original image and its channels
Figure 16.147, “The original image and its channels”
Output channel is red. Green Channel +50
Figure 16.148, “Output channel is red. Green Channel +50”
Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked.
Figure 16.149, “ Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked. ”
Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked.
Figure 16.150, “ Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked. ”
Compose
Section 8.15, “Compose”
Overview
Section 8.15.1, “Overview”
Example for the “Compose” command
Figure 16.151, “Example for the “Compose” command”
Activate the command
Section 8.15.2, “Activate the command”
Options
Section 8.15.3, “Options”
“Compose” command options
Figure 16.152, ““Compose” command options”
Channel Representation example: exchange two channels
Figure 16.153, “ Channel Representation example: exchange two channels ”
Decompose
Section 8.16, “

Decompose ”
???TITLE???
Section 8.16, “

Decompose ”
Overview
Section 8.16.1, “Overview”
Decomposition to images (RGB)
Figure 16.154, “Decomposition to images (RGB)”
Decomposition to layers (RGB)
Figure 16.155, “Decomposition to layers (RGB)”
Activate the command
Section 8.16.2, “Activate the command”
Options
Section 8.16.3, “Options”
“Decompose” command options
Figure 16.156, ““Decompose” command options”
???TITLE???
Decompose to Layers
Crop marks
Example 16.1, “Crop marks”
Recompose
Section 8.17, “Recompose”
Overview
Section 8.17.1, “Overview”
Example for the “Recompose” command
Figure 16.157, “Example for the “Recompose” command”
Activate the command
Section 8.17.2, “Activate the command”
The “Map” Submenu
Section 8.18, “The “Map” Submenu”
The “Map” submenu
Figure 16.158, “The “Map” submenu”
Rearrange Colormap
Section 8.19, “Rearrange Colormap”
The “Rearrange Colormap” window
Figure 16.159, “The “Rearrange Colormap” window”
Activate Dialog
Section 8.19.1, “Activate Dialog”
Using the “Rearrange Colormap” dialog
Section 8.19.2, “Using the “Rearrange Colormap” dialog”
The “Rearrange Colormap” pop-menu
Figure 16.160, “The “Rearrange Colormap” pop-menu”
Set Colormap
Section 8.20, “Set Colormap”
The “Set Colormap” window
Figure 16.161, “The “Set Colormap” window”
The “Palette Selection” dialog
Figure 16.162, “The “Palette Selection” dialog”
Activate the command
Section 8.20.1, “Activate the command”
Alien Map
Section 8.21, “Alien Map”
Overview
Section 8.21.1, “Overview”
Alien Map filter example
Figure 16.163, “Alien Map filter example”
Activate the filter
Section 8.21.2, “Activate the filter”
Options
Section 8.21.3, “Options”
Options for the “Alien Map” filter
Figure 16.164, “Options for the “Alien Map” filter”
Color Exchange
Section 8.22, “Color Exchange”
Overview
Section 8.22.1, “Overview”
“Color Exchange” filter example
Figure 16.165, ““Color Exchange” filter example”
Activate the filter
Section 8.22.2, “Activate the filter”
Options
Section 8.22.3, “Options”
Option of the “Two color exchange” filter
Figure 16.166, “Option of the “Two color exchange” filter”
Gradient Map
Section 8.23, “Gradient Map”
Overview
Section 8.23.1, “Overview”
Example of gradient map
Figure 16.167, “Example of gradient map”
Activate the filter
Section 8.23.2, “Activate the filter”
Palette Map
Section 8.24, “Palette Map”
Overview
Section 8.24.1, “Overview”
Activate the filter
Section 8.24.2, “Activate the filter”
Example
Section 8.24.3, “Example”
The active palette is applied to a gradient image
Figure 16.168, “The active palette is applied to a gradient image”
Rotate Colors
Section 8.25, “Rotate Colors”
Overview
Section 8.25.1, “Overview”
Example for the “Rotate Colors” filter
Figure 16.169, “Example for the “Rotate Colors” filter”
Activating the filter
Section 8.25.2, “Activating the filter”
Main Options
Section 8.25.3, “Main Options”
Main Options of the “Color Map Rotation” filter
Figure 16.170, “ Main Options of the “Color Map Rotation” filter ”
Gray Options
Section 8.25.4, “Gray Options”
Base image for Gray Options
Figure 16.171, “Base image for Gray Options”
Gray Mode
Figure 16.172, “Gray Mode”
Gray Threshold
Figure 16.173, “Gray Threshold”
Previews
Section 8.25.5, “Previews”
Units
Section 8.25.6, “Units”
Sample Colorize
Section 8.26, “Sample Colorize”
Overview
Section 8.26.1, “Overview”
Example for the “Sample Colorize” filter
Figure 16.174, “Example for the “Sample Colorize” filter”
Activate the filter
Section 8.26.2, “Activate the filter”
Options
Section 8.26.3, “Options”
Options of the “Sample Colorize” filter
Figure 16.175, “Options of the “Sample Colorize” filter”
The “Info” Submenu
Section 8.27, “The “Info” Submenu”
The “Info” submenu
Figure 16.176, “The “Info” submenu”
Histogram
Section 8.28, “Histogram”
Border Average
Section 8.29, “Border Average”
Overview
Section 8.29.1, “Overview”
Example for the “Border Average” filter
Figure 16.177, “Example for the “Border Average” filter”
Activating the filter
Section 8.29.2, “Activating the filter”
Options
Section 8.29.3, “Options”
Options of the “Border Average Filter”
Figure 16.178, “Options of the “Border Average Filter””
Examples illustrating the “Border Average” filter
Section 8.29.4, “ Examples illustrating the “Border Average” filter ”
Original image
Figure 16.179, “Original image”
“Number of Colors” is set to 8:
Figure 16.180, ““Number of Colors” is set to 8:”
“Number of Colors” is set to 64:
Figure 16.181, ““Number of Colors” is set to 64:”
Colorcube Analysis
Section 8.30, “Colorcube Analysis”
Overview
Section 8.30.1, “Overview”
Example for the “Colorcube” filter
Figure 16.182, “Example for the “Colorcube” filter”
Activating the filter
Section 8.30.2, “Activating the filter”
Smooth Palette
Section 8.31, “Smooth Palette”
Overview
Section 8.31.1, “Overview”
Example for the “Smooth Palette” filter
Figure 16.183, “Example for the “Smooth Palette” filter”
Activating the filter
Section 8.31.2, “Activating the filter”
Options
Section 8.31.3, “Options”
“Smooth Palette” options
Figure 16.184, ““Smooth Palette” options”
The Color Filters
Section 8.32, “The Color Filters”
Colorify
Section 8.33, “Colorify”
Overview
Section 8.33.1, “Overview”
Example for the “Colorify” filter
Figure 16.185, “Example for the “Colorify” filter”
Activate the filter
Section 8.33.2, “Activate the filter”
Options
Section 8.33.3, “Options”
“Colorify” filter options
Figure 16.186, ““Colorify” filter options”
Color to Alpha
Section 8.34, “Color to Alpha”
Overview
Section 8.34.1, “Overview”
Example for “Color to Alpha”
Figure 16.187, “Example for “Color to Alpha””
Activate the filter
Section 8.34.2, “Activate the filter”
Options
Section 8.34.3, “Options”
“Color to Alfa” command options
Figure 16.188, ““Color to Alfa” command options”
Filter Pack
Section 8.35, “Filter Pack”
Overview
Section 8.35.1, “Overview”
Example for the “Filter Pack” filter
Figure 16.189, “Example for the “Filter Pack” filter”
Activate the filter
Section 8.35.2, “Activate the filter”
Options
Section 8.35.3, “Options”
All the options for filter “Filter Pack”
Figure 16.190, “All the options for filter “Filter Pack””
Hue option of the “Filterpack” filter
Figure 16.191, “ Hue option of the “Filterpack” filter ”
The saturation option of the “Filterpack” filter
Figure 16.192, “ The saturation option of the “Filterpack” filter ”
Value option of the “Filterpack” filter
Figure 16.193, “ Value option of the “Filterpack” filter ”
Advanced options of the “Filterpack” filter
Figure 16.194, “ Advanced options of the “Filterpack” filter ”
Hot
Section 8.36, “Hot”
Overview
Section 8.36.1, “Overview”
Activate the command
Section 8.36.2, “Activate the command”
Options
Section 8.36.3, “Options”
“Hot” options
Figure 16.195, ““Hot” options”
Max RGB
Section 8.37, “Max RGB”
Overview
Section 8.37.1, “Overview”
Example for the filter “Max RGB”
Figure 16.196, “Example for the filter “Max RGB””
Activate the filter
Section 8.37.2, “Activate the filter”
Options
Section 8.37.3, “Options”
“Max RGB” options
Figure 16.197, ““Max RGB” options”
Retinex
Section 8.38, “Retinex”
Overview
Section 8.38.1, “Overview”
“Retinex” example
Figure 16.198, ““Retinex” example”
Activate the filter
Section 8.38.2, “Activate the filter”
Options
Section 8.38.3, “Options”
“Retinex” filter options
Figure 16.199, ““Retinex” filter options”
The “Tools” Menu
Section 9, “The “Tools” Menu”
Introduction to the “Tools” Menu
Section 9.1, “Introduction to the “Tools” Menu”
Contents of the “Tools” menu
Figure 16.200, “Contents of the “Tools” menu”
The “Filters” Menu
Section 10, “The “Filters” Menu”
Introduction to the “Filters” Menu
Section 10.1, “Introduction to the “Filters” Menu”
The “Filters” menu
Figure 16.201, “The “Filters” menu”
Repeat Last
Section 10.2, “Repeat Last”
Activating the Command
Section 10.2.1, “Activating the Command”
Re-show Last
Section 10.3, “Re-show Last”
Activating the Command
Section 10.3.1, “Activating the Command”
Reset All Filters
Section 10.4, “Reset All Filters”
Activating the Command
Section 10.4.1, “Activating the Command”
The “Python-Fu” Submenu
Section 10.5, “The “Python-Fu” Submenu”
The “Python-Fu” submenu
Figure 16.202, “The “Python-Fu” submenu”
Activating the submenu
Section 10.5.1, “Activating the submenu”
The Python-Fu Console
Section 10.5.2, “The Python-Fu Console”
The Python-Fu Console
Figure 16.203, “The Python-Fu Console”
The “Script-Fu” Submenu
Section 10.6, “The “Script-Fu” Submenu”
The “Script-Fu” submenu
Figure 16.204, “The “Script-Fu” submenu”
Activating the submenu
Section 10.6.1, “Activating the submenu”
Refresh Scripts
Section 10.6.2, “Refresh Scripts”
Script-Fu Console
Section 10.6.3, “Script-Fu Console”
The Script-Fu Console
Figure 16.205, “The Script-Fu Console”
Start Server
Section 10.6.4, “Start Server”
The Script-Fu Server Options
Figure 16.206, “The Script-Fu Server Options”
Header format for commands
Table 16.1, “Header format for commands”
Header format for responses
Table 16.2, “Header format for responses”
“Windows” Menu
Section 11, ““Windows” Menu”
Contents of the “Windows” Menu
Figure 16.207, “Contents of the “Windows” Menu”
???TITLE???
1
???TITLE???
3
???TITLE???
4
???TITLE???
5
???TITLE???
6
???TITLE???
7
The “Help” Menu
Section 12, “The “Help” Menu”
Introduction to the “Help” Menu
Section 12.1, “Introduction to the “Help” Menu”
Contents of the “Help” menu
Figure 16.208, “Contents of the “Help” menu”
Help
Section 12.2, “Help”
Activating the Command
Section 12.2.1, “Activating the Command”
Context Help
Section 12.3, “Context Help”
Activating the Command
Section 12.3.1, “Activating the Command”
Tip of the Day
Section 12.4, “Tip of the Day”
Activating the Command
Section 12.4.1, “Activating the Command”
Description of the dialog window
Section 12.4.2, “Description of the dialog window”
“Tip of the Day”Dialog window
Figure 16.209, ““Tip of the Day”Dialog window”
About
Section 12.5, “About”
Activating the “About” Command
Section 12.5.1, “Activating the “About” Command”
Description of the dialog window
Section 12.5.2, “Description of the dialog window”
The “About” dialog window
Figure 16.210, “The “About” dialog window”
Plug-In Browser
Section 12.6, “Plug-In Browser”
Activating the Command
Section 12.6.1, “Activating the Command”
Description of the “Plug-In Browser” dialog window
Section 12.6.2, “ Description of the “Plug-In Browser” dialog window ”
The list view of the “Plug-In Browser” dialog window
Figure 16.211, “ The list view of the “Plug-In Browser” dialog window ”
The tree view of the “Plug-In Browser” dialog window
Figure 16.212, “ The tree view of the “Plug-In Browser” dialog window ”
The Procedure Browser
Section 12.7, “The Procedure Browser”
Activating the Command
Section 12.7.1, “Activating the Command”
Description of the “Procedure Browser” dialog window
Section 12.7.2, “ Description of the “Procedure Browser” dialog window ”
The “Procedure Browser” dialog window
Figure 16.213, “ The “Procedure Browser” dialog window ”
GIMP online
Section 12.8, “GIMP online”
The “GIMP Online” submenu of the Help menu
Figure 16.214, “The “GIMP Online” submenu of the Help menu”
Filters
Chapter 17, Filters
Introduction
Section 1, “Introduction”
Preview
Section 1.1, “Preview”
Preview submenu
Figure 17.1, “Preview submenu”
Blur Filters
Section 2, “Blur Filters”
Introduction
Section 2.1, “Introduction”
Original for demo
Figure 17.2, “Original for demo”
Gaussian blur (radius 10)
Figure 17.3, “Gaussian blur (radius 10)”
Simple blur
Figure 17.4, “Simple blur”
Selective blur
Figure 17.5, “Selective blur”
Pixelize
Figure 17.6, “Pixelize”
Motion blur
Figure 17.7, “Motion blur”
Blur
Section 2.2, “Blur”
Overview
Section 2.2.1, “Overview”
The Blur filter applied to a photograph
Figure 17.8, “The Blur filter applied to a photograph”
Activate the filter
Section 2.2.2, “Activate the filter”
Gaussian Blur
Section 2.3, “Gaussian Blur”
Overview
Section 2.3.1, “Overview”
Example for the “Gaussian Blur” filter
Figure 17.9, “Example for the “Gaussian Blur” filter”
Activate the filter
Section 2.3.2, “Activate the filter”
Options
Section 2.3.3, “Options”
“Gaussian” filter parameters settings
Figure 17.10, ““Gaussian” filter parameters settings”
Selective Gaussian Blur
Section 2.4, “Selective Gaussian Blur”
Overview
Section 2.4.1, “Overview”
The Selective Gaussian Blur filter
Figure 17.11, “The Selective Gaussian Blur filter”
Activate the filter
Section 2.4.2, “Activate the filter”
Options
Section 2.4.3, “Options”
“Selective Gaussian” filter parameters settings
Figure 17.12, “ “Selective Gaussian” filter parameters settings ”
Motion Blur
Section 2.5, “Motion Blur”
Overview
Section 2.5.1, “Overview”
Starting example for Motion Blur filter
Figure 17.13, “Starting example for Motion Blur filter”
Using example for Motion Blur filter
Figure 17.14, “Using example for Motion Blur filter”
Activate the filter
Section 2.5.2, “Activate the filter”
Options
Section 2.5.3, “Options”
“Motion Blur” filter options
Figure 17.15, ““Motion Blur” filter options”
Pixelise
Section 2.6, “Pixelise”
Overview
Section 2.6.1, “Overview”
Example for the “Pixelize” filter
Figure 17.16, “Example for the “Pixelize” filter”
Activate the filter
Section 2.6.2, “Activate the filter”
Options
Section 2.6.3, “Options”
“Pixelize” filter options
Figure 17.17, ““Pixelize” filter options”
Tileable Blur
Section 2.7, “Tileable Blur”
Overview
Section 2.7.1, “Overview”
Example for the “Tileable” filter
Figure 17.18, “Example for the “Tileable” filter”
Activate the filter
Section 2.7.2, “Activate the filter”
Options
Section 2.7.3, “Options”
“Tileable Blur” filter options
Figure 17.19, ““Tileable Blur” filter options”
Enhance Filters
Section 3, “Enhance Filters”
The Enhance filters menu
Figure 17.20, “The Enhance filters menu”
Introduction
Section 3.1, “Introduction”
Antialias
Section 3.2, “Antialias”
Overview
Section 3.2.1, “Overview”
Activating the filter
Section 3.2.2, “Activating the filter”
Examples
Section 3.2.3, “Examples”
Deinterlace
Section 3.3, “Deinterlace”
Overview
Section 3.3.1, “Overview”
Activating the filter
Section 3.3.2, “Activating the filter”
Options
Section 3.3.3, “Options”
Deinterlace filter options
Figure 17.21, “Deinterlace filter options”
Example
Section 3.3.4, “Example”
Simple applying example for the Deinterlace filter
Figure 17.22, “Simple applying example for the Deinterlace filter”
Despeckle
Section 3.4, “Despeckle”
Overview
Section 3.4.1, “Overview”
Activating the filter
Section 3.4.2, “Activating the filter”
Options
Section 3.4.3, “Options”
“Despeckle” filter options
Figure 17.23, ““Despeckle” filter options”
Destripe
Section 3.5, “Destripe”
Overview
Section 3.5.1, “Overview”
Activating the filter
Section 3.5.2, “Activating the filter”
Options
Section 3.5.3, “Options”
“Destripe” filter options
Figure 17.24, ““Destripe” filter options”
NL Filter
Section 3.6, “NL Filter”
Overview
Section 3.6.1, “Overview”
Example for the NL-Filter
Figure 17.25, “Example for the NL-Filter”
Activating the filter
Section 3.6.2, “Activating the filter”
Options
Section 3.6.3, “Options”
“NL Filter” options
Figure 17.26, ““NL Filter” options”
Operating Modes
Section 3.6.4, “Operating Modes”
Red Eye Removal
Section 3.7, “Red Eye Removal”
Overview
Section 3.7.1, “Overview”
Example for the “Red Eye Removal” filter
Figure 17.27, “Example for the “Red Eye Removal” filter”
Activating the filter
Section 3.7.2, “Activating the filter”
Options
Section 3.7.3, “Options”
“Red Eye Removal” options
Figure 17.28, ““Red Eye Removal” options”
Sharpen
Section 3.8, “Sharpen”
Overview
Section 3.8.1, “Overview”
Applying example for the Sharpen filter
Figure 17.29, “Applying example for the Sharpen filter”
Activating the filter
Section 3.8.2, “Activating the filter”
Options
Section 3.8.3, “Options”
“Sharpen” filter options
Figure 17.30, ““Sharpen” filter options”
Unsharp Mask
Section 3.9, “Unsharp Mask”
Overview
Section 3.9.1, “Overview”
Applying example for the Unsharp Mask filter
Figure 17.31, “Applying example for the Unsharp Mask filter”
Activating the filter
Section 3.9.2, “Activating the filter”
Options
Section 3.9.3, “Options”
“Unsharp Mask” filter options
Figure 17.32, ““Unsharp Mask” filter options”
How does an unsharp mask work?
Section 3.9.4, “How does an unsharp mask work?”
Black eye effect
Figure 17.33, “Black eye effect”
Distort Filters
Section 4, “Distort Filters”
The Distort filters menu
Figure 17.34, “The Distort filters menu”
Introduction
Section 4.1, “Introduction”
Blinds
Section 4.2, “Blinds”
Overview
Section 4.2.1, “Overview”
Applying example for the Blinds filter
Figure 17.35, “Applying example for the Blinds filter”
Activating the filter
Section 4.2.2, “Activating the filter”
Options
Section 4.2.3, “Options”
“Blinds” filter options
Figure 17.36, ““Blinds” filter options”
Curve Bend
Section 4.3, “Curve Bend”
Overview
Section 4.3.1, “Overview”
Applying example for the Curve Bend filter
Figure 17.37, “Applying example for the Curve Bend filter”
Activating the filter
Section 4.3.2, “Activating the filter”
Options
Section 4.3.3, “Options”
“Curve bend” filter options
Figure 17.38, ““Curve bend” filter options”
Emboss
Section 4.4, “Emboss”
Overview
Section 4.4.1, “Overview”
Applying example for the Emboss filter
Figure 17.39, “Applying example for the Emboss filter”
Starting filter
Section 4.4.2, “Starting filter”
Options
Section 4.4.3, “Options”
“Emboss” filter options
Figure 17.40, ““Emboss” filter options”
Engrave
Section 4.5, “Engrave”
Overview
Section 4.5.1, “Overview”
Example for the “Engrave” filter
Figure 17.41, “Example for the “Engrave” filter”
Activating the filter
Section 4.5.2, “Activating the filter”
Options
Section 4.5.3, “Options”
“Engrave” options
Figure 17.42, ““Engrave” options”
Example result of Limit line width option
Figure 17.43, “Example result of Limit line width option”
Erase Every Other Row
Section 4.6, “Erase Every Other Row”
Overview
Section 4.6.1, “Overview”
Example for the “Erase Every Other row” filter
Figure 17.44, “ Example for the “Erase Every Other row” filter ”
Activating the filter
Section 4.6.2, “Activating the filter”
Options
Section 4.6.3, “Options”
“Erase Every Other row” options
Figure 17.45, ““Erase Every Other row” options”
IWarp
Section 4.7, “IWarp”
Overview
Section 4.7.1, “Overview”
Applying example for the IWarp filter
Figure 17.46, “Applying example for the IWarp filter”
Activating the filter
Section 4.7.2, “Activating the filter”
Options
Section 4.7.3, “Options”
Settings
Section 4.7.3.1, “Settings”
“IWarp” filter options (Settings tab)
Figure 17.47, ““IWarp” filter options (Settings tab)”
Animate
Section 4.7.3.2, “Animate”
“IWarp” filter options (Animation tab)
Figure 17.48, ““IWarp” filter options (Animation tab)”
Lens Distortion
Section 4.8, “Lens Distortion”
Overview
Section 4.8.1, “Overview”
Example for the “Lens Distortion” filter
Figure 17.49, “Example for the “Lens Distortion” filter”
Activating the filter
Section 4.8.2, “Activating the filter”
Options
Section 4.8.3, “Options”
“Lens Distortion” options
Figure 17.50, ““Lens Distortion” options”
Example result of Main option
Figure 17.51, “Example result of Main option”
Example result of Edge option (Main set to 50.0)
Figure 17.52, “Example result of Edge option (Main set to 50.0)”
Example result of Zoom option
Figure 17.53, “Example result of Zoom option”
Example result of Brigthen option (Main set to 75.0)
Figure 17.54, “Example result of Brigthen option (Main set to 75.0)”
Example result of X shift option (Main set to 70.0)
Figure 17.55, “Example result of X shift option (Main set to 70.0)”
Mosaic
Section 4.9, “Mosaic”
Overview
Section 4.9.1, “Overview”
Applying example for the “Mosaic” filter
Figure 17.56, “Applying example for the “Mosaic” filter”
Activating the filter
Section 4.9.2, “Activating the filter”
Options
Section 4.9.3, “Options”
“Mosaic” filter options
Figure 17.57, ““Mosaic” filter options”
Newsprint
Section 4.10, “Newsprint”
Overview
Section 4.10.1, “Overview”
Applying example for the Newsprint filter
Figure 17.58, “Applying example for the Newsprint filter”
Starting filter
Section 4.10.2, “Starting filter”
Options
Section 4.10.3, “Options”
“Newsprint” filter options
Figure 17.59, ““Newsprint” filter options”
Example
Section 4.10.4, “Example”
Example for Newsprint
Figure 17.60, “Example for Newsprint”
Page Curl
Section 4.11, “Page Curl”
Overview
Section 4.11.1, “Overview”
Example for the Page Curl filter
Figure 17.61, “Example for the Page Curl filter”
Activating the filter
Section 4.11.2, “Activating the filter”
Options
Section 4.11.3, “Options”
Options
Figure 17.62, “Options”
Polar Coords
Section 4.12, “Polar Coords”
Overview
Section 4.12.1, “Overview”
Example for Polar Coords filter
Figure 17.63, “Example for Polar Coords filter”
Activating the filter
Section 4.12.2, “Activating the filter”
Options
Section 4.12.3, “Options”
“Polar Coords” filter options
Figure 17.64, ““Polar Coords” filter options”
Examples
Section 4.12.4, “Examples”
With text
Figure 17.65, “With text”
With two horizontal bars
Figure 17.66, “With two horizontal bars”
Ripple
Section 4.13, “Ripple”
Overview
Section 4.13.1, “Overview”
“Ripple” filter example
Figure 17.67, ““Ripple” filter example”
Activating the filter
Section 4.13.2, “Activating the filter”
Options
Section 4.13.3, “Options”
“Ripple” filter options
Figure 17.68, ““Ripple” filter options”
Shift
Section 4.14, “Shift”
Overview
Section 4.14.1, “Overview”
Example for the Shift filter
Figure 17.69, “Example for the Shift filter”
Activating the filter
Section 4.14.2, “Activating the filter”
Options
Section 4.14.3, “Options”
“Shift” filter options
Figure 17.70, ““Shift” filter options”
Value Propagate
Section 4.15, “Value Propagate”
Overview
Section 4.15.1, “Overview”
Example for the Value Propagate filter
Figure 17.71, “Example for the Value Propagate filter”
Activating the filter
Section 4.15.2, “Activating the filter”
Options
Section 4.15.3, “Options”
“Value propagate” filter options
Figure 17.72, ““Value propagate” filter options”
More white
Figure 17.73, “More white”
More black
Figure 17.74, “More black”
To bottom only
Figure 17.75, “To bottom only”
Middle value to peaks
Figure 17.76, “Middle value to peaks”
Foreground to peaks
Figure 17.77, “Foreground to peaks”
Only foreground
Figure 17.78, “Only foreground”
More opaque
Figure 17.79, “More opaque”
Video
Section 4.16, “Video”
Overview
Section 4.16.1, “Overview”
Applying example for the “Video” filter
Figure 17.80, “Applying example for the “Video” filter”
Activating the filter
Section 4.16.2, “Activating the filter ”
Options
Section 4.16.3, “Options”
“Video” filter options
Figure 17.81, ““Video” filter options”
Waves
Section 4.17, “Waves”
Overview
Section 4.17.1, “Overview”
Example for the Waves filter
Figure 17.82, “Example for the Waves filter”
Activating the filter
Section 4.17.2, “Activating the filter”
Options
Section 4.17.3, “Options”
“Waves” filter options
Figure 17.83, ““Waves” filter options”
Whirl and Pinch
Section 4.18, “Whirl and Pinch”
Overview
Section 4.18.1, “Overview”
Example for the Whirl and Pinch filter
Figure 17.84, “Example for the Whirl and Pinch filter”
Illustration
Figure 17.85, “Illustration”
Activating the filter
Section 4.18.2, “Activating the filter”
Parameter Settings
Section 4.18.3, “Parameter Settings”
“Whirl and Pinch” filter options
Figure 17.86, ““Whirl and Pinch” filter options”
Wind
Section 4.19, “Wind”
Overview
Section 4.19.1, “Overview”
“Wind” filter example
Figure 17.87, ““Wind” filter example”
Activating the filter
Section 4.19.2, “Activating the filter”
Options
Section 4.19.3, “Options”
“Wind” filter options
Figure 17.88, ““Wind” filter options”
Light and Shadow Filters
Section 5, “Light and Shadow Filters”
The Light and Shadow filters menu
Figure 17.89, “The Light and Shadow filters menu”
Introduction
Section 5.1, “Introduction”
Gradient Flare
Section 5.2, “Gradient Flare”
Overview
Section 5.2.1, “Overview”
Example for the Gradient Flare filter
Figure 17.90, “Example for the Gradient Flare filter”
Activating the filter
Section 5.2.2, “Activating the filter”
Options
Section 5.2.3, “Options”
Settings
Section 5.2.3.1, “Settings”
“Gradient Flare” filter options (Settings)
Figure 17.91, ““Gradient Flare” filter options (Settings)”
Selector
Section 5.2.3.2, “Selector”
“Gradient Flare” filter options (Selector)
Figure 17.92, ““Gradient Flare” filter options (Selector)”
Gradient Flare Editor
Section 5.2.4, “Gradient Flare Editor”
General
Section 5.2.4.1, “General”
“Gradient Flare Editor” options (General)
Figure 17.93, ““Gradient Flare Editor” options (General)”
Glow
Section 5.2.4.2, “Glow”
“Gradient Flare Editor” options (Glow)
Figure 17.94, ““Gradient Flare Editor” options (Glow)”
Rays
Section 5.2.4.3, “Rays”
“Gradient Flare Editor” options (Rays)
Figure 17.95, ““Gradient Flare Editor” options (Rays)”
Second Flares
Section 5.2.4.4, “Second Flares”
“Gradient Flare Editor” options (Second Flares)
Figure 17.96, “ “Gradient Flare Editor” options (Second Flares) ”
Lens Flare
Section 5.3, “Lens Flare”
Overview
Section 5.3.1, “Overview”
Example for the Lens Flare filter
Figure 17.97, “Example for the Lens Flare filter”
Activate the filter
Section 5.3.2, “Activate the filter”
Options
Section 5.3.3, “Options”
“Lens Flare” filter options
Figure 17.98, ““Lens Flare” filter options”
Lighting Effects
Section 5.4, “Lighting Effects”
Overview
Section 5.4.1, “Overview”
The same image, before and after applying Lighting filter
Figure 17.99, “The same image, before and after applying Lighting filter”
Activate the filter
Section 5.4.2, “Activate the filter”
Options
Section 5.4.3, “Options”
“Lighting” filter options
Figure 17.100, ““Lighting” filter options”
General Options
Section 5.4.3.1, “General Options”
“Lighting” filter options (General Options)
Figure 17.101, “ “Lighting” filter options (General Options) ”
Light Settings
Section 5.4.3.2, “Light Settings”
“Lighting” filter options (Light Settings)
Figure 17.102, “ “Lighting” filter options (Light Settings) ”
Material Properties
Section 5.4.3.3, “Material Properties”
“Lighting” filter options (Material Properties)
Figure 17.103, “ “Lighting” filter options (Material Properties) ”
Bump Map
Section 5.4.3.4, “Bump Map”
“Lighting” filter options (Bump Map)
Figure 17.104, “ “Lighting” filter options (Bump Map) ”
Environment Map
Section 5.4.3.5, “Environment Map”
“Lighting” filter options (Environment Map)
Figure 17.105, “ “Lighting” filter options (Environment Map) ”
Sparkle
Section 5.5, “Sparkle”
Overview
Section 5.5.1, “Overview”
Applying example for the Sparkle filter
Figure 17.106, “Applying example for the Sparkle filter”
Activate the filter
Section 5.5.2, “Activate the filter”
Parameter Settings
Section 5.5.3, “Parameter Settings”
“Sparkle” filter options
Figure 17.107, ““Sparkle” filter options”
Supernova
Section 5.6, “Supernova”
Overview
Section 5.6.1, “Overview”
Applying example for the Supernova filter
Figure 17.108, “Applying example for the Supernova filter”
Activate the filter
Section 5.6.2, “Activate the filter”
Parameter Settings
Section 5.6.3, “Parameter Settings”
“Supernova” filter options
Figure 17.109, ““Supernova” filter options”
Drop Shadow
Section 5.7, “Drop Shadow”
Overview
Section 5.7.1, “Overview”
Example for the “Drop Shadow” filter
Figure 17.110, “Example for the “Drop Shadow” filter”
Activate the filter
Section 5.7.2, “Activate the filter”
Options
Section 5.7.3, “Options”
“Drop Shadow” filter options
Figure 17.111, ““Drop Shadow” filter options”
“Drop Shadow” color example
Figure 17.112, ““Drop Shadow” color example”
Perspective
Section 5.8, “Perspective”
Overview
Section 5.8.1, “Overview”
Example for the “Perspective” filter
Figure 17.113, “Example for the “Perspective” filter”
Activate the filter
Section 5.8.2, “Activate the filter”
Options
Section 5.8.3, “Options”
“Perspective” options
Figure 17.114, ““Perspective” options”
“Angle” example
Figure 17.115, ““Angle” example”
“Distance of horizon” example
Figure 17.116, ““Distance of horizon” example”
“Length of Shadow” example
Figure 17.117, ““Length of Shadow” example”
Blur example
Figure 17.118, “Blur example”
“Allow resizing” example
Figure 17.119, ““Allow resizing” example”
Xach-Effect
Section 5.9, “Xach-Effect”
Overview
Section 5.9.1, “Overview”
Example for the “Xach-Effect” filter
Figure 17.120, “Example for the “Xach-Effect” filter”
Activate the filter
Section 5.9.2, “Activate the filter”
Options
Section 5.9.3, “Options”
“Xach-Effect” options
Figure 17.121, ““Xach-Effect” options”
Apply Lens
Section 5.10, “Apply Lens”
Overview
Section 5.10.1, “Overview”
The same image, before and after applying lens effect.
Figure 17.122, “The same image, before and after applying lens effect.”
Activate the filter
Section 5.10.2, “Activate the filter”
Options
Section 5.10.3, “Options”
“Apply Lens” filter options
Figure 17.123, ““Apply Lens” filter options”
Glass Tile
Section 5.11, “Glass Tile”
Overview
Section 5.11.1, “Overview”
The same image, before and after applying glass tile effect.
Figure 17.124, “ The same image, before and after applying glass tile effect. ”
Activate the filter
Section 5.11.2, “Activate the filter”
Options
Section 5.11.3, “Options”
“Glass Tile” filter options
Figure 17.125, ““Glass Tile” filter options”
Noise Filters
Section 6, “Noise Filters”
Introduction
Section 6.1, “Introduction”
HSV Noise
Section 6.2, “HSV Noise”
Overview
Section 6.2.1, “Overview”
Example of applying the “HSV Noise” filter
Figure 17.126, “Example of applying the “HSV Noise” filter”
Activate the filter
Section 6.2.2, “Activate the filter”
Options
Section 6.2.3, “Options”
“HSV Noise” filter options
Figure 17.127, ““HSV Noise” filter options”
Hurl
Section 6.3, “Hurl”
Overview
Section 6.3.1, “Overview”
Example for the “Hurl” filter
Figure 17.128, “Example for the “Hurl” filter”
Options
Section 6.3.2, “Options”
“Hurl” options
Figure 17.129, ““Hurl” options”
Pick
Section 6.4, “Pick”
Overview
Section 6.4.1, “Overview”
Example of applying the “Pick” filter
Figure 17.130, “Example of applying the “Pick” filter”
Activate the filter
Section 6.4.2, “Activate the filter”
Options
Section 6.4.3, “Options”
“Pick” filter options
Figure 17.131, ““Pick” filter options”
RGB Noise
Section 6.5, “RGB Noise”
Overview
Section 6.5.1, “Overview”
Example of applying the “RGB Noise” filter
Figure 17.132, “Example of applying the “RGB Noise” filter”
Activate the filter
Section 6.5.2, “Activate the filter”
Options
Section 6.5.3, “Options”
“RGB Noise” filter options
Figure 17.133, ““RGB Noise” filter options”
Slur
Section 6.6, “Slur”
Overview
Section 6.6.1, “Overview”
Example of applying the Slur filter
Figure 17.134, “Example of applying the Slur filter”
Activate the filter
Section 6.6.2, “Activate the filter”
Options
Section 6.6.3, “Options”
Slur filter options
Figure 17.135, “Slur filter options”
Spread
Section 6.7, “Spread”
Overview
Section 6.7.1, “Overview”
Example of applying the Spread filter
Figure 17.136, “Example of applying the Spread filter”
Activate the filter
Section 6.7.2, “Activate the filter”
Options
Section 6.7.3, “Options”
“Spread” filter options
Figure 17.137, ““Spread” filter options”
Edge-Detect Filters
Section 7, “Edge-Detect Filters”
Introduction
Section 7.1, “Introduction”
Difference of Gaussians
Section 7.2, “Difference of Gaussians”
Overview
Section 7.2.1, “Overview”
Applying example for the “Difference of Gaussians” filter
Figure 17.138, “ Applying example for the “Difference of Gaussians” filter ”
Activating the filter
Section 7.2.2, “Activating the filter”
Options
Section 7.2.3, “Options”
Gaussian Difference filter options
Figure 17.139, “ Gaussian Difference filter options ”
Edge
Section 7.3, “Edge”
Overview
Section 7.3.1, “Overview”
Applying example for the Edge filter
Figure 17.140, “Applying example for the Edge filter”
Applying examples for the Edge filter
Figure 17.141, “Applying examples for the Edge filter”
Applying example for the Edge filter
Figure 17.142, “Applying example for the Edge filter”
Applying example for the Edge filter
Figure 17.143, “Applying example for the Edge filter”
Activating the filter
Section 7.3.2, “Activating the filter”
Options
Section 7.3.3, “Options”
Edge filter options
Figure 17.144, “Edge filter options”
Laplace
Section 7.4, “Laplace”
Overview
Section 7.4.1, “Overview”
Applying example for the Laplace filter
Figure 17.145, “Applying example for the Laplace filter”
Activating the filter
Section 7.4.2, “Activating the filter”
Neon
Section 7.5, “Neon”
Overview
Section 7.5.1, “Overview”
Applying example for the Neon filter
Figure 17.146, “Applying example for the Neon filter”
Activating the filter
Section 7.5.2, “Activating the filter”
Options
Section 7.5.3, “Options”
Neon filter options
Figure 17.147, “Neon filter options”
Sobel
Section 7.6, “Sobel”
Overview
Section 7.6.1, “Overview”
Applying example of the Sobel filter
Figure 17.148, “Applying example of the Sobel filter”
Activating the filter
Section 7.6.2, “Activating the filter”
Options
Section 7.6.3, “Options”
Sobel filter options
Figure 17.149, “Sobel filter options”
Generic Filters
Section 8, “Generic Filters”
Introduction
Section 8.1, “Introduction”
Convolution Matrix
Section 8.2, “Convolution Matrix”
Overview
Section 8.2.1, “Overview”
Activating the filter
Section 8.2.2, “Activating the filter”
Options
Section 8.2.3, “Options”
“Convolution matrix” options
Figure 17.150, ““Convolution matrix” options”
Examples
Section 8.2.4, “Examples”
Sharpen
Figure 17.151, “Sharpen”
Blur
Figure 17.152, “Blur”
Edge enhance
Figure 17.153, “Edge enhance”
Edge detect
Figure 17.154, “Edge detect”
Emboss
Figure 17.155, “Emboss”
Dilate
Section 8.3, “Dilate”
Overview
Section 8.3.1, “Overview”
Applying example for the Dilate filter
Figure 17.156, “Applying example for the Dilate filter”
Activating the filter
Section 8.3.2, “Activating the filter”
Examples
Section 8.3.3, “Examples”
Dilate text
Figure 17.157, “Dilate text”
Dilate neon effect
Figure 17.158, “Dilate neon effect”
Erode
Section 8.4, “Erode”
Overview
Section 8.4.1, “Overview”
Erode noise
Figure 17.159, “Erode noise”
“Erode noise” example
Figure 17.160, ““Erode noise” example”
Activating the filter
Section 8.4.2, “Activating the filter”
Combine Filters
Section 9, “Combine Filters”
Introduction
Section 9.1, “Introduction”
Depth Merge
Section 9.2, “Depth Merge”
Overview
Section 9.2.1, “Overview”
Filter example
Figure 17.161, “Filter example”
Accessing this Filter
Section 9.2.2, “Accessing this Filter”
Options
Section 9.2.3, “Options”
“Depth Merge” filter options
Figure 17.162, ““Depth Merge” filter options”
Using example
Section 9.2.4, “Using example”
Source images and their maps
Figure 17.163, “Source images and their maps”
Results
Figure 17.164, “Results”
Film
Section 9.3, “Film”
Overview
Section 9.3.1, “Overview”
Applying example for the Film filter
Figure 17.165, “Applying example for the Film filter”
Accessing this Filter
Section 9.3.2, “Accessing this Filter”
Options
Section 9.3.3, “Options”
Selection
Section 9.3.3.1, “Selection”
“Film” filter options (Selection)
Figure 17.166, ““Film” filter options (Selection)”
Advanced
Section 9.3.3.2, “Advanced”
“Film” filter options (Advanced)
Figure 17.167, ““Film” filter options (Advanced)”
Artistic Filters
Section 10, “Artistic Filters”
Introduction
Section 10.1, “Introduction”
Apply Canvas
Section 10.2, “Apply Canvas”
Overview
Section 10.2.1, “Overview”
Example for the “Apply Canvas” filter
Figure 17.168, “Example for the “Apply Canvas” filter”
Activate the filter
Section 10.2.2, “Activate the filter”
Options
Section 10.2.3, “Options”
“Apply Canvas” options
Figure 17.169, ““Apply Canvas” options”
Cartoon
Section 10.3, “Cartoon”
Overview
Section 10.3.1, “Overview”
Example for the “Cartoon” filter
Figure 17.170, “Example for the “Cartoon” filter”
Activate the filter
Section 10.3.2, “Activate the filter”
Options
Section 10.3.3, “Options”
“Cartoon” filter options
Figure 17.171, ““Cartoon” filter options”
Clothify
Section 10.4, “Clothify”
Overview
Section 10.4.1, “Overview”
Example of Clothify
Figure 17.172, “Example of Clothify”
Activate the filter
Section 10.4.2, “Activate the filter”
Options
Section 10.4.3, “Options”
“Clothify” filter options
Figure 17.173, ““Clothify” filter options”
Cubism
Section 10.5, “Cubism”
Overview
Section 10.5.1, “Overview”
Example for the “Cubism”
Figure 17.174, “Example for the “Cubism””
Activate the filter
Section 10.5.2, “Activate the filter”
Options
Section 10.5.3, “Options”
“Cubism” filter options
Figure 17.175, ““Cubism” filter options”
Example illustrating the action of the “Use BackGround color” option
Figure 17.176, “ Example illustrating the action of the “Use BackGround color” option ”
The option is not checked
Figure 17.177, “The option is not checked”
The option is checked
Figure 17.178, “The option is checked”
GIMPressionist
Section 10.6, “GIMPressionist”
Overview
Section 10.6.1, “Overview”
Example for the “GIMPressionist” filter
Figure 17.179, “Example for the “GIMPressionist” filter”
Activating the filter
Section 10.6.2, “Activating the filter”
Options
Section 10.6.3, “Options”
GIMPressionist options
Figure 17.180, “GIMPressionist options”
Preview
Section 10.6.3.1, “Preview”
Presets tab
Section 10.6.3.2, “Presets tab”
“Presets” tab options
Figure 17.181, ““Presets” tab options”
Paper tab
Section 10.6.3.3, “Paper tab”
“Paper” tab options
Figure 17.182, ““Paper” tab options”
Brush tab
Section 10.6.3.4, “Brush tab”
“Brush” tab options
Figure 17.183, ““Brush” tab options”
Orientation tab
Section 10.6.3.5, “Orientation tab”
“Orientation” tab options
Figure 17.184, ““Orientation” tab options”
Size tab
Section 10.6.3.6, “Size tab”
“Size” tab options
Figure 17.185, ““Size” tab options”
Placement tab
Section 10.6.3.7, “Placement tab”
“Placement” tab options
Figure 17.186, ““Placement” tab options”
Color tab
Section 10.6.3.8, “Color tab”
“Color” tab options
Figure 17.187, ““Color” tab options”
General tab
Section 10.6.3.9, “General tab”
“General” tab options
Figure 17.188, ““General” tab options”
Orientation Map Editor
Section 10.6.4, “Orientation Map Editor”
Overview
Section 10.6.4.1, “Overview”
Options
Section 10.6.4.2, “Options”
Options of the “Orientation-map Editor” dialog
Figure 17.189, “ Options of the “Orientation-map Editor” dialog ”
???TITLE???
Voronoi
Size Map Editor
Section 10.6.5, “Size Map Editor”
Overview
Section 10.6.5.1, “Overview”
Options
Section 10.6.5.2, “Options”
Size-map editor options
Figure 17.190, “Size-map editor options”
Oilify
Section 10.7, “Oilify”
Overview
Section 10.7.1, “Overview”
Example for the “Oilify” filter
Figure 17.191, “Example for the “Oilify” filter”
Activate the filter
Section 10.7.2, “Activate the filter”
Options
Section 10.7.3, “Options”
“Oilify” filter options
Figure 17.192, ““Oilify” filter options”
Photocopy
Section 10.8, “Photocopy”
Overview
Section 10.8.1, “Overview”
Example for the “Photocopy” filter
Figure 17.193, “Example for the “Photocopy” filter”
Starting filter
Section 10.8.2, “Starting filter”
Options
Section 10.8.3, “Options”
“Photocopy” filter options
Figure 17.194, ““Photocopy” filter options”
Predator
Section 10.9, “Predator”
Overview
Section 10.9.1, “Overview”
Example for the “Predator” filter
Figure 17.195, “Example for the “Predator” filter”
Activate the filter
Section 10.9.2, “Activate the filter”
Options
Section 10.9.3, “Options”
“Predator” options
Figure 17.196, ““Predator” options”
“Edge amount” examples
Figure 17.197, ““Edge amount” examples”
“Pixelize” examples
Figure 17.198, ““Pixelize” examples”
Filter algorithm
Section 10.9.4, “Filter algorithm”
Making the “predator” effect
Figure 17.199, “Making the “predator” effect”
Softglow
Section 10.10, “Softglow”
Overview
Section 10.10.1, “Overview”
Example for the “SoftGlow” filter
Figure 17.200, “Example for the “SoftGlow” filter”
Starting filter
Section 10.10.2, “Starting filter”
Options
Section 10.10.3, “Options”
“Softglow” filter options
Figure 17.201, ““Softglow” filter options”
Van Gogh (LIC)
Section 10.11, “Van Gogh (LIC)”
Overview
Section 10.11.1, “Overview”
From left to right: original image, map, resulting image
Figure 17.202, “ From left to right: original image, map, resulting image ”
Activate the filter
Section 10.11.2, “Activate the filter”
Options
Section 10.11.3, “Options”
“Van Gogh (LIC)” filter options
Figure 17.203, ““Van Gogh (LIC)” filter options”
Derivative option example
Figure 17.204, “Derivative option example”
Blurring with vertical gradient map
Figure 17.205, “Blurring with vertical gradient map”
Blurring with a square gradient map
Figure 17.206, “Blurring with a square gradient map”
Texture example
Figure 17.207, “Texture example”
Action example of Filter Length on blur
Figure 17.208, “Action example of Filter Length on blur”
Filter Length example on texture
Figure 17.209, “Filter Length example on texture”
Action example of Noise Magnitude on texture
Figure 17.210, “Action example of Noise Magnitude on texture”
Action example of Integration Steps on texture
Figure 17.211, “Action example of Integration Steps on texture”
Action example of min/max values on texture
Figure 17.212, “Action example of min/max values on texture”
Weave
Section 10.12, “Weave”
Overview
Section 10.12.1, “Overview”
Example of Weave
Figure 17.213, “Example of Weave”
Activate the filter
Section 10.12.2, “Activate the filter”
Options
Section 10.12.3, “Options”
“Weave” filter options
Figure 17.214, ““Weave” filter options”
Another usage
Section 10.12.4, “Another usage”
Adding a lattice using “Weave” texture
Figure 17.215, “Adding a lattice using “Weave” texture”
Decor Filters
Section 11, “Decor Filters”
Introduction
Section 11.1, “Introduction”
Add Bevel
Section 11.2, “Add Bevel”
Overview
Section 11.2.1, “Overview”
Example for the “Add Bevel” filter
Figure 17.216, “Example for the “Add Bevel” filter”
Another “Add Bevel” example, with bumpmap
Figure 17.217, “Another “Add Bevel” example, with bumpmap”
Activate the filter
Section 11.2.2, “Activate the filter”
Options
Section 11.2.3, “Options”
“Add Bevel” options
Figure 17.218, ““Add Bevel” options”
Add Border
Section 11.3, “Add Border”
Overview
Section 11.3.1, “Overview”
Example for the “Add Border” filter
Figure 17.219, “Example for the “Add Border” filter”
Activate the filter
Section 11.3.2, “Activate the filter”
Options
Section 11.3.3, “Options”
“Add Border” options
Figure 17.220, ““Add Border” options”
Delta examples
Figure 17.221, “Delta examples”
Coffee Stain
Section 11.4, “Coffee Stain”
Overview
Section 11.4.1, “Overview”
Example for the “Coffee Stain” filter
Figure 17.222, “Example for the “Coffee Stain” filter”
Activate the filter
Section 11.4.2, “Activate the filter”
Options
Section 11.4.3, “Options”
“Coffee Stain” options
Figure 17.223, ““Coffee Stain” options”
Fuzzy Border
Section 11.5, “Fuzzy Border”
Overview
Section 11.5.1, “Overview”
Example for the “Fuzzy Border” filter
Figure 17.224, “Example for the “Fuzzy Border” filter”
Activate the filter
Section 11.5.2, “Activate the filter”
Options
Section 11.5.3, “Options”
“Fuzzy Border” options
Figure 17.225, ““Fuzzy Border” options”
“Blur border” example
Figure 17.226, ““Blur border” example”
“Blur border” zoomed (1600%)
Figure 17.227, ““Blur border” zoomed (1600%)”
Granularity example (without blurring)
Figure 17.228, “Granularity example (without blurring)”
“Add shadow” example
Figure 17.229, ““Add shadow” example”
Old Photo
Section 11.6, “Old Photo”
Overview
Section 11.6.1, “Overview”
Example for the “Old Photo” filter
Figure 17.230, “Example for the “Old Photo” filter”
Activate the filter
Section 11.6.2, “Activate the filter”
Options
Section 11.6.3, “Options”
“Old Photo” options
Figure 17.231, ““Old Photo” options”
Example for the “Defocus” option
Figure 17.232, “Example for the “Defocus” option”
Example for the “Mottle” option
Figure 17.233, “Example for the “Mottle” option”
Round Corners
Section 11.7, “Round Corners”
Overview
Section 11.7.1, “Overview”
Example for the “Round Corners” filter
Figure 17.234, “Example for the “Round Corners” filter”
Activate the filter
Section 11.7.2, “Activate the filter”
Options
Section 11.7.3, “Options”
“Round Corners” options
Figure 17.235, ““Round Corners” options”
Edge radius examples
Figure 17.236, “Edge radius examples”
Shadow offset examples
Figure 17.237, “Shadow offset examples”
Slide
Section 11.8, “Slide”
Overview
Section 11.8.1, “Overview”
Example for the “Slide” filter
Figure 17.238, “Example for the “Slide” filter”
Activate the filter
Section 11.8.2, “Activate the filter”
Options
Section 11.8.3, “Options”
“Slide” options
Figure 17.239, ““Slide” options”
Stencil Carve
Section 11.9, “Stencil Carve”
Overview
Section 11.9.1, “Overview”
Example for the “Stencil Carve” filter
Figure 17.240, “Example for the “Stencil Carve” filter”
Activating the filter
Section 11.9.2, “Activating the filter”
Options
Section 11.9.3, “Options”
“Stencil Carve” options
Figure 17.241, ““Stencil Carve” options”
Engraving Masks
Figure 17.242, “Engraving Masks”
Example for “Carve white areas”
Figure 17.243, “Example for “Carve white areas””
Stencil Chrome
Section 11.10, “Stencil Chrome”
Overview
Section 11.10.1, “Overview”
Example for the “Stencil Chrome” filter
Figure 17.244, “Example for the “Stencil Chrome” filter”
Activating the filter
Section 11.10.2, “Activating the filter”
Options
Section 11.10.3, “Options”
“Stencil Chrome” options
Figure 17.245, ““Stencil Chrome” options”
How to create the chrome effect
Section 11.10.4, “How to create the chrome effect”
Map Filters
Section 12, “Map Filters”
Introduction
Section 12.1, “Introduction”
Bump Map
Section 12.2, “Bump Map”
Overview
Section 12.2.1, “Overview”
“bump-map” example
Figure 17.246, ““bump-map” example”
Activate the filter
Section 12.2.2, “Activate the filter”
Options
Section 12.2.3, “Options”
“Bump Map” filter options
Figure 17.247, ““Bump Map” filter options”
Displace
Section 12.3, “Displace”
Overview
Section 12.3.1, “Overview”
Displacement examples
Figure 17.248, “Displacement examples”
Activating the filter
Section 12.3.2, “Activating the filter”
Options
Section 12.3.3, “Options”
Displace filter options
Figure 17.249, “Displace filter options”
Cartesian Displacement Mode
Section 12.3.3.1, “Cartesian Displacement Mode”
Displace filter options (Cartesian)
Figure 17.250, “Displace filter options (Cartesian)”
Polar Displacement Mode
Section 12.3.3.2, “Polar Displacement Mode”
Displace filter options (Polar)
Figure 17.251, “Displace filter options (Polar)”
Using gradient to bend a text
Section 12.3.4, “Using gradient to bend a text”
Displacement Calculation
Section 12.3.5, “Displacement Calculation”
A closer look at the displacement example
Figure 17.252, “A closer look at the displacement example”
Fractal Trace
Section 12.4, “Fractal Trace”
Overview
Section 12.4.1, “Overview”
Fractal Trace
Figure 17.253, “Fractal Trace”
Activate the filter
Section 12.4.2, “Activate the filter”
Options
Section 12.4.3, “Options”
“Fractal trace” filter options
Figure 17.254, ““Fractal trace” filter options”
Illusion
Section 12.5, “Illusion”
Overview
Section 12.5.1, “Overview”
Illusion
Figure 17.255, “Illusion”
Activate the filter
Section 12.5.2, “Activate the filter”
Options
Section 12.5.3, “Options”
“Illusion” filter options
Figure 17.256, ““Illusion” filter options”
From left to right: original image, mode 1, mode 2, with Divisions=4
Figure 17.257, “ From left to right: original image, mode 1, mode 2, with Divisions=4 ”
Make Seamless
Section 12.6, “Make Seamless”
Overview
Section 12.6.1, “Overview”
An example of Make Seamless.
Figure 17.258, “An example of Make Seamless.”
Activation
Section 12.6.2, “Activation”
Map Object
Section 12.7, “Map Object”
Overview
Section 12.7.1, “Overview”
The “Map Object” filter applied to a photograph
Figure 17.259, “ The “Map Object” filter applied to a photograph ”
Activate the filter
Section 12.7.2, “Activate the filter”
Options
Section 12.7.3, “Options”
Preview
Section 12.7.3.1, “Preview”
General Options
Section 12.7.3.2, “General Options”
“Map Object” options (General)
Figure 17.260, ““Map Object” options (General)”
Light
Section 12.7.3.3, “Light”
“Map Object” options (Light)
Figure 17.261, ““Map Object” options (Light)”
Material
Section 12.7.3.4, “Material”
“Map Object” options (Material)
Figure 17.262, ““Map Object” options (Material)”
Orientation
Section 12.7.3.5, “Orientation”
“Map Object” options (Orientation)
Figure 17.263, ““Map Object” options (Orientation)”
Box
Section 12.7.3.6, “Box”
“Map Object” options (Box)
Figure 17.264, ““Map Object” options (Box)”
Cylinder
Section 12.7.3.7, “Cylinder”
“Map Object” options (Cylinder)
Figure 17.265, ““Map Object” options (Cylinder)”
Paper Tile
Section 12.8, “Paper Tile”
Overview
Section 12.8.1, “Overview”
“Papertile” filter example.
Figure 17.266, ““Papertile” filter example.”
Activate the filter
Section 12.8.2, “Activate the filter”
Options
Section 12.8.3, “Options”
“Paper Tile” filter options
Figure 17.267, ““Paper Tile” filter options”
Small Tiles
Section 12.9, “Small Tiles”
Overview
Section 12.9.1, “Overview”
Example for the “Small Tiles” filter
Figure 17.268, “Example for the “Small Tiles” filter”
Activate the filter
Section 12.9.2, “Activate the filter”
Options
Section 12.9.3, “Options”
“Small Tiles” filter options
Figure 17.269, ““Small Tiles” filter options”
Tile
Section 12.10, “Tile”
Overview
Section 12.10.1, “Overview”
The same image, before and after applying Tile filter
Figure 17.270, “The same image, before and after applying Tile filter”
Activate the filter
Section 12.10.2, “Activate the filter”
Options
Section 12.10.3, “Options”
“Tile” filter options
Figure 17.271, ““Tile” filter options”
Warp
Section 12.11, “Warp”
Overview
Section 12.11.1, “Overview”
From left to right: original image, displace map, displaced image
Figure 17.272, “ From left to right: original image, displace map, displaced image ”
With a non-linear gradient
Figure 17.273, “With a non-linear gradient”
With a complex gradient:
Figure 17.274, “With a complex gradient:”
Activating the filter
Section 12.11.2, “Activating the filter”
Options
Section 12.11.3, “Options”
Warp filter options
Figure 17.275, “Warp filter options”
With a 3.00 dither size:
Figure 17.276, “With a 3.00 dither size:”
With a 10° angle and 6 iterations:
Figure 17.277, “With a 10° angle and 6 iterations:”
Magnitude Map example:
Figure 17.278, “Magnitude Map example:”
Gradient scale example
Figure 17.279, “Gradient scale example”
Vector mag example
Figure 17.280, “Vector mag example”
Rendering Filters
Section 13, “Rendering Filters”
Introduction
Section 13.1, “Introduction”
Difference Clouds
Section 13.2, “Difference Clouds”
Overview
Section 13.2.1, “Overview”
Example of Difference Clouds
Figure 17.281, “Example of Difference Clouds”
Activate the filter
Section 13.2.2, “Activate the filter”
Options
Section 13.2.3, “Options”
Fog
Section 13.3, “Fog”
Overview
Section 13.3.1, “Overview”
Example for the “Fog” filter
Figure 17.282, “Example for the “Fog” filter”
Activating the filter
Section 13.3.2, “Activating the filter”
Options
Section 13.3.3, “Options”
“Fog” options
Figure 17.283, ““Fog” options”
Plasma
Section 13.4, “Plasma”
Overview
Section 13.4.1, “Overview”
Example of a rendered plasma
Figure 17.284, “Example of a rendered plasma”
Activating the filter
Section 13.4.2, “Activating the filter”
Options
Section 13.4.3, “Options”
“Plasma” filter options
Figure 17.285, ““Plasma” filter options”
Solid Noise
Section 13.5, “Solid Noise”
Overview
Section 13.5.1, “Overview”
Example of turbulent solid noise
Figure 17.286, “Example of turbulent solid noise”
Activating the filter
Section 13.5.2, “Activating the filter”
Options
Section 13.5.3, “Options”
“Solid Noise” filter options
Figure 17.287, ““Solid Noise” filter options”
Flame
Section 13.6, “Flame”
Overview
Section 13.6.1, “Overview”
Example of a rendered Flame
Figure 17.288, “Example of a rendered Flame”
Activating the filter
Section 13.6.2, “Activating the filter”
Options
Section 13.6.3, “Options”
“Flame” filter options
Figure 17.289, ““Flame” filter options”
The Edit Flame dialog
Figure 17.290, “The Edit Flame dialog”
IFS Fractal
Section 13.7, “IFS Fractal”
???TITLE???
IFS Fractal
Overview
Section 13.7.1, “Overview”
Applying example for the IFS Fractal filter
Figure 17.291, “Applying example for the IFS Fractal filter”
Activating the filter
Section 13.7.2, “Activating the filter”
Options
Section 13.7.3, “Options”
“IFS Fractal” filter options
Figure 17.292, ““IFS Fractal” filter options”
A Brief Tutorial
Section 13.7.4, “A Brief Tutorial”
Tutorial Step 2
Figure 17.293, “Tutorial Step 2”
Tutorial Step 3
Figure 17.294, “Tutorial Step 3”
Tutorial Step 4
Figure 17.295, “Tutorial Step 4”
Tutorial Step 5
Figure 17.296, “Tutorial Step 5”
Checkerboard
Section 13.8, “Checkerboard”
Overview
Section 13.8.1, “Overview”
Example for the Checkerboard filter
Figure 17.297, “Example for the Checkerboard filter”
Starting filter
Section 13.8.2, “Starting filter”
Options
Section 13.8.3, “Options”
“Checkerboard” filter options
Figure 17.298, ““Checkerboard” filter options”
CML Explorer
Section 13.9, “CML Explorer”
Overview
Section 13.9.1, “Overview”
Example for the “CML Explorer” filter
Figure 17.299, “Example for the “CML Explorer” filter”
Activating the filter
Section 13.9.2, “Activating the filter”
Options
Section 13.9.3, “Options”
Hue tab
Figure 17.300, “Hue tab”
Function graph of present settings
Figure 17.301, “Function graph of present settings”
Saturation tab
Figure 17.302, “Saturation tab”
Value tab
Figure 17.303, “Value tab”
Advanced tab
Figure 17.304, “Advanced tab”
Others tab
Figure 17.305, “Others tab”
Miscellaneous options tab
Figure 17.306, “Miscellaneous options tab”
Diffraction Patterns
Section 13.10, “Diffraction Patterns”
Overview
Section 13.10.1, “Overview”
Two examples of diffraction patterns
Figure 17.307, “Two examples of diffraction patterns”
Activating the filter
Section 13.10.2, “Activating the filter”
Options
Section 13.10.3, “Options”
“Diffraction Patterns” filter options
Figure 17.308, ““Diffraction Patterns” filter options”
Grid
Section 13.11, “Grid”
Overview
Section 13.11.1, “Overview”
Applying example for the Grid filter
Figure 17.309, “Applying example for the Grid filter”
Activating the filter
Section 13.11.2, “Activating the filter”
Options
Section 13.11.3, “Options”
“Grid” filter options
Figure 17.310, ““Grid” filter options”
Intersection parameters
Figure 17.311, “Intersection parameters”
Jigsaw
Section 13.12, “Jigsaw”
Overview
Section 13.12.1, “Overview”
Jigsaw filter example
Figure 17.312, “Jigsaw filter example”
Activating the filter
Section 13.12.2, “Activating the filter”
Options
Section 13.12.3, “Options”
“Jigsaw” filter options
Figure 17.313, ““Jigsaw” filter options”
Maze
Section 13.13, “Maze”
Overview
Section 13.13.1, “Overview”
An example of a rendered maze.
Figure 17.314, “An example of a rendered maze. ”
Activating the filter
Section 13.13.2, “Activating the filter”
Options
Section 13.13.3, “Options”
“Maze” filter options
Figure 17.315, ““Maze” filter options”
Qbist
Section 13.14, “Qbist”
Overview
Section 13.14.1, “Overview”
Applying examples for the Qbist filter
Figure 17.316, “Applying examples for the Qbist filter”
Activating the filter
Section 13.14.2, “Activating the filter”
Options
Section 13.14.3, “Options”
“Qbist” filter options
Figure 17.317, ““Qbist” filter options”
Sinus
Section 13.15, “Sinus”
Overview
Section 13.15.1, “Overview”
Applying example for the Sinus filter
Figure 17.318, “Applying example for the Sinus filter”
Options
Section 13.15.2, “Options”
Settings
Section 13.15.2.1, “Settings”
“Sinus” filter options (Settings)
Figure 17.319, ““Sinus” filter options (Settings)”
Colors
Section 13.15.2.2, “Colors”
“Sinus” filter options (Colors)
Figure 17.320, ““Sinus” filter options (Colors)”
Blend
Section 13.15.2.3, “Blend”
“Sinus” filter options (Blend)
Figure 17.321, ““Sinus” filter options (Blend)”
Circuit
Section 13.16, “Circuit”
Overview
Section 13.16.1, “Overview”
Example of Circuit
Figure 17.322, “Example of Circuit”
Activate the filter
Section 13.16.2, “Activate the filter”
Options
Section 13.16.3, “Options”
“Circuit” filter options
Figure 17.323, ““Circuit” filter options”
Making the Circuit effect
Section 13.16.4, “Making the Circuit effect”
Fractal Explorer
Section 13.17, “Fractal Explorer”
Overview
Section 13.17.1, “Overview”
Example for the Fractal Explorer filter
Figure 17.324, “Example for the Fractal Explorer filter”
Starting filter
Section 13.17.2, “Starting filter”
Options
Section 13.17.3, “Options”
“Fractal Explorer” filter options
Figure 17.325, ““Fractal Explorer” filter options”
Preview
Section 13.17.3.1, “Preview”
Parameters
Section 13.17.3.2, “Parameters”
“Fractal Explorer” filter options (Parameters)
Figure 17.326, “ “Fractal Explorer” filter options (Parameters) ”
Colors
Section 13.17.3.3, “Colors”
“Fractal Explorer” filter options (Colors)
Figure 17.327, “ “Fractal Explorer” filter options (Colors) ”
Loglog smoothing example
Figure 17.328, “Loglog smoothing example”
Fractals
Section 13.17.3.4, “Fractals”
“Fractal Explorer” filter options (Fractals)
Figure 17.329, “ “Fractal Explorer” filter options (Fractals) ”
Gfig
Section 13.18, “Gfig”
Overview
Section 13.18.1, “Overview”
The same image, before and after using Gfig
Figure 17.330, “The same image, before and after using Gfig”
Starting filter
Section 13.18.2, “Starting filter”
Options
Section 13.18.3, “Options”
“Gfig” filter options
Figure 17.331, ““Gfig” filter options”
The Gfig tool bar
Section 13.18.3.1, “The Gfig tool bar”
The Gfig main window
Section 13.18.3.2, “The Gfig main window”
Lava
Section 13.19, “Lava”
Overview
Section 13.19.1, “Overview”
Example for the “Lava” filter
Figure 17.332, “Example for the “Lava” filter”
Activating the filter
Section 13.19.2, “Activating the filter”
Options
Section 13.19.3, “Options”
“Lava” options
Figure 17.333, ““Lava” options”
Line Nova
Section 13.20, “Line Nova”
Overview
Section 13.20.1, “Overview”
Example for the “Line Nova” filter
Figure 17.334, “Example for the “Line Nova” filter”
Activating the filter
Section 13.20.2, “Activating the filter”
Options
Section 13.20.3, “Options”
“Line Nova” options
Figure 17.335, ““Line Nova” options”
“Line Nova” sharpness option
Figure 17.336, ““Line Nova” sharpness option”
“Line Nova” offset radius option
Figure 17.337, ““Line Nova” offset radius option”
“Line Nova” randomness option
Figure 17.338, ““Line Nova” randomness option”
Sphere Designer
Section 13.21, “Sphere Designer”
Overview
Section 13.21.1, “Overview”
The same image, before and after the application of “Sphere Designer” filter.
Figure 17.339, “ The same image, before and after the application of “Sphere Designer” filter. ”
Activating Sphere Designer
Section 13.21.2, “Activating Sphere Designer”
Options
Section 13.21.3, “Options”
“Sphere Designer” filter parameters
Figure 17.340, ““Sphere Designer” filter parameters”
Spyrogimp
Section 13.22, “Spyrogimp”
Overview
Section 13.22.1, “Overview”
Example for the “Spyrogimp” filter
Figure 17.341, “Example for the “Spyrogimp” filter”
Activating the filter
Section 13.22.2, “Activating the filter”
Options
Section 13.22.3, “Options”
“Spyrogimp” options
Figure 17.342, ““Spyrogimp” options”
Web Filters
Section 14, “ Web Filters ”
Introduction
Section 14.1, “Introduction”
The Web filters menu
Figure 17.343, “The Web filters menu”
ImageMap
Section 14.2, “ImageMap”
Overview
Section 14.2.1, “Overview”
Activate the filter
Section 14.2.2, “Activate the filter”
Options
Section 14.2.3, “Options”
Imagemap filter options
Figure 17.344, “Imagemap filter options”
The Menu Bar
Section 14.2.3.1, “The Menu Bar”
Editing an imagemap area
Figure 17.345, “Editing an imagemap area”
Editing the imagemap data
Figure 17.346, “Editing the imagemap data”
Grid options
Figure 17.347, “Grid options”
Guide options
Figure 17.348, “Guide options”
The Tool Bar
Section 14.2.3.2, “The Tool Bar”
The Working Area
Section 14.2.3.3, “The Working Area”
The Working Area
Figure 17.349, “The Working Area”
The selection area
Section 14.2.3.4, “The selection area”
Semi-Flatten
Section 14.3, “Semi-Flatten”
Overview
Section 14.3.1, “Overview”
Activate the filter
Section 14.3.2, “Activate the filter”
Example
Section 14.3.3, “Example”
Semi-Flatten example
Figure 17.350, “Semi-Flatten example”
Semi-Flatten filter applied
Figure 17.351, “Semi-Flatten filter applied”
Slice
Section 14.4, “Slice”
Overview
Section 14.4.1, “Overview”
Example for the “Slice” filter
Figure 17.352, “Example for the “Slice” filter”
Simple “Slice” filter example output
Example 17.1, “Simple “Slice” filter example output”
Activate the filter
Section 14.4.2, “Activate the filter”
Options
Section 14.4.3, “Options”
“Slice” options
Figure 17.353, ““Slice” options”
With separate image folder
Example 17.2, “With separate image folder”
Space between table elements
Example 17.3, “Space between table elements”
JavaScript code snippet
Example 17.4, “JavaScript code snippet”
Skipped animation for table caps (simplified HTML code)
Example 17.5, “ Skipped animation for table caps (simplified HTML code) ”
Animation Filters
Section 15, “Animation Filters”
Introduction
Section 15.1, “Introduction”
The Animation filters menu
Figure 17.354, “The Animation filters menu”
Blend
Section 15.2, “Blend”
Overview
Section 15.2.1, “Overview”
Example for the “Blend” filter: original image
Figure 17.355, “ Example for the “Blend” filter: original image ”
Example for the “Blend” filter: filter applied
Figure 17.356, “ Example for the “Blend” filter: filter applied ”
Activating the filter
Section 15.2.2, “Activating the filter”
Options
Section 15.2.3, “Options”
“Blend” options
Figure 17.357, ““Blend” options”
Burn-In
Section 15.3, “Burn-In”
Overview
Section 15.3.1, “Overview”
Example for the “Burn-In” filter: original image
Figure 17.358, “ Example for the “Burn-In” filter: original image ”
Example for the “Burn-In” filter: filter applied
Figure 17.359, “ Example for the “Burn-In” filter: filter applied ”
Activating the filter
Section 15.3.2, “Activating the filter”
Options
Section 15.3.3, “Options”
“Burn-In” options
Figure 17.360, ““Burn-In” options”
Rippling
Section 15.4, “Rippling”
Overview
Section 15.4.1, “Overview”
Example for the “Rippling” filter
Figure 17.361, “Example for the “Rippling” filter”
Activating the filter
Section 15.4.2, “Activating the filter”
Options
Section 15.4.3, “Options”
“Rippling” options
Figure 17.362, ““Rippling” options”
Spinning Globe
Section 15.5, “Spinning Globe”
Overview
Section 15.5.1, “Overview”
Example for the “Spinning Globe” filter: original image
Figure 17.363, “ Example for the “Spinning Globe” filter: original image ”
Example for the “Spinning Globe” filter: filter applied
Figure 17.364, “ Example for the “Spinning Globe” filter: filter applied ”
Activating the filter
Section 15.5.2, “Activating the filter”
Options
Section 15.5.3, “Options”
“Spinning Globe” options
Figure 17.365, ““Spinning Globe” options”
Waves
Section 15.6, “Waves”
Overview
Section 15.6.1, “Overview”
Example for the “Waves” filter
Figure 17.366, “Example for the “Waves” filter”
Activating the filter
Section 15.6.2, “Activating the filter”
Options
Section 15.6.3, “Options”
“Waves” options
Figure 17.367, ““Waves” options”
Optimize
Section 15.7, “Optimize”
???TITLE???
Optimize (for GIF)
???TITLE???
Optimize (Difference)
Overview
Section 15.7.1, “Overview”
Activate filters
Section 15.7.2, “Activate filters”
Example for the Optimize animation filters
Section 15.7.3, “Example for the Optimize animation filters”
Unoptimize
Section 15.7.4, “Unoptimize”
Playback
Section 15.8, “Playback”
???TITLE???
Playback
Overview
Section 15.8.1, “Overview”
Activate the filter
Section 15.8.2, “Activate the filter”
Options
Section 15.8.3, “Options”
“Playback” filter options
Figure 17.368, ““Playback” filter options”
Alpha to Logo Filters
Section 16, “Alpha to Logo Filters”
Introduction
Section 16.1, “Introduction”
The Alpha to Logo filters menu
Figure 17.369, “The Alpha to Logo filters menu”
3D Outline
Section 16.2, “3D Outline”
Overview
Section 16.2.1, “Overview”
Example for the “3D Outline” filter
Figure 17.370, “Example for the “3D Outline” filter”
Example based on multicolored layer mask
Figure 17.371, “Example based on multicolored layer mask”
Activate the filter
Section 16.2.2, “Activate the filter”
Options
Section 16.2.3, “Options”
“3D Outline” options
Figure 17.372, ““3D Outline” options”
Outline blur radius example
Figure 17.373, “Outline blur radius example”
Shadow blur radius example
Figure 17.374, “Shadow blur radius example”
Shadow offset example
Figure 17.375, “Shadow offset example”
Alien Glow
Section 16.3, “Alien Glow”
Overview
Section 16.3.1, “Overview”
Example for the “Alien Glow” filter
Figure 17.376, “Example for the “Alien Glow” filter”
Activate the filter
Section 16.3.2, “Activate the filter”
Options
Section 16.3.3, “Options”
“Alien Glow” options
Figure 17.377, ““Alien Glow” options”
Filter details
Section 16.3.4, “Filter details”
Alien Neon
Section 16.4, “Alien Neon”
Overview
Section 16.4.1, “Overview”
Example for the “Alien Neon” filter
Figure 17.378, “Example for the “Alien Neon” filter”
Activate the filter
Section 16.4.2, “Activate the filter”
Options
Section 16.4.3, “Options”
“Alien Neon” options
Figure 17.379, ““Alien Neon” options”
Basic I & II
Section 16.5, “Basic I & II”
???TITLE???
Basic I
???TITLE???
Basic II
Overview
Section 16.5.1, “Overview”
Examples for the “Basic” filters
Figure 17.380, “Examples for the “Basic” filters”
Activate the filter
Section 16.5.2, “Activate the filter”
Options
Section 16.5.3, “Options”
“Basic” filter options
Figure 17.381, ““Basic” filter options”
Filter details
Section 16.5.4, “Filter details”
Blended
Section 16.6, “Blended”
Overview
Section 16.6.1, “Overview”
Example for the “Blended” filter
Figure 17.382, “Example for the “Blended” filter”
Activate the filter
Section 16.6.2, “Activate the filter”
Options
Section 16.6.3, “Options”
“Blended” options
Figure 17.383, ““Blended” options”
Bovination
Section 16.7, “Bovination”
Overview
Section 16.7.1, “Overview”
Example for the “Bovination” filter
Figure 17.384, “Example for the “Bovination” filter”
Activate the filter
Section 16.7.2, “Activate the filter”
Options
Section 16.7.3, “Options”
“Bovination” options
Figure 17.385, ““Bovination” options”
“Spots density” examples
Figure 17.386, ““Spots density” examples”
Filter details
Section 16.7.4, “Filter details”
Chalk
Section 16.8, “Chalk”
Overview
Section 16.8.1, “Overview”
Example for the “Chalk” filter
Figure 17.387, “Example for the “Chalk” filter”
Activate the filter
Section 16.8.2, “Activate the filter”
Options
Section 16.8.3, “Options”
“Chalk” option
Figure 17.388, ““Chalk” option”
Filter details
Section 16.8.4, “Filter details”
Chip Away
Section 16.9, “Chip Away”
Overview
Section 16.9.1, “Overview”
Example for the “Chip Away” filter
Figure 17.389, “Example for the “Chip Away” filter”
Activate the filter
Section 16.9.2, “Activate the filter”
Options
Section 16.9.3, “Options”
“Chip Away” options
Figure 17.390, ““Chip Away” options”
“Chip amount” examples
Figure 17.391, ““Chip amount” examples”
“Chip Away” inverted example
Figure 17.392, ““Chip Away” inverted example”
Suggested “Chip Away” patterns
Figure 17.393, “Suggested “Chip Away” patterns”
Filter details
Section 16.9.4, “Filter details”
Chrome
Section 16.10, “Chrome”
Overview
Section 16.10.1, “Overview”
Example for the “Chrome” filter
Figure 17.394, “Example for the “Chrome” filter”
Activate the filter
Section 16.10.2, “Activate the filter”
Options
Section 16.10.3, “Options”
“Chrome” options
Figure 17.395, ““Chrome” options”
???TITLE???
Offset (pixels * 2)
“Offset” examples
Figure 17.396, ““Offset” examples”
Comic Book
Section 16.11, “Comic Book”
Overview
Section 16.11.1, “Overview”
Example for the “Comic Book” filter
Figure 17.397, “Example for the “Comic Book” filter”
Activate the filter
Section 16.11.2, “Activate the filter”
Options
Section 16.11.3, “Options”
“Comic Book” options
Figure 17.398, ““Comic Book” options”
Cool Metal
Section 16.12, “Cool Metal”
Overview
Section 16.12.1, “Overview”
Example for the “Cool Metal” filter
Figure 17.399, “Example for the “Cool Metal” filter”
Activate the filter
Section 16.12.2, “Activate the filter”
Options
Section 16.12.3, “Options”
“Cool Metal” options
Figure 17.400, ““Cool Metal” options”
Filter details
Section 16.12.4, “Filter details”
Frosty
Section 16.13, “Frosty”
Overview
Section 16.13.1, “Overview”
Example for the “Frosty” filter
Figure 17.401, “Example for the “Frosty” filter”
Activate the filter
Section 16.13.2, “Activate the filter”
Options
Section 16.13.3, “Options”
“Frosty” options
Figure 17.402, ““Frosty” options”
“Effect size” examples
Figure 17.403, ““Effect size” examples”
Glossy
Section 16.14, “Glossy”
Overview
Section 16.14.1, “Overview”
Example for the “Glossy” filter
Figure 17.404, “Example for the “Glossy” filter”
Activate the filter
Section 16.14.2, “Activate the filter”
Options
Section 16.14.3, “Options”
“Glossy” options
Figure 17.405, ““Glossy” options”
Filter details
Section 16.14.4, “Filter details”
Glowing Hot
Section 16.15, “Glowing Hot”
Overview
Section 16.15.1, “Overview”
Example for the “Glowing Hot” filter
Figure 17.406, “Example for the “Glowing Hot” filter”
Activate the filter
Section 16.15.2, “Activate the filter”
Options
Section 16.15.3, “Options”
“Glowing Hot” options
Figure 17.407, ““Glowing Hot” options”
Effect size examples
Figure 17.408, “Effect size examples”
Filter details
Section 16.15.4, “Filter details”
Effect size
Figure 17.409, “Effect size”
Gradient Bevel
Section 16.16, “Gradient Bevel”
Overview
Section 16.16.1, “Overview”
Example for the “Gradient Bevel” filter
Figure 17.410, “Example for the “Gradient Bevel” filter”
Activate the filter
Section 16.16.2, “Activate the filter”
Options
Section 16.16.3, “Options”
“Gradient Bevel” options
Figure 17.411, ““Gradient Bevel” options”
Neon
Section 16.17, “Neon”
Overview
Section 16.17.1, “Overview”
Example for the “Neon” filter
Figure 17.412, “Example for the “Neon” filter”
Activate the filter
Section 16.17.2, “Activate the filter”
Options
Section 16.17.3, “Options”
“Neon” options
Figure 17.413, ““Neon” options”
Filter details
Section 16.17.4, “Filter details”
The Neon effect
Figure 17.414, “The Neon effect”
Particle Trace
Section 16.18, “Particle Trace”
Overview
Section 16.18.1, “Overview”
Examples for the “Particle Trace” filter
Figure 17.415, “Examples for the “Particle Trace” filter”
Activate the filter
Section 16.18.2, “Activate the filter”
Options
Section 16.18.3, “Options”
“Particle Trace” options
Figure 17.416, ““Particle Trace” options”
“Hit rate” examples
Figure 17.417, ““Hit rate” examples”
Filter details
Section 16.18.4, “Filter details”
Textured
Section 16.19, “Textured”
Overview
Section 16.19.1, “Overview”
Example for the “Textured” filter
Figure 17.418, “Example for the “Textured” filter”
Activate the filter
Section 16.19.2, “Activate the filter”
Options
Section 16.19.3, “Options”
“Textured” options
Figure 17.419, ““Textured” options”
Keys and Mouse Reference
Keys and Mouse Reference
Help
Help
Help
the section called “Help”
Tools
Tools
Tools
the section called “Tools”
File
File
File
the section called “File”
Dialogs
Dialogs
Dockable Dialogs
the section called “Dockable Dialogs”
View
View
View
the section called “View”
Edit
Edit
Edit
the section called “Edit”
Layer
Layer
Layers
the section called “Layers”
Select
Select
Selections
the section called “Selections”
Filters
Filters
Filters
the section called “Filters”
Zoom tool
Zoom tool
Zoom tool
the section called “Zoom tool”
Glossary
Glossary
Alpha
Alpha
Alpha Channel
Alpha Channel
Antialiasing
Antialiasing
Bézier curve
Bézier curve
Bitmap
Bitmap
BMP
BMP
???TITLE???
BMP
???TITLE???
BMP
Bump mapping
Bump mapping
Channel Mask
Channel Mask
Channel
Channel
Clipboard
Clipboard
CMY, CMYK
CMY, CMYK
Subtractive color model
Figure 1116, “Subtractive color model”
Color depth
Color depth
Color model
Color model
Dithering
Dithering
EXIF
EXIF
Feathering
Feathering
File Format
File Format
Floating Selection
Floating Selection
Floyd-Steinberg Dithering
Floyd-Steinberg Dithering
Gamma
Gamma
Gamut
Gamut
GIF
GIF
GNU
GNU
Grayscale
Grayscale
???TITLE???
Grayscale
Guides
Guides
Histogram
Histogram
HSV
HSV
HTML notation
HTML notation
Image Hose
Image Hose
Incremental, paint mode
Incremental, paint mode
Indexed Colors
Indexed Colors
Interpolation
Interpolation
JPEG
JPEG
L*a*b*
L*a*b*
Layer
Layer
Example image with layers
Figure 1117, “Example image with layers”
Marching Ants
Marching Ants
Masks
Masks
Moiré Effect
Moiré Effect
Parasite
Parasite
Path
Path
PDB
PDB
PDF
PDF
Pixel
Pixel
Plugin
Plugin
???TITLE???
Plugin
PNG
PNG
PostScript
PostScript
PSD
PSD
Quantization
Quantization
Rendering Intent
Rendering Intent
RGB
RGB
Additive color model
Figure 1118, “ Additive color model ”
Colorcircle
Figure 1119, “Colorcircle”
Sample Merge
Sample Merge
Saturation
Saturation
Supersampling
Supersampling
SVG
SVG
TGA
TGA
TIFF
TIFF
Tile
Tile
URI
URI
URL
URL
Value
Value
XCF
XCF
YCbCr
YCbCr
YUV
YUV
Bibliography
Bibliography
Books
Books
Beginning GIMP: From Novice to Professional
APRESS00
Computer Graphics, Principles and Practice
FOLEY01
Grokking the Gimp
GROKKING
Online resources
Online resources
Adobe RGB (1998) ICC Profile
AdobeRGB
AdvanceMAME project
AdvanceMAME
Astronomy Picture of the Day
APOD
Astronomy Picture of the Day (today)
APOD01
Astronomy Picture of the Day - The Hubble Ultra Deep Field (2004 March 9)
APOD02
Astronomy Picture of the Day - M51: Cosmic Whirlpool (2002 July 10)
APOD03
Astronomy Picture of the Day - Saturn: Lord of the Rings (2002 February 15)
APOD04
Astronomy Picture of the Day - NGC 6369: The Little Ghost Nebula (2002 November 8)
APOD05
Astronomy Picture of the Day - Disorder in Stephan's Quintet (2000 November 13)
APOD06
Astronomy Picture of the Day - The Sharpest View of the Sun (2002 November 14)
APOD07
Argyll Color Management System Home Page
ARGYLLCMS
babl (pixel format translation library)
BABL
Face in blocks
BACH04
Golden Text
BUDIG01
Bugzilla
BUGZILLA
Bugzilla-GIMP
BUGZILLA-GIMP
Cairo
CAIRO
Darwin Ports Package Manager for OS X
DARWINORTS
ECI (European Color Initiative) Profiles
ECI
Unofficial translation of the GNU Free Documentation License
FDL-TRANSLATION
Fink Package Manager for OS X
FINK
Freetype 2 home page
FREETYPE
GEGL (Generic Graphics Library)
GEGL
Image Reconstruction Invariant to Relighting
GEORGIEV01
Ghostscript project page on Sourceforge.net
GHOSTSCRIPT
GIMP - The Gnu Image Manipulation Program
GIMP
GIMP Development
GIMP-DEV
GIMP Plugin Development
GIMP-DEV-PLUGIN
GIMP Documentation project page
GIMP-DOCS
Fonts in GIMP 2.0
GIMP-FONTS
List of new symbols in GIMP 2.6
GIMP-NEWSYM26
GIMP-Plugin Registry
GIMP-REGISTRY
Grokking the GIMP
GROKKING01
Grokking the GIMP (9.2 Clickable Image Maps)
GROKKING02
Making shapes in GIMP
GUNTHER04
INTERNATIONAL COLOR CONSORTIUM
ICC
ICC sRGB PROFILES
ICCsRGB
General Public License (GPL)
GPL
Homepage of GQview, an image browser
GQVIEW
gThumb - An Image Viewer and Browser for the GNOME Desktop
GTHUMB
Inkscape is an Open Source vector graphics editor
INKSCAPE
Alternative icon theme for GIMP 2.4
JIMMAC01
LPROF ICC Profiler
LPROF
Microsoft Knowledge Base Article 294714
MSKB-294714
Microsoft sRVB Workspace
MsRGB
Open Clipart - Gradients
OPENCLIPART-GRADIENT
The OpenICC project
OPENICC
GIMP-Plugin Exif Browser
PLUGIN-EXIF
GIMP-Plugin Flames
PLUGIN-FLAMES
A plugin to quickly remove “redeye” caused by camera flash
PLUGIN-REDEYE
Resynthesizer is a Gimp plug-in for texture synthesis
PLUGIN-RESYNTH
A plugin providing the Retinex algorithm for GIMP
PLUGIN-RETINEX
A plugin providing rudimentary CMYK support for GIMP
PLUGIN-SEPARATE
Python Programming Language
PYTHON
Scale2x
SCALE2X
Scribus :: Open Source Desktop Publishing
SCRIBUS
Simple Interactive Object Extraction
SIOX
Tutorial: How to draw straight lines
TUT01
Tutorial: GIMPLite Quickies
TUT02
Unicode
UNICODE
Wikipedia
WIKIPEDIA
Wikipedia - Alpha channel
WKPD-ALPHA
Wikipedia - Bézier curve
WKPD-BEZIER
Wikipedia - Bumpmap
WKPD-BUMP
Wikipedia - Burning
WKPD-BURN
Wikipedia - Cellular Automata
WKPD-CA
Wikipedia - CMYK
WKPD-CMYK
Wikipedia - Colorspace
WKPD-COLORSPACE
Wikipedia - Deflate
WKPD-DEFLATE
Wikipedia - Deinterlace
WKPD-DEINTERLACE
Wikipedia - Dithering
WKPD-DITHERING
Wikipedia - Dodging
WKPD-DODGE
Wikipedia - EXIF
WKPD-EXIF
Wikipedia - Fileformat
WKPD-FILEFORMAT
Wikipedia - Gamut
WKPD-GAMUT
Wikipedia - GIF
WKPD-GIF
Wikipedia - GNU
WKPD-GNU
Wikipedia - Histogram
WKPD-HISTOGRAM
Wikipedia - HSV
WKPD-HSV
Wikipedia - ICC Profile
WKPD-ICC
Wikipedia - Interpolation
WKPD-INTERPOL
Wikipedia - JPEG
WKPD-JPEG
Wikipedia - L*a*b
WKPD-LAB
Wikipedia - LZW
WKPD-LZW
Wikipedia - Moire
WKPD-MOIRE
Wikipedia - PackBits
WKPD-PACKBITS
Wikipedia - PNG
WKPD-PNG
Wikipedia - Raster Graphics
WKPD-RASTER
Wikipedia - Rendering Intent
WKPD-RI
Wikipedia - Retina
WKPD-RETINA
Wikipedia - Sepia
WKPD-SEPIA
Wikipedia - Chroma subsampling
WKPD-SUBSAMPLING
Wikipedia - SVG
WKPD-SVG
Wikipedia - URI
WKPD-URI
Wikipedia - URL
WKPD-URL
Wikipedia - Web-colors
WKPD-Web-colors
Wikipedia - YCbCr
WKPD-YCBCR
Wikipedia - YUV
WKPD-YUV
Direct Save Protocol (XDS)
XDS
XnView
XNVIEW
GIMP History
Appendix A, GIMP History
The Very Beginning
Section 1, “The Very Beginning”
The Early Days of GIMP
Section 2, “The Early Days of GIMP”
The One to Change the World
Section 3, “The One to Change the World”
Version 2.0
Section 4, “Version 2.0”
What's New in GIMP 2.2?
Section 5, “What's New in GIMP 2.2?”
What's New in GIMP 2.4?
Section 6, “What's New in GIMP 2.4?”
New Look of the toolbox in GIMP 2.4
Figure A.1, “New Look of the toolbox in GIMP 2.4”
Scalable brushes in GIMP 2.4
Figure A.2, “Scalable brushes in GIMP 2.4”
Selection tools in GIMP 2.4
Figure A.3, “Selection tools in GIMP 2.4”
Color management in GIMP 2.4
Figure A.4, “Color management in GIMP 2.4”
What's New in GIMP 2.6?
Section 7, “What's New in GIMP 2.6? ”
New Look of the image window in GIMP 2.6
Figure A.5, “New Look of the image window in GIMP 2.6”
Scrolling beyond border
Figure A.6, “Scrolling beyond border”
Polygonal Selection
Figure A.7, “Polygonal Selection”
Brush Dynamics
Figure A.8, “Brush Dynamics”
Text tool bounding box
Figure A.9, “Text tool bounding box”
Rectangle handles
Figure A.10, “Rectangle handles”
Comparing 2.6 display vs 2.4
Figure A.11, “Comparing 2.6 display vs 2.4”
GEGL operation
Figure A.12, “GEGL operation”
Reporting Bugs and Requesting Enhancements
Appendix B, Reporting Bugs and Requesting Enhancements
Making sure it's a Bug
Section 1, “Making sure it's a Bug”
Find a Specific Bug
the section called “Find a Specific Bug”
Bugzilla: Find a Specific Bug
Figure B.1, “Bugzilla: Find a Specific Bug”
The Advanced Bug Search Form
the section called “The Advanced Bug Search Form”
Bugzilla: Advanced Search
Figure B.2, “Bugzilla: Advanced Search”
Reporting the Bug
Section 2, “Reporting the Bug”
What Happens to a Bug Report after you Submit it
Section 3, “What Happens to a Bug Report after you Submit it”
GNU Free Documentation License
Appendix C, GNU Free Documentation License
???TITLE???
Appendix C, GNU Free Documentation License
???TITLE???
???TITLE???
PREAMBLE
Section 1, “PREAMBLE”
APPLICABILITY AND DEFINITIONS
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
VERBATIM COPYING
Section 3, “VERBATIM COPYING”
COPYING IN QUANTITY
Section 4, “COPYING IN QUANTITY”
MODIFICATIONS
Section 5, “MODIFICATIONS”
COMBINING DOCUMENTS
Section 6, “COMBINING DOCUMENTS”
COLLECTIONS OF DOCUMENTS
Section 7, “COLLECTIONS OF DOCUMENTS”
AGGREGATION WITH INDEPENDENT WORKS
Section 8, “AGGREGATION WITH INDEPENDENT WORKS”
TRANSLATION
Section 9, “TRANSLATION”
TERMINATION
Section 10, “TERMINATION”
FUTURE REVISIONS OF THIS LICENSE
Section 11, “FUTURE REVISIONS OF THIS LICENSE”
ADDENDUM: How to use this License for your documents
Section 12, “ADDENDUM: How to use this License for your documents”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Eeek! There is Missing Help
Appendix D, Eeek! There is Missing Help
???TITLE???
???
Index
Index